<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\x64\x61\151\154\171"; private const CONFIG_DIRECTORY = "\57\x72\157\157\x74\57\x2e\143\157\156\146\x69\147\57\x72\143\x6c\157\x6e\x65\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\x68\157\155\145\57\x63\154\160\x2f\x2e\x63\157\x6e\146\151\147\x2f"; private const CLP_USER = "\143\154\160"; public const CREDENTIALS_DIRECTORY = "\x2f\x68\x6f\x6d\x65\x2f\143\x6c\x70\57\56\x63\x6f\x6e\x66\151\147\x2f\162\x63\x6c\157\156\145\x2f\143\162\x65\144\x65\x6e\x74\151\x61\x6c\163\x2f"; private const CONFIG_FILE = "\x2f\162\157\x6f\164\x2f\x2e\x63\157\156\146\151\147\57\162\x63\x6c\157\x6e\x65\57\162\143\154\157\156\x65\56\143\157\156\x66"; private const CRON_JOB_FILE = "\x2f\x65\x74\143\57\x63\x72\x6f\156\x2e\x64\57\x63\x6c\160\x2d\x72\x63\x6c\157\x6e\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto e4943; E91c3: E0b16: goto fe3c9; fe3c9: return $this->configFile; goto B2107; e4943: if (!(true === is_null($this->configFile))) { goto E0b16; } goto b487e; b487e: $this->configFile = self::CONFIG_FILE; goto E91c3; B2107: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\x61\147" => $flag, "\166\141\154\x75\145" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto D87b8; B817b: $rcloneCopyCommand->setSource($source); goto B3f1b; Fb5ab: $rcloneCopyCommand = new RcloneCopyCommand(); goto ee811; f32f3: $configFile = $this->getConfigFile(); goto Fb5ab; Bc67e: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto Eed6a; D87b8: $flags = $this->getFlags(); goto f32f3; B3f1b: $rcloneCopyCommand->setDestination($destination); goto e1b21; ee811: $rcloneCopyCommand->setConfigFile($configFile); goto B817b; e1b21: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto Bc67e; Eed6a: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto Adce8; C7322: $rcloneLsJsonCommand->setRemotePath($remotePath); goto F9cf0; Aa076: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto f1df0; Ffc0c: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto C928f; B9b91: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto Ffc0c; C928f: $files = $rcloneLsJsonCommand->getFiles(); goto f6013; D92c7: $configFile = $this->getConfigFile(); goto D73b1; f6013: return $files; goto F6b12; F9cf0: if (!(true === $directoriesOnly)) { goto A2a83; } goto Aa076; Adce8: $flags = $this->getFlags(); goto D92c7; A6a8d: $rcloneLsJsonCommand->setConfigFile($configFile); goto C7322; f1df0: A2a83: goto B9b91; D73b1: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto A6a8d; F6b12: } public function purge(string $remotePath) { goto a2b5f; d495f: $rclonePurgeCommand->setRemotePath($remotePath); goto F0931; a2b5f: $flags = $this->getFlags(); goto cbcb4; F0931: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto a74e0; a74e0: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto cfdd0; cbcb4: $rclonePurgeCommand = new RclonePurgeCommand(); goto d495f; cfdd0: } public function writeConfig(string $config) : void { goto f022b; d6c95: $writeConfigFileCommand->setContent($config); goto C88b0; f5e4c: $writeConfigFileCommand->setFile($configFile); goto d6c95; C6f9a: $writeConfigFileCommand = new WriteFileCommand(); goto f5e4c; e1117: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto E29c1; bbcf7: $this->commandExecutor->execute($writeConfigFileCommand); goto Ab533; f022b: $configFile = $this->getConfigFile(); goto e1117; C88b0: $this->commandExecutor->execute($createConfigDirectoryCommand); goto bbcf7; E29c1: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto C6f9a; Ab533: } public function writeCredentialsFile(string $file, string $content) : void { goto B353c; F3fc9: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto d7545; deca9: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto C6232; A4d7d: $chownConfigDirectoryCommand->setRecursive(true); goto D291b; c5675: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c28ef; B353c: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto F3fc9; d3935: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto C1f78; C1f78: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto Ea611; Bd550: $chmodConfigDirectoryCommand->setFileChmod(770); goto f27f0; D291b: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto deca9; dbe16: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto A4d7d; d7545: $chownConfigDirectoryCommand = new ChownCommand(); goto dbe16; c28ef: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto Bd550; f27f0: $this->commandExecutor->execute($credentialsDirectoryCommand); goto d3935; Ea611: file_put_contents($file, $content); goto b78cc; C6232: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto c5675; b78cc: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto effb2; effb2: $cronJobContent = sprintf("\115\101\x49\114\x54\117\75\x22\x22\x25\163", PHP_EOL); goto d9807; Efc6c: A90b0: goto Bfba2; b8a5e: goto A90b0; goto F4671; Bfba2: $writeCronJobFileCommand = new WriteFileCommand(); goto da31d; F4671: Ed31e: goto fc35a; e1851: $cronJobContent .= sprintf("\60\x20\x2a\x2f\x25\x73\40\52\x20\x2a\40\x2a\40\143\x6c\160\x20\57\165\163\162\x2f\x62\151\x6e\57\x62\x61\x73\150\x20\55\143\x20\42\x2f\x75\x73\x72\x2f\142\x69\156\57\x63\154\160\x63\x74\x6c\x20\162\145\x6d\157\x74\x65\x2d\x62\141\x63\x6b\165\160\72\143\162\145\141\x74\x65\40\x2d\55\144\x65\154\x61\x79\x3d\164\x72\x75\145\x22\x20\x26\x3e\x20\x2f\144\x65\x76\57\156\165\154\154", $frequency); goto b8a5e; da31d: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto fb229; Cebbf: $this->commandExecutor->execute($writeCronJobFileCommand); goto E5d4a; d9807: if (self::FREQUENCY_DAILY == $frequency) { goto Ed31e; } goto e1851; fb229: $writeCronJobFileCommand->setContent($cronJobContent); goto Cebbf; fc35a: $cronJobContent .= sprintf("\x30\40\45\163\x20\52\40\52\x20\52\x20\x63\154\x70\x20\57\165\x73\x72\57\x62\151\x6e\57\142\x61\163\150\40\55\x63\x20\x22\x2f\x75\x73\x72\57\x62\x69\156\x2f\x63\154\x70\x63\164\154\x20\x72\145\155\157\x74\x65\55\x62\141\x63\x6b\165\x70\72\143\x72\145\141\164\145\x20\55\x2d\x64\x65\154\141\171\75\164\x72\165\x65\x22\x20\46\x3e\40\57\x64\145\x76\x2f\156\165\x6c\154", $executionTime); goto Efc6c; E5d4a: } private function addFlagsToCommand(array $flags, $command) : void { goto E2c94; c848c: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\154\141\x67"], $flagData["\166\141\x6c\165\x65"]); e6543: } goto d6258; D1fc6: cba76: goto a9967; d6258: A8751: goto D1fc6; E2c94: if (!(false === empty($flags))) { goto cba76; } goto c848c; a9967: } public function deleteCronJob() : void { goto Ebe7c; aef24: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto B35d7; Ebe7c: $deleteCronJobFileCommand = new DeleteFileCommand(); goto aef24; B35d7: $this->commandExecutor->execute($deleteCronJobFileCommand); goto Bce79; Bce79: } public function deleteCredentials() : void { goto E5655; C5010: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto b2e5a; E5655: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto C5010; b2e5a: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto De1ed; De1ed: } }
