<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto C069b; A179a: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ca374; C069b: $this->siteEntityManager = $siteEntityManager; goto d073f; de312: parent::__construct(); goto Bf732; d073f: $this->databaseEntityManager = $databaseEntityManager; goto B95dc; ca374: $this->validator = $validator; goto de312; B95dc: $this->databaseUserEntityManager = $databaseUserEntityManager; goto A179a; Bf732: } protected function configure() : void { goto cdebd; cdebd: $this->setName("\144\x62\x3a\141\x64\x64"); goto ec175; ec175: $this->setDescription("\143\x6c\x70\143\x74\x6c\x20\x64\142\x3a\x61\144\x64\40\55\x2d\144\157\x6d\x61\151\156\116\x61\x6d\145\75\x77\x77\x77\56\x64\x6f\155\141\x69\x6e\56\143\x6f\x6d\x20\55\55\144\x61\x74\141\142\x61\163\x65\x4e\141\x6d\x65\75\155\x79\55\x64\141\164\x61\142\x61\x73\145\40\55\x2d\x64\141\164\141\x62\141\x73\x65\125\163\145\x72\116\141\x6d\x65\x3d\x6a\157\150\x6e\x20\x2d\55\x64\x61\164\x61\x62\141\163\145\x55\163\145\x72\120\141\x73\163\x77\x6f\x72\x64\x3d\47\41\x73\145\x63\x72\145\164\120\141\x73\163\x77\157\162\x64\41\47"); goto e6f0a; f9157: $this->addOption("\x64\x61\x74\141\x62\x61\x73\145\125\163\145\x72\120\x61\163\163\167\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto b2d85; ef4c1: $this->addOption("\144\x61\x74\x61\142\x61\163\145\x55\163\x65\162\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto f9157; e6f0a: $this->addOption("\x64\157\155\141\x69\156\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto bab9f; bab9f: $this->addOption("\144\x61\164\141\142\141\163\145\x4e\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto ef4c1; b2d85: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto afbe8; bedfc: $constraints->addAll($databaseConstraints); goto ff316; a77c6: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f76ff; A7486: $databaseEntity->addUser($databaseUserEntity); goto ad519; Bb690: $domainName = trim($input->getOption("\144\x6f\x6d\141\x69\156\x4e\x61\155\x65")); goto daed5; E1c8d: $databaseUserPassword = trim($input->getOption("\144\x61\x74\x61\x62\x61\x73\145\125\163\x65\162\x50\x61\163\x73\x77\x6f\162\144")); goto F623d; cc0b2: if (!(true === is_null($siteEntity))) { goto E229f; } goto Ff0d8; Aaa91: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto c1f3d; Aac47: $databaseConstraints = $this->validator->validate($databaseEntity); goto A9cc9; ca265: E229f: goto a77c6; Ff0d8: throw new \Exception(sprintf("\104\157\155\x61\151\x6e\x4e\141\155\145\x20\42\45\x73\x22\x20\x64\157\x65\163\40\156\x6f\164\40\x65\x78\x69\x73\164\56", $domainName)); goto ca265; F623d: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto cc0b2; D69be: $databaseUserEntity->setDatabase($databaseEntity); goto A7486; ad519: $siteEntity->addDatabase($databaseEntity); goto Aac47; c7f9e: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto f4907; f470c: $databaseManager->createUser($databaseUserEntity); goto A35a2; daed5: $databaseName = trim($input->getOption("\x64\x61\x74\141\x62\x61\x73\x65\116\x61\x6d\x65")); goto F63a0; A9cc9: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto C5834; F0168: B83e7: goto b0fd3; f76ff: if (!(false === is_null($activeDatabaseServerEntity))) { goto baa4f; } goto cc50d; fff44: $databaseUserEntity->setUserName($databaseUserName); goto c7f9e; aefa3: $databaseEntity->setSite($siteEntity); goto F087b; cd2e1: goto B83e7; goto d64e2; Faa30: $constraints = new ConstraintViolationList(); goto bedfc; F63a0: $databaseUserName = trim($input->getOption("\x64\141\x74\141\142\141\x73\145\125\x73\145\162\x4e\141\155\145")); goto E1c8d; cc50d: $databaseEntity = $this->databaseEntityManager->createEntity(); goto Aaa91; f4907: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto D69be; A35a2: $this->siteEntityManager->updateEntity($siteEntity); goto abd20; c1f3d: $databaseEntity->setName($databaseName); goto aefa3; afbe8: $this->validateInput($input); goto Bb690; E1bed: return BaseCommand::SUCCESS; goto F0168; ea361: return BaseCommand::FAILURE; goto A1a37; c10c0: return $this->renderConstraints($constraints, $output); goto cd2e1; F087b: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto fff44; b0fd3: baa4f: goto ea361; abd20: $output->writeln(sprintf("\x3c\x69\x6e\146\157\x3e\104\141\x74\141\x62\141\x73\145\x3c\x2f\151\156\146\157\76\40\x3c\143\157\155\155\145\156\x74\76\45\163\x3c\57\x63\x6f\x6d\x6d\145\x6e\x74\76\x20\74\151\156\x66\x6f\x3e\150\141\163\40\x62\x65\145\x6e\40\x61\x64\144\145\144\x2e\74\57\x69\156\x66\x6f\76", $databaseName)); goto E1bed; d64e2: A08f8: goto C963f; C8e97: $databaseManager->createDatabase($databaseEntity); goto f470c; C963f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto C8e97; ff316: $constraints->addAll($databaseUserConstraints); goto c10c0; C5834: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto A08f8; } goto Faa30; A1a37: } catch (\Exception $e) { goto E2ae1; ae026: return BaseCommand::FAILURE; goto Fe6a3; b0586: $output->writeln(sprintf("\x3c\x65\162\162\x6f\162\x3e\45\163\74\x2f\x65\162\x72\x6f\162\76", $errorMessage)); goto ae026; E2ae1: $errorMessage = $e->getMessage(); goto b0586; Fe6a3: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\141\155\x65", "\x64\141\164\141\x62\x61\x73\x65\x4e\x61\155\145", $constraints); $this->changePropertyPath("\x75\163\x65\162\116\141\x6d\145", "\144\x61\164\141\x62\x61\x73\145\x55\163\145\x72\116\x61\155\x65", $constraints); } }
