<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Bb6d7; B1536: $this->databaseEntityManager = $databaseEntityManager; goto f7919; Bd679: $this->commandExecutor = new CommandExecutor(); goto B9a82; Cdf10: parent::__construct(); goto D77df; B9a82: $this->validator = $validator; goto Cdf10; Bb6d7: $this->siteEntityManager = $siteEntityManager; goto B1536; f7919: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Bd679; D77df: } protected function configure() : void { goto E5362; E5362: $this->setName("\x64\x62\72\142\141\143\x6b\x75\x70"); goto F9b43; B6025: $this->addOption("\x69\147\156\x6f\162\145\x44\x61\x74\x61\x62\x61\163\145\163", null, InputOption::VALUE_OPTIONAL); goto E1565; F9b43: $this->setDescription("\x63\x6c\x70\x63\x74\154\40\x64\x62\x3a\142\141\143\x6b\x75\x70\x20\55\55\x69\147\156\x6f\162\145\104\x61\x74\141\x62\x61\163\x65\x73\x3d\x27\x64\x62\x31\x2c\144\x62\x32\x27\40\55\x2d\x72\x65\164\145\156\x74\151\157\156\x50\145\x72\151\x6f\x64\75\67"); goto B6025; E1565: $this->addOption("\x72\x65\x74\x65\156\164\151\157\x6e\120\145\162\x69\x6f\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto faaf4; faaf4: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto B4d7d; d0019: $ignoredDatabases = explode("\x2c", $input->getOption("\151\147\x6e\x6f\x72\145\104\x61\164\141\x62\x61\163\145\x73")); goto B1811; d25d6: B2f86: goto F2d79; B1811: $this->retentionPeriod = (int) $input->getOption("\162\x65\x74\x65\x6e\x74\x69\157\x6e\x50\145\x72\151\x6f\x64"); goto f0d4a; B7f45: return BaseCommand::SUCCESS; goto Cc264; F2d79: C2bd3: goto B7f45; B4d7d: $this->validateInput($input); goto d0019; Ed426: foreach ($siteEntities as $siteEntity) { goto Bf358; Cc0a2: foreach ($databaseEntities as $databaseEntity) { goto E84e7; bb810: be9a4: goto ff587; ff587: F76f4: goto f3632; E84e7: $databaseName = $databaseEntity->getName(); goto f34a2; E002e: $this->createDatabaseDump($databaseEntity); goto bb810; f34a2: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto be9a4; } goto E002e; f3632: } goto ab579; Bf358: $databaseEntities = $siteEntity->getDatabases(); goto B7df3; D7778: b6ebb: goto C8fe9; ab579: Fc6cf: goto D7778; B7df3: if (!count($databaseEntities)) { goto b6ebb; } goto Cc0a2; C8fe9: df3c8: goto E062c; E062c: } goto d25d6; c5148: if (!count($siteEntities)) { goto C2bd3; } goto Ed426; f0d4a: $siteEntities = $this->siteEntityManager->findAll(); goto c5148; Cc264: } catch (\Exception $e) { goto C44f3; C44f3: $errorMessage = $e->getMessage(); goto Ea6c7; d897b: return BaseCommand::FAILURE; goto f14d5; Ea6c7: $output->writeln(sprintf("\x3c\x65\x72\x72\x6f\x72\76\x25\163\74\57\145\x72\162\x6f\162\x3e", $errorMessage)); goto d897b; f14d5: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto B32b7; b7adf: $databaseExporter = new DatabaseExporter($databaseEntity); goto A335f; B32b7: $dateTime = new \DateTime("\x6e\x6f\167", new \DateTimeZone("\x55\124\x43")); goto a6b79; f978a: $databaseExporter->createOutputDirectory(); goto f0595; Fe580: $this->cleanUpBackups($databaseEntity); goto c473b; a6b79: $siteEntity = $databaseEntity->getSite(); goto Adcf2; bfe8e: $outputDirectory = sprintf("\45\163\x2f\45\163\57\45\x73\x2f", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\x59\x2d\155\55\x64")); goto f9c8f; f0595: $databaseExporter->export(); goto c7565; B3add: $backupDirectory = sprintf("\x2f\150\x6f\155\145\57\x25\x73\57\142\x61\143\153\x75\160\x73\x2f\144\141\164\x61\142\x61\x73\x65\x73\x2f", $siteUser); goto bfe8e; Adcf2: $siteUser = $siteEntity->getUser(); goto cbf15; cbf15: $databaseName = $databaseEntity->getName(); goto B3add; c7565: $this->resetPermissions($databaseEntity); goto Fe580; f9c8f: $outputFile = sprintf("\45\x73\57\x25\163", rtrim($outputDirectory, "\x2f"), sprintf("\45\x73\x5f\45\163\x2e\163\161\154\56\147\172", $databaseName, $dateTime->getTimestamp())); goto b7adf; A335f: $databaseExporter->setFile($outputFile); goto f978a; c473b: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto E8632; d66e7: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto E0701; E0701: $backupDirectoryChmodCommand->setFileChmod(760); goto E81b2; Bc29f: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto ef3d5; E81b2: $this->commandExecutor->execute($backupDirectoryChownCommand); goto Bc29f; E03a7: $backupDirectoryChownCommand->setFile($backupDirectory); goto Bcb13; Ee51d: $backupDirectoryChownCommand = new ChownCommand(); goto E03a7; d8143: $backupDirectoryChownCommand->setUser($siteUser); goto f08af; Bcb13: $backupDirectoryChownCommand->setRecursive(true); goto d8143; f08af: $backupDirectoryChownCommand->setGroup($siteUser); goto Ee802; Ee802: $backupDirectoryChmodCommand = new FindChmodCommand(); goto dee55; ea835: $backupDirectory = sprintf("\57\150\x6f\155\145\x2f\x25\163\x2f\x62\141\143\x6b\x75\x70\163\x2f\x64\x61\164\x61\x62\141\x73\x65\163\x2f", $siteUser); goto Ee51d; fc207: $siteUser = $siteEntity->getUser(); goto ea835; dee55: $backupDirectoryChmodCommand->setFile($backupDirectory); goto d66e7; E8632: $siteEntity = $databaseEntity->getSite(); goto fc207; ef3d5: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto e77e2; C5bab: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto befcc; d4565: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto C5bab; fa1d7: $siteUser = $siteEntity->getUser(); goto d7550; befcc: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto F79a6; bc049: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto d4565; e77e2: $siteEntity = $databaseEntity->getSite(); goto fa1d7; d7550: $databaseBackupDirectory = sprintf("\x2f\150\x6f\155\145\57\45\x73\57\142\141\143\153\165\160\163\x2f\x64\141\164\141\x62\141\163\145\163\x2f", $siteUser); goto bc049; F79a6: } }
