<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\157\157\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto Ff7a8; Ebc1c: parent::__construct(); goto df29c; d9d75: $this->commandExecutor = new CommandExecutor(); goto Ebc1c; Ca2f2: $this->sshUserEntityManager = $sshUserEntityManager; goto d9d75; Cade6: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ca2f2; fbecc: $this->databaseEntityManager = $databaseEntityManager; goto Cade6; Ff7a8: $this->siteEntityManager = $siteEntityManager; goto fbecc; df29c: } protected function configure() : void { goto d2d26; C37b4: $this->setDescription("\x63\154\160\x63\x74\x6c\40\144\x62\x3a\x69\x6d\x70\x6f\x72\164\x20\x2d\x2d\144\141\164\x61\x62\141\x73\145\116\x61\x6d\x65\75\x6d\x79\55\144\141\164\141\x62\x61\163\145\40\x2d\55\146\151\x6c\145\x3d\x64\x75\x6d\x70\56\x73\161\154\x2e\x67\172"); goto Dcb6c; Dcb6c: $this->addOption("\144\141\164\x61\x62\x61\163\x65\116\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto Df7ce; d2d26: $this->setName("\x64\142\x3a\151\155\160\x6f\x72\x74"); goto C37b4; Df7ce: $this->addOption("\x66\151\x6c\x65", null, InputOption::VALUE_REQUIRED); goto D7872; D7872: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a6f88; ca2b0: B0700: goto Cc624; edb5b: $importFile = sprintf("\x25\163\57\45\x73", rtrim(getcwd(), "\x2f"), $importFile); goto fd7b9; ea318: $this->checkIfFileExists($importFile); goto D4f92; Cc624: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto Adf59; D4f92: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto adb1e; B5883: $output->writeln(sprintf("\74\151\156\146\157\x3e\111\x6d\160\x6f\x72\x74\40\151\x6e\164\157\x20\x64\x61\164\141\142\x61\x73\x65\74\x2f\151\156\x66\x6f\x3e\40\74\x63\x6f\x6d\155\x65\x6e\x74\x3e\x25\163\74\57\143\157\x6d\155\145\x6e\164\76\x20\74\x69\156\x66\157\76\167\x61\163\40\x73\165\143\143\145\x73\x73\146\x75\154\56\74\x2f\151\x6e\x66\157\76", $databaseName)); goto dc447; Ae4f9: af67c: goto b8069; D31c3: return BaseCommand::FAILURE; goto e23ea; adb1e: if (false === is_null($databaseEntity)) { goto B0700; } goto de5ab; D2d2f: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto E86e1; de5ab: throw new \Exception(sprintf("\104\141\x74\x61\142\141\163\x65\x20\x22\45\163\42\x20\144\157\x65\x73\40\x6e\x6f\x74\40\x65\170\x69\163\x74\x2e", $databaseName)); goto D81fc; da9ba: $siteEntity = $sshUserEntity->getSite(); goto F43b0; F3b1f: if (!(false === is_null($sshUserEntity))) { goto Ba019; } goto da9ba; D81fc: goto f33de; goto ca2b0; Ac43e: $importFile = $input->getOption("\146\151\154\x65"); goto Bbd2c; Bbd2c: $systemUserName = $_SERVER["\123\125\104\x4f\137\125\x53\105\x52"] ?? ''; goto ba96d; Eb42e: Aae1d: goto D2d2f; C87de: aac32: goto B18c7; E86e1: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto ed0ba; } goto b6d2c; acded: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto Aae1d; } goto e3f74; Ec450: ed0ba: goto Ee099; F10b1: goto af67c; goto C87de; b8069: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto aa80d; e3f74: $isSuperUser = true; goto e9843; Ee099: f33de: goto D31c3; B18c7: $siteUser = $siteEntity->getUser(); goto Ae4f9; b6d2c: $databaseImporter = new DatabaseImporter($databaseEntity); goto D28ac; E8200: Ba019: goto F10b1; fbbc3: if (false === is_null($siteEntity)) { goto aac32; } goto E5394; D28ac: $databaseImporter->import($importFile); goto B5883; aa80d: $isSuperUser = false; goto acded; ba96d: if (!("\x64\145\x76" == $_ENV["\101\x50\x50\x5f\105\116\126"])) { goto fb3c7; } goto b6c3c; a4a7a: $databaseName = $input->getOption("\x64\x61\x74\x61\142\141\163\145\x4e\x61\x6d\x65"); goto Ac43e; Edbef: if (!(false === str_contains($importFile, "\x2f"))) { goto Bfc65; } goto edb5b; E5394: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto F3b1f; a6f88: $this->validateInput($input); goto a4a7a; Adf59: $siteUser = null; goto fbbc3; b6c3c: $systemUserName = self::SYSTEM_USER_ROOT; goto A81f6; e9843: $siteUser = self::SYSTEM_USER_ROOT; goto Eb42e; dc447: return BaseCommand::SUCCESS; goto Ec450; F43b0: $siteUser = $siteEntity->getUser(); goto E8200; fd7b9: Bfc65: goto ea318; A81f6: fb3c7: goto Edbef; e23ea: } catch (\Exception $e) { goto bea7f; bea7f: $errorMessage = $this->maskString($e->getMessage()); goto D908a; F930a: return BaseCommand::FAILURE; goto D7ac5; D908a: $output->writeln(sprintf("\x3c\x65\x72\x72\x6f\x72\76\x25\x73\74\x2f\x65\162\x72\157\x72\x3e", $errorMessage)); goto F930a; D7ac5: } } private function checkIfFileExists(string $importFile) { try { goto C3668; Ee81e: $this->commandExecutor->execute($checkIfFileExistsCommand); goto Bd4e0; C3668: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto B9a7f; B9a7f: $checkIfFileExistsCommand->setFile($importFile); goto Ee81e; Bd4e0: } catch (\Exception $e) { throw new \Exception(sprintf("\106\x69\154\145\40\x22\45\x73\x22\x20\144\x6f\145\x73\x20\x6e\x6f\164\x20\x65\x78\x69\x73\164\x2e", $importFile)); } } }
