<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto D07bd; E7c52: $this->validator = $validator; goto A3197; A3197: parent::__construct(); goto A2ab6; e8615: $this->logger = $logger; goto E7c52; d570d: $this->commandExecutor = new CommandExecutor(); goto e8615; D07bd: $this->siteEntityManager = $siteEntityManager; goto d570d; A2ab6: } protected function configure() : void { goto a11e1; e5d01: $this->addOption("\144\x65\154\141\171", null, InputOption::VALUE_OPTIONAL, false); goto b9401; a0ec8: $this->setDescription("\143\154\160\143\164\154\x20\162\145\155\157\164\145\55\142\141\143\153\x75\160\72\143\162\145\141\164\145"); goto e5d01; a11e1: $this->setName("\x72\x65\155\157\164\145\55\x62\x61\x63\153\165\160\x3a\x63\162\145\141\x74\145"); goto a0ec8; b9401: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E5a90; c9c79: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); ddaa0: } goto b69e3; E5a90: $this->validateInput($input); goto Cf869; Eb494: $delay = (bool) $input->getOption("\144\x65\154\141\171"); goto b1327; c21bc: $this->backupDatabases(clone $input, clone $output); goto df09a; af043: F690a: goto c9c79; b1327: $this->refreshDropboxAccessToken($delay); goto af043; A39eb: $this->storageProvider = $this->getConfigValue("\x72\145\x6d\x6f\164\x65\137\x62\x61\x63\153\x75\160\137\x73\164\157\162\141\x67\145\x5f\160\162\x6f\x76\x69\144\x65\162"); goto ce294; df09a: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F690a; } goto Eb494; f677e: $this->cleanBackups(); goto f7b5c; f40b0: $siteEntities = $this->siteEntityManager->findAll(); goto A57e8; bc52f: Cc670: goto f677e; ce294: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto f3d75; } goto f40b0; A57e8: if (!count($siteEntities)) { goto Cc670; } goto c21bc; f7b5c: f3d75: goto C1e08; C1e08: return BaseCommand::SUCCESS; goto A9836; Cf869: $isEnabled = (bool) $this->getConfigValue("\x72\x65\155\157\164\145\x5f\142\141\x63\153\165\x70\137\x65\x6e\141\x62\x6c\x65\x64"); goto A39eb; b69e3: C0268: goto bc52f; A9836: } catch (\Exception $e) { goto Fb73a; a76ac: return BaseCommand::FAILURE; goto b9024; B5cbf: $output->writeln(sprintf("\x3c\145\162\162\157\162\x3e\x25\163\x3c\x2f\x65\162\162\x6f\x72\76", $errorMessage)); goto a76ac; Fb73a: $errorMessage = $e->getMessage(); goto B5cbf; b9024: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto e4cb3; D1379: $exitCode = $command->run($input, $output); goto ce162; bbd3d: $command = $application->find("\144\142\72\x62\141\143\153\x75\x70"); goto D1379; e4cb3: $application = $this->getApplication(); goto bbd3d; ce162: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto e8c15; a6bb9: d352e: goto E862d; ecb83: try { try { goto D28cf; e0ca9: Fab63: goto F2917; ac735: $vhostFile = sprintf("\x2f\145\x74\143\57\x6e\147\x69\x6e\170\x2f\163\151\x74\x65\x73\55\145\x6e\141\x62\154\145\x64\57\45\x73\x2e\x63\x6f\x6e\x66", $domainName); goto a0ed1; e8af9: $excludes = array_merge($excludes, $siteExcludes); goto ed396; F2564: f3125: goto e0ca9; e0abc: $sources = [$homeDirectory, $vhostFile]; goto Cd9ea; c28a6: $siteExcludes = $this->getSiteExcludes($siteEntity); goto D4d23; D4d23: if (!(false === empty($siteExcludes))) { goto a30d2; } goto e8af9; dc916: $rclone = new Rclone(); goto Fada7; Cd9ea: $tarCreator = new TarCreator(); goto D6141; ed396: a30d2: goto B6708; c92ef: $homeDirectory = sprintf("\x2f\150\157\x6d\x65\57\x25\163\57", $siteUser); goto ac735; D6141: $tarCreator->create($sources, $destinationFile, $excludes); goto f077a; fbc12: $domainName = $siteEntity->getDomainName(); goto c92ef; eb338: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto dccf4; f7a27: $siteSettingsFile = sprintf("\x2f\150\x6f\155\x65\x2f\45\x73\57\x73\151\164\145\55\163\145\164\164\x69\x6e\x67\x73\56\x6a\163\x6f\x6e", $siteUser); goto D0821; dccf4: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto e0abc; a0ed1: $destinationFile = sprintf("\x2f\x68\157\155\145\57\x25\x73\57\x74\155\160\57\x62\141\143\153\165\160\x2e\164\x61\x72", $siteUser); goto f7a27; Fada7: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto F53f2; c34b6: goto Fab63; goto e91cd; F53f2: $email = $this->getConfigValue("\x72\145\155\157\164\145\137\x62\x61\x63\x6b\165\x70\x5f\x65\x6d\x61\x69\x6c"); goto efc5b; efc5b: $rclone->addFlag("\x2d\55\144\162\x69\166\x65\x2d\151\155\160\145\x72\x73\157\156\141\x74\145", $email); goto c34b6; e91cd: } goto F2564; D0821: $siteVhostFile = sprintf("\x2f\x68\x6f\x6d\x65\57\x25\163\57\x73\151\x74\x65\55\x76\x68\157\x73\x74", $siteUser); goto eb338; B6708: $siteUser = $siteEntity->getUser(); goto fbc12; D28cf: $excludes = ["\56\x73\163\x68", "\164\155\x70", "\x6c\x6f\147\163"]; goto c28a6; f077a: $destination = $this->getDestination($siteEntity); goto dc916; F2917: $rclone->copy($destinationFile, $destination); goto e6009; e6009: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto cb6f8; E7197: ad4ab: goto f00e3; def25: $this->commandExecutor->execute($deleteFileCommand, 60); goto E7197; cb6f8: $deleteFileCommand = new DeleteFileCommand(); goto c8006; c8006: $deleteFileCommand->setFile($file); goto def25; f00e3: } ef151: } } catch (\Exception $e) { goto Cfd6c; Cfd6c: $errorMessage = $e->getMessage(); goto E8af4; D6349: $this->addNotification($subject, $errorMessage); goto E42cf; E8af4: $subject = sprintf("\x52\x65\155\x6f\x74\x65\40\x42\x61\143\x6b\x75\x70\40\146\x61\151\x6c\x65\144\x3a\x20\45\163", $domainName); goto D6349; E42cf: } goto a6bb9; e8c15: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Ca536; Ca536: if (!(false === $isSiteExcluded)) { goto d352e; } goto ecb83; E862d: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto B44a0; B44a0: $siteType = $siteEntity->getType(); goto c2043; Cfbc0: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto Bbdb5; a957f: $writeFileCommand->setContent($fileContent); goto B1a47; Bbdb5: $writeFileCommand = new WriteFileCommand(); goto C7486; D0efd: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto dfa0e; A31a6: goto cd804; goto D4e5e; dfa0e: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto D3fdf; b3a16: $settings["\156\x6f\144\145\x6a\x73\123\145\x74\164\x69\156\x67\x73"] = $nodejsSettings; goto A31a6; D3fdf: $nodejsSettings = ["\x76\x65\x72\x73\x69\x6f\x6e" => $nodejsSettingsEntity->getNodejsVersion(), "\160\157\162\x74" => $nodejsSettingsEntity->getPort()]; goto b3a16; D4e5e: case SiteEntity::TYPE_PHP: goto cc630; f76d2: $phpSettings = ["\166\x65\x72\x73\x69\x6f\x6e" => $phpSettingsEntity->getPhpVersion(), "\155\x65\155\157\162\171\114\151\x6d\151\164" => $phpSettingsEntity->getMemoryLimit(), "\155\141\x78\105\170\145\x63\165\164\151\157\156\x54\151\155\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\x61\x78\x49\156\160\x75\x74\x54\151\x6d\x65" => $phpSettingsEntity->getMaxInputTime(), "\155\141\170\x49\156\160\x75\x74\126\x61\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\157\x73\164\115\x61\170\123\x69\x7a\x65" => $phpSettingsEntity->getPostMaxSize(), "\x75\160\x6c\157\x61\x64\115\141\x78\x46\151\x6c\x65\x53\151\172\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\141\x64\x64\x69\164\x69\157\x6e\x61\x6c\103\157\156\x66\151\147\x75\162\141\164\x69\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto ca851; ca851: $settings["\160\150\160\x53\145\164\164\x69\156\147\x73"] = $phpSettings; goto A1f4e; cc630: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto f76d2; A1f4e: goto cd804; goto cb4b4; cb4b4: case SiteEntity::TYPE_PYTHON: goto c7ac8; c7ac8: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto B85dc; B85dc: $pythonSettings = ["\x76\145\x72\x73\x69\157\156" => $pythonSettingsEntity->getPythonVersion(), "\160\157\162\x74" => $pythonSettingsEntity->getPort()]; goto ba42f; ba42f: $settings["\160\x79\x74\150\x6f\x6e\x53\x65\164\164\x69\x6e\147\163"] = $pythonSettings; goto fc17f; fc17f: goto cd804; goto F9172; F9172: case SiteEntity::TYPE_REVERSE_PROXY: goto Ae42e; e688f: goto cd804; goto D7361; Ae42e: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto c0b0e; c0b0e: $settings["\162\145\166\145\162\163\145\x50\x72\157\x78\x79\123\x65\x74\x74\151\x6e\x67\x73"] = $reverseProxySettings; goto e688f; D7361: } goto Ce6f8; c2043: $settings = ["\164\x79\x70\x65" => $siteType, "\x64\x6f\x6d\x61\151\x6e\x4e\x61\155\145" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\104\x69\x72\x65\143\164\x6f\162\x79" => $siteEntity->getRootDirectory(), "\163\151\x74\145\x55\x73\x65\162" => $siteEntity->getUser(), "\x70\141\x67\145\x53\160\145\145\144" => $siteEntity->getPageSpeedSettings()]; goto D0efd; C46ba: cd804: goto Cfbc0; Ce6f8: fe2f6: goto C46ba; B1a47: $this->commandExecutor->execute($writeFileCommand, 15); goto b5f55; C7486: $writeFileCommand->setFile($siteSettingsFile); goto a957f; b5f55: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto E8d02; cbe3d: $writeFileCommand->setContent($vhost); goto d5ed2; A2bdd: $writeFileCommand = new WriteFileCommand(); goto d9d73; E8d02: $vhost = $siteEntity->getVhostTemplate(); goto A2bdd; d9d73: $writeFileCommand->setFile($siteVhostFile); goto cbe3d; d5ed2: $this->commandExecutor->execute($writeFileCommand, 15); goto e1e17; e1e17: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto F5f67; db6df: $siteUser = $siteEntity->getUser(); goto b163c; bfd79: foreach ($excludes as $exclude) { goto Eb155; Eb155: $exclude = rtrim($exclude, "\57"); goto d67fe; ba713: bc34e: goto b8466; d67fe: if (!($homeDirectory == $exclude)) { goto fede0; } goto Ba286; Ba286: $isSiteExcluded = true; goto a4d32; a695a: fede0: goto ba713; a4d32: goto F29c4; goto a695a; b8466: } goto f9ce3; f2d6b: if (!(false === empty($excludes))) { goto Dfeb4; } goto db6df; cd96b: return $isSiteExcluded; goto fc645; aabb6: $excludes = $this->getExcludes(); goto f2d6b; f9ce3: F29c4: goto Ff3dd; F5f67: $isSiteExcluded = false; goto aabb6; Ff3dd: Dfeb4: goto cd96b; b163c: $homeDirectory = sprintf("\57\x68\157\x6d\x65\x2f\x25\163", $siteUser); goto bfd79; fc645: } private function getExcludes() : array { goto Ee81d; Cfd7d: C917b: goto Acc5a; a9312: $this->excludes = json_decode($excludes); goto ab89d; b31c3: $excludes = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\137\x62\x61\143\x6b\165\x70\137\145\170\x63\154\165\144\x65\x73"); goto Be1e4; Be1e4: if (!(false === empty($excludes))) { goto Ec9d1; } goto a9312; Acc5a: return $this->excludes; goto c2a48; Ee81d: if (!(true === empty($this->excludes))) { goto C917b; } goto b31c3; ab89d: Ec9d1: goto Cfd7d; c2a48: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto Ec2e9; Ba411: if (!(false === empty($excludes))) { goto E57cd; } goto ef657; Ec2e9: $siteExcludes = []; goto B8049; ef657: $siteUser = $siteEntity->getUser(); goto D8cb0; D8cb0: $homeDirectory = sprintf("\x2f\x68\x6f\155\x65\x2f\x25\163\x2f", $siteUser); goto b041e; B8049: $excludes = $this->getExcludes(); goto Ba411; b041e: foreach ($excludes as $exclude) { goto E03ec; bab2d: e13a6: goto e7dfd; a672a: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto B27b3; B27b3: D8cdb: goto B35d1; d4fb5: if (!(false === empty($exclude))) { goto D8cdb; } goto a672a; dd4cd: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto d4fb5; B35d1: e1087: goto bab2d; E03ec: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto e1087; } goto dd4cd; e7dfd: } goto afa5b; afa5b: E87cd: goto Ae249; Bbd35: return $siteExcludes; goto d1a81; Ae249: E57cd: goto Bbd35; d1a81: } private function getServerDateTime() : \DateTime { goto b691e; Ad232: if (!(false === empty($timezone))) { goto e80a8; } goto A1fce; B5a20: $this->serverDateTime = new \DateTime("\x6e\157\167"); goto F66fd; Cb35c: return $this->serverDateTime; goto C0870; D5eb4: $timezone = $this->getConfigValue("\164\x69\x6d\145\x7a\x6f\x6e\x65"); goto B5a20; Cca70: e80a8: goto Eb574; b691e: if (!(true === is_null($this->serverDateTime))) { goto Cd005; } goto D5eb4; F66fd: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\103")); goto Ad232; A1fce: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto Cca70; Eb574: Cd005: goto Cb35c; C0870: } private function getDestination(SiteEntity $siteEntity) : string { goto A7ac5; cee72: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C9447; } goto B99a5; Dac9d: C9447: goto c0354; a55ac: d36fc: goto a6fc1; a6fc1: $siteUser = $siteEntity->getUser(); goto E1f84; F984b: $destination = sprintf("\x25\x73\x2f\45\163\57\45\163\57\x25\x73\57\x68\x6f\x6d\x65\x2f\x25\x73\x2f", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\57"), $serverDateTime->format("\x59\x2d\155\55\144"), $serverDateTime->format("\x48\56\151"), $siteUser); goto cee72; D22f2: $serverDateTime = $this->getServerDateTime(); goto F984b; fab79: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\155\157\164\x65\137\142\141\x63\x6b\165\160\137\142\165\143\153\x65\164"); goto d36fc; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\x65\x6d\157\164\145\137\x62\141\x63\x6b\165\x70\x5f\163\x70\141\x63\145"); goto d36fc; } goto dcef5; dcef5: C92c5: goto a55ac; B99a5: $destination = ltrim($destination, "\x2f"); goto Dac9d; c0354: return $destination; goto C5c24; A7ac5: $destination = ''; goto fab79; E1f84: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\x5f\x62\141\143\x6b\165\x70\x5f\x73\164\x6f\162\141\147\x65\137\x64\151\x72\x65\143\x74\x6f\162\x79"); goto D22f2; C5c24: } private function cleanBackups() : void { goto e07c6; e07c6: $retentionPeriod = (int) $this->getConfigValue("\x72\x65\155\157\164\145\137\x62\141\143\153\x75\160\x5f\162\145\164\145\x6e\x74\151\x6f\x6e\x5f\x70\145\x72\151\157\x64"); goto d5de6; F00fe: E6657: goto Edf32; a9be0: try { goto F2295; F2295: $dateTime = new \DateTime(); goto b19a4; d134c: D1d99: goto ccd91; d207a: $deleteDateTime->modify(sprintf("\x2d\45\x73\40\144\x61\x79\163", $retentionPeriod)); goto A794e; A794e: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\124\x43")); goto d5d06; Fcfd7: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C4cc4; } goto E0b35; D7de8: Ecb7f: goto e7f3d; E0b35: $remotePath = ltrim($remotePath, "\x2f"); goto fbedd; C1c40: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\162\x65\x6d\x6f\x74\145\x5f\142\x61\x63\x6b\x75\x70\137\x62\165\x63\x6b\145\x74"); goto F10fe; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\155\157\x74\x65\x5f\142\x61\x63\x6b\x75\160\137\163\x70\141\x63\145"); goto F10fe; case StorageProvider::GOOGLE_DRIVE: goto D2d4d; D2d4d: $email = $this->getConfigValue("\x72\145\x6d\x6f\164\x65\x5f\142\x61\143\153\x75\x70\137\145\x6d\141\x69\x6c"); goto E5d13; E5d13: $rclone->addFlag("\55\55\144\162\x69\x76\x65\x2d\151\x6d\x70\x65\162\163\157\156\141\164\x65", $email); goto Ede0a; Ede0a: goto F10fe; goto b97f5; b97f5: } goto D7de8; C4b91: $directories = (array) $rclone->lsJson($remotePath, true); goto eea76; Ea859: $remotePath = sprintf("\x25\163\57\x25\163\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto Fcfd7; dedd7: bb13e: goto d134c; b19a4: $deleteDateTime = clone $dateTime; goto d207a; Ae56d: $remotePath = ''; goto Ea919; Ea919: $rclone = new Rclone(); goto C1c40; e7f3d: F10fe: goto Ea859; eea76: if (!(false === empty($directories))) { goto D1d99; } goto eec25; fbedd: C4cc4: goto C4b91; d5d06: $deleteDateTime->setTime(0, 0, 0, 0); goto Ae56d; eec25: foreach ($directories as $directory) { goto D82b4; b640d: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto a147f; A2831: $rclone->purge($purgeRemotePath); goto ccb4f; D3681: B43b4: goto F9a92; a8b5d: Dcfb1: goto c0860; d9cfe: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto f88ac; } goto C3868; eee45: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto E094e; } goto c4219; c4219: $purgeRemotePath = sprintf("\57\x25\163", ltrim($purgeRemotePath, "\57")); goto C6b74; C73b2: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto c93df; } goto e17e2; C3868: $purgeRemotePath = sprintf("\x25\163\x2f\45\x73\57", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto C73b2; D82b4: $directoryName = $directory["\116\x61\x6d\145"] ?? null; goto Cb5b4; Cb5b4: if (!(false === is_null($directoryName))) { goto e20d7; } goto b640d; C6b74: E094e: goto A2831; ccb4f: f88ac: goto a8b5d; a147f: if (!(true === $isValidDate)) { goto Dcfb1; } goto d9cfe; e5a87: c93df: goto eee45; e17e2: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto e5a87; c0860: e20d7: goto D3681; F9a92: } goto dedd7; ccd91: } catch (\Exception $e) { goto ade16; F61f4: $this->addNotification($subject, $errorMessage); goto Ee656; ade16: $errorMessage = $e->getMessage(); goto Ff51e; Ff51e: $subject = sprintf("\x52\x65\155\157\x74\x65\40\x42\x61\143\x6b\x75\160\40\x63\154\145\x61\x6e\x75\x70\40\146\x61\151\154\x65\x64\x2e"); goto F61f4; Ee656: } goto F00fe; f592d: if (!($retentionPeriod && false === empty($storageDirectory))) { goto E6657; } goto a9be0; d5de6: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\137\x62\x61\143\x6b\x75\x70\137\163\x74\157\x72\x61\147\x65\x5f\x64\151\162\x65\143\164\157\x72\x79"); goto f592d; Edf32: } private function refreshDropboxAccessToken(bool $delay) { try { goto c5c29; Bb474: $rclone->writeConfig($rcloneConfig); goto Bab5a; E03b7: sleep(rand(5, 60)); goto c7296; c5c29: if (!(true === $delay)) { goto d8357; } goto E03b7; de63d: $refreshToken = $this->getConfigValue("\x72\x65\x6d\157\164\145\x5f\142\141\143\x6b\165\160\137\162\145\146\162\x65\x73\150\137\x74\157\x6b\x65\156"); goto bd2b2; Fd538: goto a40f0; goto Fbc29; ea8c7: $rclone = new Rclone(); goto Bb474; a6694: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Ca4fe; c7296: d8357: goto de63d; Fbc29: c204b: goto a6694; bd2b2: $dropboxClient = new DropboxClient(); goto B1808; d8368: $rcloneConfig = $rcloneConfigBuilder->build(); goto ea8c7; B1808: $token = $dropboxClient->getAccessToken($refreshToken); goto F9434; Ca4fe: $rcloneConfigTemplate->setToken($token); goto eba95; F9434: if (false === empty($token)) { goto c204b; } goto Afc0e; Afc0e: throw new \Exception("\101\143\x63\x65\163\163\x20\124\x6f\153\145\156\x20\143\x61\x6e\x6e\157\x74\40\142\x65\40\x65\155\160\164\x79\x2e"); goto Fd538; eba95: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto d8368; Bab5a: a40f0: goto aa310; aa310: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\x66\162\145\x73\x68\x69\156\147\40\104\162\x6f\160\142\x6f\170\40\101\x63\x63\145\163\x73\x20\124\x6f\x6b\145\x6e\x20\106\141\x69\x6c\x65\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto E4f8e; ec44f: NotificationQueue::addNotification($notification); goto f0441; c48fa: $notification->setSubject($subject); goto Eb6cb; Eb6cb: $notification->setMessage($errorMessage); goto D323d; D323d: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto ec44f; E4f8e: $notification = new Notification(); goto c48fa; f0441: } }
