<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\157\x64\145\x6a\x73"; protected function configure() : void { goto E6391; ed748: $this->addOption("\163\151\x74\x65\x55\163\x65\x72\x50\x61\x73\x73\167\157\162\x64", null, InputOption::VALUE_REQUIRED); goto E8c04; cab0c: $this->setComment("\x41\x64\144\151\156\147\x20\x61\40\x4e\x6f\x64\x65\x2e\152\x73\x20\x53\x69\164\x65"); goto D757c; cf87c: $this->setDescription("\x63\x6c\x70\x63\164\x6c\x20\163\151\x74\x65\x3a\141\144\144\72\156\157\x64\145\152\x73\x20\55\x2d\x64\157\155\x61\x69\156\x4e\x61\155\x65\75\167\x77\x77\x2e\x64\x6f\x6d\141\151\156\x2e\143\157\155\40\55\55\x6e\157\144\145\x6a\163\126\x65\162\x73\151\157\156\x3d\x32\62\x20\x2d\55\141\160\x70\120\157\x72\x74\75\63\x30\60\60\x20\x2d\55\163\x69\x74\145\x55\x73\145\162\75\152\157\x68\x6e\x20\x2d\x2d\x73\151\x74\x65\125\x73\x65\x72\120\x61\x73\163\167\x6f\x72\x64\x3d\47\x21\163\145\x63\x72\145\164\x50\141\163\x73\x77\157\162\x64\41\47"); goto cab0c; d4a2b: $this->addOption("\x73\151\x74\x65\x55\163\x65\x72", null, InputOption::VALUE_REQUIRED); goto ed748; D757c: $this->addOption("\144\157\155\x61\151\x6e\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto Fb5f1; E6391: $this->setName("\163\151\x74\x65\x3a\141\144\x64\x3a\x6e\157\x64\x65\152\163"); goto cf87c; Fb5f1: $this->addOption("\x6e\157\x64\145\152\163\126\x65\162\x73\x69\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto b59b4; b59b4: $this->addOption("\141\x70\160\120\157\x72\x74", null, InputOption::VALUE_REQUIRED); goto d4a2b; E8c04: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Af147; c964c: $rsaKeyGenerator = new RsaKeyGenerator(); goto f3dcc; E0ee8: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto C0575; c569c: $nodejsSettingsEntity->setPort($appPort); goto e7c5c; de2ca: $nodejsSiteCreator->installNodejs(); goto A7207; e8c7f: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto E9918; bc080: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto a6a88; A9e38: ad573: goto C2df0; Eedd1: $subdomain = false === empty($subdomain) ? $subdomain : null; goto E0ee8; A5395: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto Cf174; D25f6: D381b: goto B3487; F086e: $subjectAlternativeNames = []; goto B0892; b4a58: $nodejsSiteCreator->resetPermissions(); goto Fa451; Df42a: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Dd6ce; F2597: Dd542: goto db190; Cd5f0: d56c1: goto F88bc; c9d6d: return SiteCommand::SUCCESS; goto d88ad; d7aa7: if (true === isset($_ENV["\101\x50\x50\137\x48\x54\124\x50\63"]) && "\x74\x72\x75\145" === $_ENV["\x41\120\x50\137\110\124\124\x50\x33"]) { goto deebd; } goto Be33a; E4a26: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto C90aa; F695d: $rootDirectory = $domainName; goto B66bf; F46ca: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto c569c; E9918: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto A7391; e7c5c: $nodejsSettingsEntity->setSite($siteEntity); goto F6479; cffe6: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto Bb70d; } goto ad965; B2f14: $certificateEntity->setCertificate($selfSignedCertificate); goto C8a21; d3530: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto bc080; Ea9a3: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto F46ca; fcf25: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto Ea55b; b038a: $siteEntity->setDomainName($domainName); goto B135f; A9b34: $siteEntity->setUser($siteUser); goto c556a; f6a95: deebd: goto F8d05; D8f6c: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto F695d; a6a88: $nodejsSiteCreator->createUser(); goto A66c6; D4460: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\155\141\151\x6e\116\x61\x6d\145"))); goto D8f6c; aa84a: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto cffe6; c28f4: goto d56c1; goto F2acd; a48f9: $nodejsSiteCreator->createNginxVhost(); goto Fe1d3; C2df0: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto D381b; } goto b54e4; aae99: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto C9616; F6479: $siteConstraints = $this->validator->validate($siteEntity); goto aa84a; B7a8c: $nodejsSite->setRegistrableDomain($registrableDomain); goto d8cc0; D639e: if (!(false === empty($redirectionVhostTemplate))) { goto Dd542; } goto e2b7c; B0892: if (!(true === is_null($subdomain))) { goto ad573; } goto D0723; C4287: $constraints->addAll($siteConstraints); goto b12b8; F2acd: D2410: goto F1978; f2676: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto B2f14; Af147: $this->validateInput($input); goto D4460; e1b6f: $this->siteEntityManager->updateEntity($siteEntity); goto e18ea; d64a6: $nodejsSiteCreator->createNvmDirectory(); goto de2ca; db5cc: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto e8c7f; e3fd1: $siteUser = trim($input->getOption("\163\x69\164\145\x55\163\145\162")); goto C1406; F2d88: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto b038a; B707e: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto B90ad; B66bf: $nodejsVersion = (int) $input->getOption("\156\157\x64\145\152\x73\126\x65\x72\x73\x69\x6f\x6e"); goto Ac525; e18ea: $output->writeln(sprintf("\x3c\x69\x6e\146\157\76\x53\151\164\145\x3c\57\x69\x6e\146\157\76\40\74\143\157\155\x6d\145\x6e\164\76\45\x73\74\57\143\x6f\x6d\155\145\x6e\x74\76\40\74\151\x6e\x66\x6f\x3e\x68\141\x73\40\142\x65\145\156\40\141\144\144\145\144\x2e\74\57\151\156\x66\157\76", $domainName)); goto c9d6d; D429e: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto d716a; abf8d: $nodejsSite->setUser($siteEntity->getUser()); goto fcf25; C0575: if (false === is_null($vhostTemplateEntity)) { goto D2410; } goto e0e3a; cbe2a: $siteEntity->setVhostTemplate($vhostTemplate); goto bbb48; Dd6ce: $certificateEntity->setDefaultCertificate(true); goto B707e; db190: a20d1: goto cbe2a; F1978: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Ffb4b; A66c6: $nodejsSiteCreator->createRootDirectory(); goto C0896; Fe1d3: $nodejsSiteCreator->reloadNginxService(); goto b4a58; A7207: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto a48f9; d8cc0: $nodejsSite->setSubdomain($subdomain); goto A5395; b54e4: $subjectAlternativeNames[] = $registrableDomain; goto D25f6; B0c36: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Eedd1; Cf174: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto C03c6; ad965: $constraints = new ConstraintViolationList(); goto C4287; Fa451: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto E4a26; B135f: $siteEntity->setRootDirectory($rootDirectory); goto A9b34; F8d05: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\x2f\56\56\x2f\162\145\x73\x6f\165\x72\143\145\163\57\156\147\x69\x6e\170\57\x76\x68\157\x73\x74\137\164\145\155\x70\154\x61\x74\145\57\x72\x65\144\151\x72\145\x63\164\x2d\x68\164\x74\x70\63"); goto ac26d; C8a21: $siteEntity->setCertificate($certificateEntity); goto C05c1; Be33a: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\57\x2e\x2e\x2f\x72\x65\163\x6f\x75\162\x63\145\163\57\x6e\x67\151\156\170\x2f\166\x68\x6f\x73\164\137\x74\145\155\160\x6c\x61\164\x65\x2f\x72\x65\144\x69\x72\x65\143\x74"); goto e18d5; Cefea: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D43e0; d716a: $csr = $csrGenerator->generate(); goto Df42a; C90aa: $vhostTemplate->resetProcessors(); goto db5cc; bbb48: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto Ea9a3; Ae610: if (!(true === is_null($subdomain) || "\x77\167\x77" == $subdomain)) { goto a20d1; } goto d7aa7; f3dcc: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F086e; Ac525: $appPort = (int) $input->getOption("\x61\160\x70\x50\x6f\162\x74"); goto e3fd1; e2b7c: $vhostTemplate = sprintf("\x25\163\x25\163", $redirectionVhostTemplate, $vhostTemplate); goto F2597; C0896: $nodejsSiteCreator->createLogrotateFile(); goto d64a6; A7391: $vhostTemplate->build(); goto aae99; Ffb4b: $siteEntity = $this->siteEntityManager->createEntity(); goto F2d88; A07f6: goto ec7b9; goto ed047; B90ad: $certificateEntity->setCsr($csr); goto f2676; c556a: $siteEntity->setUserPassword($siteUserPassword); goto Ae610; eaa69: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F7295; C03c6: $nodejsSite->setCertificate($certificateEntity); goto d3530; B3487: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto D429e; b12b8: $constraints->addAll($nodejsSettingsConstraints); goto D4118; F7295: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto B0c36; C9616: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto e1b6f; D43e0: $certificateEntity->setSite($siteEntity); goto c964c; Ea55b: $nodejsSite->setDomainName($domainName); goto B7a8c; D0723: $subjectAlternativeNames[] = sprintf("\167\167\167\56\45\163", $domainName); goto A9e38; ed047: Bb70d: goto Cefea; e18d5: goto F9647; goto f6a95; ac26d: F9647: goto b3173; d88ad: ec7b9: goto Cd5f0; b3173: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto D639e; C1406: $siteUserPassword = trim($input->getOption("\x73\x69\164\x65\125\163\145\162\120\141\x73\163\167\x6f\x72\144")); goto eaa69; D4118: return $this->renderConstraints($constraints, $output); goto A07f6; e0e3a: throw new \Exception(sprintf("\126\150\x6f\x73\x74\40\x54\145\155\160\x6c\x61\164\x65\x20\x22\x25\163\42\40\x64\x6f\x65\163\x20\156\x6f\164\40\x65\170\151\163\x74\x2e", $vhostTemplate)); goto c28f4; C05c1: $nodejsSite = new NodejsSite(); goto abf8d; F88bc: } catch (\Exception $e) { goto B229e; A078d: return SiteCommand::FAILURE; goto F1ffb; B229e: $errorMessage = $e->getMessage(); goto da0f2; da0f2: $output->writeln(sprintf("\x3c\x65\162\162\x6f\x72\x3e\45\163\74\57\145\x72\x72\157\162\76", $errorMessage)); goto A078d; F1ffb: } } }
