<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto D108b; c5314: $this->databaseServerEntityManager = $databaseServerEntityManager; goto cdabb; cdabb: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto fb335; C36e5: parent::__construct(); goto d7917; fb335: $this->validator = $validator; goto C36e5; A59f5: $this->siteEntityManager = $siteEntityManager; goto C1643; D108b: $this->domainNameParser = $domainNameParser; goto A59f5; C1643: $this->certificateEntityManager = $certificateEntityManager; goto c5314; d7917: } protected function configure() : void { $this->setName("\163\x69\164\x65\x3a\x74\155\160"); } protected function getSite(string $domainName) : ?Site { goto A99fe; d2599: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto dda16; a034a: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d1cbb; a1de7: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Cb526; b3b04: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ba20a; Ba20a: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a034a; Cfcd4: Fc0c4: goto E8988; Cb526: $site->setCertificate($siteEntity->getCertificate()); goto fabfe; ce1fe: $site->setRegistrableDomain($registrableDomain); goto E3b1f; d1cbb: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Ad215; ae4a9: $siteEntity = $this->getSiteEntity($domainName); goto e4501; F74f8: goto Fc0c4; goto d2804; a052f: f621f: goto cc481; E8988: return $site; goto B17ee; e8143: $site->setBasicAuth($siteEntity->getBasicAuth()); goto C1d30; b1584: $site->setRootDirectory($siteEntity->getRootDirectory()); goto f7dd3; d2804: b8ca7: goto d68fd; D363b: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto b3b04; C1d30: $site->setBlockedBots($siteEntity->getBlockedBots()); goto a1de7; fabfe: $site->setCertificates($siteEntity->getCertificates()); goto Ed74e; Ed74e: $site->setCronJobs($siteEntity->getCronJobs()); goto dece1; dda16: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto F1884; c087a: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto d2599; F1884: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto C7e96; cc481: if (!(false === is_null($site))) { goto dfcef; } goto D363b; C7e96: dfcef: goto Cfcd4; f088e: $site->setDomainName($siteEntity->getDomainName()); goto ce1fe; fd992: de42b: goto a052f; bbf3a: throw new \Exception(sprintf("\123\151\x74\x65\x20\42\45\x73\42\40\144\157\x65\163\40\156\x6f\x74\40\145\170\x69\x73\164\56", $domainName)); goto F74f8; cf818: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto d1c11; d1c11: $site = new NodejsSite(); goto d9e25; d9e25: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ee838; Ee838: goto f621f; goto Feca4; Feca4: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto f621f; case SiteEntity::TYPE_PHP: goto Abb20; F19aa: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Dd122; c87dd: goto f621f; goto f9e27; Dd122: $site->setVarnishCache($siteEntity->getVarnishCache()); goto c87dd; Abb20: $site = new PhpSite(); goto F19aa; f9e27: case SiteEntity::TYPE_PYTHON: goto e9640; e9640: $site = new PythonSite(); goto d8875; E97f3: goto f621f; goto b2e8a; d8875: $site->setPythonSettings($siteEntity->getPythonSettings()); goto E97f3; b2e8a: case SiteEntity::TYPE_REVERSE_PROXY: goto c56e8; c786c: goto f621f; goto F1f8a; c56e8: $site = new ReverseProxySite(); goto b6b62; b6b62: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto c786c; F1f8a: } goto fd992; d68fd: $siteType = $siteEntity->getType(); goto cf818; C6471: $site->setSshUsers($siteEntity->getSshUsers()); goto c087a; dece1: $site->setFtpUsers($siteEntity->getFtpUsers()); goto C6471; Ad215: $site->setUser($siteEntity->getUser()); goto f088e; f7dd3: $site->setDatabases($siteDatabases); goto e8143; E3b1f: $site->setSubdomain($subdomain); goto b1584; e4501: if (false === is_null($siteEntity)) { goto b8ca7; } goto bbf3a; A99fe: $site = null; goto ae4a9; B17ee: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto d5495; ac39d: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e781e; b4c99: return $siteDatabases; goto dc7ee; e781e: $databaseEntities = $siteEntity->getDatabases(); goto D5a29; D5a29: foreach ($databaseEntities as $databaseEntity) { goto cacb9; A9353: E5fbe: goto F0060; a84c1: C7e9d: goto A9353; Bb1fc: $siteDatabases->add($databaseEntity); goto a84c1; E0fbb: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto C7e9d; } goto Bb1fc; cacb9: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto E0fbb; F0060: } goto E6dcc; E6dcc: C2670: goto b4c99; d5495: $siteDatabases = new ArrayCollection(); goto ac39d; dc7ee: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Ac0a9; ada74: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto ad72a; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto ad72a; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto ad72a; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto ad72a; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto ad72a; } goto Dcb5f; d39f5: ad72a: goto Ae471; Ae471: return $siteDeleter; goto b3204; f7d87: $siteType = $site->getType(); goto ada74; Dcb5f: d50e7: goto d39f5; Ac0a9: $siteDeleter = null; goto f7d87; b3204: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto F822f; Ac8e2: return $siteUpdater; goto B29c9; b4fbc: $siteType = $site->getType(); goto C5cdd; E01e1: Fce43: goto Ac8e2; C5cdd: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Fce43; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Fce43; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Fce43; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Fce43; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Fce43; } goto D1a31; D1a31: E5d36: goto E01e1; F822f: $siteUpdater = null; goto b4fbc; B29c9: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\x65\162", "\x73\151\164\x65\125\163\x65\x72", $constraints); $this->changePropertyPath("\165\x73\x65\162\120\x61\163\x73\167\x6f\x72\144", "\163\151\x74\x65\x55\x73\x65\x72\x50\141\163\163\167\157\x72\x64", $constraints); } }
