<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto bf643; bf643: $this->userEntityManager = $userEntityManager; goto efbf9; a35b4: $this->timezoneEntityManager = $timezoneEntityManager; goto ecfa5; efbf9: $this->siteEntityManager = $siteEntityManager; goto a35b4; ecfa5: parent::__construct($translator, $logger); goto B3a5f; B3a5f: } public function index(Request $request) : Response { goto C3861; C3861: $currentUser = $this->getUser(); goto D8832; b7c2a: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto d2a36; D8832: $users = $this->userEntityManager->findAll([], ["\165\x73\145\162\x4e\141\155\145" => "\141\x73\x63"]); goto b7c2a; F6643: return $response; goto dbb3e; d2a36: $response = $this->render("\x41\144\x6d\x69\156\57\x55\163\145\x72\57\151\156\144\x65\x78\x2e\x68\164\155\x6c\x2e\x74\x77\151\x67", ["\165\x73\145\x72\x73" => $users]); goto F6643; dbb3e: } public function new(Request $request) : Response { goto Dd9dc; C9667: e82bb: goto A9e8a; Bc115: $userEntity->setTimezone($defaultTimezone); goto E5d0a; D1905: $form->handleRequest($request); goto Ca284; cced3: return $response; goto Bef78; E5d0a: $form = $this->createUserForm($userEntity); goto C8c79; Ca284: if (!(true === $form->isSubmitted())) { goto e82bb; } goto A25da; Ed688: C9531: goto C9667; b6fa8: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\151\x6e\x4e\141\155\145" => "\x41\x53\103"]); goto Bc115; bc6a2: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto b6fa8; a283e: return $response; goto Ed688; A9e8a: a9b5e: goto b85e9; A25da: $response = $this->handleUserForm($request, $form); goto Ca301; C8c79: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto a9b5e; } goto D1905; Dd9dc: $userEntity = $this->userEntityManager->createEntity(); goto bc6a2; b85e9: $response = $this->render("\x41\x64\155\151\156\x2f\x55\x73\x65\x72\57\156\145\167\56\150\x74\155\x6c\x2e\164\x77\x69\x67", ["\x75\x73\x65\x72" => $userEntity, "\163\151\164\145\163" => $sites, "\146\157\x72\155" => $form->createView(), "\146\157\162\155\105\x72\162\x6f\162\x73" => $this->formErrors]); goto cced3; Ca301: if (!(false === is_null($response))) { goto C9531; } goto a283e; Bef78: } private function createUserForm(UserEntity $userEntity) : Form { goto a87b7; Bbeb3: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\163\x73" => "\x62\x74\x6e\x20\x62\164\156\x2d\x62\x6c\165\145\x20\x62\164\156\x2d\x6c\x67"], "\154\x61\x62\x65\x6c" => "\x41\x64\x64\x20\x55\x73\145\x72"]); goto e916a; a87b7: $form = $this->createForm("\x41\x70\160\x5c\x46\157\162\x6d\134\x41\144\x6d\151\156\x55\163\145\x72\x54\171\160\x65", $userEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\154\160\137\141\x64\155\151\156\x5f\x75\x73\x65\x72\137\x6e\x65\x77"), "\x6d\145\164\150\157\144" => "\x50\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto Bbeb3; e916a: return $form; goto e43f6; e43f6: } private function handleUserForm(Request $request, Form $form) { goto Faa4c; e3086: goto dc2a4; goto b7d3d; b7d3d: F4d67: goto b431a; Faa4c: if (true === $form->isValid()) { goto F4d67; } goto fc983; D0e0f: dc2a4: goto F7fd5; b431a: try { goto fe479; b6001: return $response; goto E7cbd; B8788: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\141\144\x6d\x69\x6e\137\x75\x73\145\x72\x73")); goto b6001; f1af9: $this->userEntityManager->updateUser($userEntity); goto Dbfae; e19e4: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto fdb54; } goto e43b2; e43b2: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); a67e0: } goto d3eb5; a9df5: $userEntity = $form->getData(); goto E20cf; d3eb5: ca21a: goto aa3ac; Bc5bc: $session = $request->getSession(); goto a9df5; Dbfae: $eventData = ["\165\163\145\x72\x4e\141\155\x65" => $userEntity->getUserName(), "\x66\151\162\163\x74\116\x61\x6d\x65" => $userEntity->getFirstName(), "\x6c\141\x73\x74\x4e\141\x6d\x65" => $userEntity->getLastName(), "\145\x6d\141\x69\x6c" => $userEntity->getEMail(), "\162\157\154\x65" => $userEntity->getRole(), "\x73\151\x74\x65\163" => implode("\54\40", $domainNames)]; goto cb852; D06dc: $domainNames = []; goto e19e4; fe479: $currentUser = $this->getUser(); goto Bc5bc; e52ea: sort($domainNames); goto f1af9; E20cf: $sites = $userEntity->getSites(); goto D06dc; aa3ac: fdb54: goto e52ea; E575d: $session->getFlashBag()->set("\163\x75\143\x63\145\163\163", $this->translator->trans("\x55\x73\145\x72\x20\x68\x61\x73\x20\x62\x65\145\x6e\x20\141\x64\144\145\x64\x2e")); goto B8788; cb852: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto E575d; E7cbd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\156\40\145\x72\162\157\x72\x20\x68\x61\x73\x20\x6f\x63\143\165\x72\162\145\x64\54\40\x65\x72\162\x6f\x72\40\155\x65\163\x73\141\x67\x65\72\x20\45\x65\x72\x72\157\x72\115\145\x73\x73\141\x67\145\45", ["\45\145\x72\x72\157\x72\115\145\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto D0e0f; fc983: $this->formErrors = $this->getErrorMessages($form); goto e3086; F7fd5: } public function edit(Request $request) : Response { goto F2bad; De944: return $response; goto e40a2; Fb936: if (!(false === is_null($response))) { goto Eb98c; } goto De944; f16f8: $form = $this->createUserEditForm($userEntity); goto a1f97; a1f97: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto B1c9e; } goto D6b99; aef56: $response = $this->render("\101\x64\155\x69\156\x2f\125\x73\x65\x72\x2f\145\144\x69\x74\56\x68\164\x6d\x6c\x2e\164\x77\151\147", ["\165\x73\145\x72" => $userEntity, "\163\x69\x74\x65\163" => $sites, "\x66\x6f\162\155" => $form->createView(), "\x66\157\162\x6d\x45\162\162\x6f\162\163" => $this->formErrors]); goto ce173; e40a2: Eb98c: goto D0ff4; F3112: d05af: goto a52ef; ce173: Cb5a9: goto Eda7d; a337e: B1c9e: goto aef56; a6a51: goto Cb5a9; goto F3112; D6b99: $form->handleRequest($request); goto B590d; e1f69: $userEntity = $this->userEntityManager->findOneById($id); goto e98c1; F2bad: $id = (int) $request->get("\x69\144"); goto e1f69; Eda7d: return $response; goto a9543; D0ff4: a2ac0: goto a337e; B590d: if (!(true === $form->isSubmitted())) { goto a2ac0; } goto ca9bb; b673d: $response = $this->redirect($this->generateUrl("\x63\154\160\137\141\144\155\151\x6e\x5f\x75\x73\x65\x72\163")); goto a6a51; ca9bb: $response = $this->handleUserEditForm($request, $form); goto Fb936; e98c1: if (false === is_null($userEntity)) { goto d05af; } goto b673d; a52ef: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\151\x6e\x4e\141\x6d\x65" => "\x41\x53\103"]); goto f16f8; a9543: } private function createUserEditForm(UserEntity $userEntity) : Form { goto D2e57; E4f29: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\x61\163\x73" => "\x62\164\x6e\40\x62\164\x6e\x2d\x62\x6c\165\145\40\x62\x74\156\x2d\154\x67"], "\154\x61\142\x65\154" => "\123\x61\166\145"]); goto Cc412; Cc412: return $form; goto A5761; D2e57: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\162\x6d\x5c\x41\144\x6d\151\156\125\x73\145\162\105\144\x69\x74\124\171\x70\x65", $userEntity, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\141\144\155\151\156\137\165\163\x65\162\x5f\145\144\151\164", ["\x69\144" => $userEntity->getId()]), "\155\x65\164\x68\157\x64" => "\120\x4f\x53\124", "\141\164\164\x72" => []]); goto E4f29; A5761: } private function handleUserEditForm(Request $request, Form $form) { goto ed36c; Da22a: try { goto A7235; D1a1f: sort($domainNames); goto f6df1; cffac: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto Cac03; A7235: $currentUser = $this->getUser(); goto a0f93; E625d: goto Ebff7; goto Aad43; bc8ac: $userEntity = $form->getData(); goto E5ad6; C38d6: $eventData = ["\165\x73\x65\162\x4e\x61\x6d\145" => $userEntity->getUserName(), "\146\151\x72\163\x74\116\141\155\145" => $userEntity->getFirstName(), "\x6c\x61\x73\x74\x4e\x61\155\x65" => $userEntity->getLastName(), "\x65\x6d\x61\x69\x6c" => $userEntity->getEMail(), "\x72\x6f\x6c\x65" => $userEntity->getRole(), "\163\164\x61\x74\165\x73" => (int) $userEntity->getStatus(), "\163\x69\164\x65\x73" => implode("\x2c\40", $domainNames)]; goto cffac; e3f80: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); Aab8f: } goto F019e; a5e3d: $this->userEntityManager->updateUser($userEntity, true, true); goto Caae0; ba42d: $domainNames = []; goto fc7de; Caae0: Ebff7: goto C38d6; Feed2: $this->userEntityManager->updateUser($userEntity); goto E625d; E5ad6: $plainPassword = $userEntity->getPlainPassword(); goto Dc4dd; Dc4dd: $sites = $userEntity->getSites(); goto ba42d; a0f93: $session = $request->getSession(); goto bc8ac; Aad43: Cfe39: goto a5e3d; f4e56: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x61\x64\155\151\x6e\137\165\x73\x65\x72\137\145\x64\x69\164", ["\151\144" => $userEntity->getId()])); goto dd3cd; dd3cd: return $response; goto b3720; Cac03: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\x55\163\x65\162\x20\x68\141\x73\x20\x62\x65\x65\x6e\x20\165\160\144\x61\164\x65\144\x2e")); goto f4e56; f6df1: if (false === empty($plainPassword)) { goto Cfe39; } goto Feed2; F019e: a4687: goto E313c; E313c: Ef7c9: goto D1a1f; fc7de: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto Ef7c9; } goto e3f80; b3720: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\x20\x68\x61\163\40\x6f\x63\x63\x75\162\x72\x65\144\54\x20\145\162\162\x6f\x72\40\155\145\163\x73\141\x67\x65\x3a\40\45\x65\162\162\157\x72\x4d\x65\163\163\x61\147\x65\45", ["\45\x65\162\162\x6f\x72\115\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto D6d29; Af9e6: A4b4a: goto Da22a; D6d29: E7c73: goto F94be; bd86c: $this->formErrors = $this->getErrorMessages($form); goto bc2bd; ed36c: if (true === $form->isValid()) { goto A4b4a; } goto bd86c; bc2bd: goto E7c73; goto Af9e6; F94be: } public function delete(Request $request) : Response { goto e47a1; Ebf20: $id = (int) $request->get("\x69\144"); goto Feede; F6c85: $this->userEntityManager->deleteUser($userEntity); goto E0471; b23c9: if (!(true === isset($id) && $id != $currentUser->getId())) { goto ddf64; } goto D6779; D6779: $userEntity = $this->userEntityManager->findOneById($id); goto Df0b1; d9394: $session = $request->getSession(); goto A431c; D3cf5: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto F6c85; Feede: $this->checkCsrfToken($request, "\x64\145\x6c\145\x74\145\55\165\163\145\x72"); goto b23c9; Df0b1: if (!(false === is_null($userEntity))) { goto C209a; } goto d9394; e47a1: $currentUser = $this->getUser(); goto Ebf20; D9dd8: C209a: goto f29a5; Fac5a: return $response; goto Efb42; f29a5: ddf64: goto B93e2; E0471: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\x55\163\x65\x72\40\x68\x61\x73\x20\x62\145\145\156\40\x64\x65\154\145\164\x65\144\x2e")); goto D9dd8; A431c: $eventData = ["\x75\163\x65\162\116\141\x6d\145" => $userEntity->getUserName(), "\x66\x69\162\x73\x74\x4e\x61\x6d\145" => $userEntity->getFirstName(), "\x6c\141\163\x74\116\141\x6d\145" => $userEntity->getLastName(), "\x65\155\x61\x69\154" => $userEntity->getEMail(), "\162\x6f\x6c\x65" => $userEntity->getRole()]; goto D3cf5; B93e2: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\141\144\155\x69\x6e\137\165\163\x65\162\x73")); goto Fac5a; Efb42: } }
