<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto bab00; ca6bd: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto C2b40; E8aeb: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto ca6bd; C2b40: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto Bb769; bab00: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto E8aeb; Bb769: parent::__construct($translator, $logger); goto bf4b9; bf4b9: } public function index(Request $request) : Response { goto d31a9; da8af: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto bfeec; bfeec: $minuteInterval = 5; goto bc7c7; Ffa0f: goto B498c; goto d698b; bc7c7: $startTime = (clone $endTime)->modify("\x2d\x33\60\x20\155\151\156\165\x74\x65\x73"); goto Ffa0f; d698b: case self::TIME_RANGE_LAST_HOUR: goto Fa2c8; Fa2c8: $minuteInterval = 10; goto f81fc; f81fc: $startTime = (clone $endTime)->modify("\55\61\x20\x68\157\x75\162"); goto Bd11d; Bd11d: goto B498c; goto B1f24; B1f24: case self::TIME_RANGE_LAST_THREE_HOURS: goto be889; Dec76: goto B498c; goto C616e; be889: $minuteInterval = 30; goto A7859; A7859: $startTime = (clone $dateTime)->modify("\x2d\63\40\150\x6f\x75\x72\163"); goto Dec76; C616e: case self::TIME_RANGE_LAST_SIX_HOURS: goto ac038; F90a6: goto B498c; goto c3013; ac038: $minuteInterval = 60; goto de734; de734: $startTime = (clone $dateTime)->modify("\55\66\x20\150\x6f\x75\162\163"); goto F90a6; c3013: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto C07b9; A7f31: goto B498c; goto E997c; C07b9: $minuteInterval = 120; goto b014b; b014b: $startTime = (clone $dateTime)->modify("\x2d\61\x32\x20\150\x6f\x75\162\x73"); goto A7f31; E997c: } goto B8880; eef64: $cpuChart->setInformation($cpuInformation); goto C36a7; E766d: $cpuChart = new Chart("\103\x50\125\40\x55\x73\x61\x67\145"); goto eef64; a9334: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto F8695; Be2b2: return $response; goto b01be; E25ae: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\107\102", 0); goto accc0; E9bf9: $response = $this->render("\x46\162\157\x6e\x74\145\x6e\144\x2f\x44\x61\x73\x68\x62\157\141\x72\x64\x2f\151\156\x64\145\170\x2e\x68\164\x6d\x6c\x2e\x74\x77\151\x67", ["\x63\154\157\165\144" => $cloud, "\151\156\x73\x74\x61\156\x63\x65" => $instance, "\x75\163\x65\162" => $user, "\x74\x69\155\x65\122\x61\156\147\145" => $timeRange, "\143\160\165\x43\x68\141\x72\164" => $cpuChart, "\x6d\145\155\x6f\x72\x79\103\150\x61\x72\164" => $memoryChart, "\x64\151\163\153\103\150\x61\162\x74" => $diskChart, "\x6c\x6f\x61\144\x41\166\145\x72\141\147\145\103\x68\141\162\x74" => $loadAverageChart]); goto Be2b2; F3a02: C5f7c: goto Abc04; D4454: $memoryChart->setData($memoryData); goto D589f; dbc08: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto E25ae; E3a2a: $loadAverageChart->setData($loadAverageData); goto f5e81; F46cc: $numberOfProcessorCores = 0; goto de4db; B54ed: $loadAverageChartInformation = sprintf("\45\x73\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto Ca8de; C36a7: $cpuChart->setData($cpuData); goto ffa0a; F6645: $totalMemory = ''; goto F46cc; e9908: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto Db0bc; B5d10: $diskChart = new Chart("\104\151\163\153\x20\x55\x73\141\147\145"); goto b3797; e7ce4: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto da8af; D589f: $memoryChart->setCategories($categories); goto B5d10; caa78: $memoryChart = new Chart("\115\145\155\157\162\x79\40\125\x73\141\147\145"); goto a13ff; b4b85: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto F6645; C6af2: E5c6b: goto A1d84; A446a: $cloud = $environment->getCloudProvider(); goto c0bc0; f5e81: $loadAverageChart->setCategories($categories); goto E9bf9; A1d84: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto ab715; ab715: $loadAverageData = [["\x6e\x61\x6d\x65" => $this->translator->trans("\x31\x20\x4d\151\156\x75\164\x65"), "\x63\157\x6c\x6f\162" => "\43\67\x37\64\x61\141\x34", "\144\141\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\x6e\x61\x6d\145" => $this->translator->trans("\x35\40\115\x69\156\165\164\145\163"), "\x63\157\x6c\x6f\162" => "\43\x65\142\x35\70\x36\143", "\x64\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\141\x6d\145" => $this->translator->trans("\x31\x35\40\115\x69\x6e\x75\x74\x65\x73"), "\143\x6f\x6c\x6f\x72" => "\43\60\60\x37\70\144\64", "\x64\x61\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto Ad181; Abc04: $diskData = [["\156\141\155\145" => sprintf("\x2f\x20\x28\x25\x73\51", $rootDiskSize), "\x63\x6f\154\x6f\162" => "\x23\x37\x33\142\146\x34\x63", "\x64\141\x74\x61" => $diskData["\162\157\x6f\164"] ?: []], ["\x6e\141\x6d\145" => sprintf("\x2f\x68\157\155\x65\x20\x28\x25\163\x29", $homeDiskSize), "\x63\157\154\157\162" => "\x23\x66\x33\x62\x66\x30\x30", "\144\x61\164\141" => $diskData["\x68\157\x6d\145"] ?: []]]; goto C6af2; de4db: try { goto Dcbec; Ba3ca: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto de271; c5a68: $commandExecutor->execute($memoryInformationCommand); goto Ddb4a; Ddb4a: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto e4372; e2110: $memoryInformationCommand = new MemoryInformationCommand(); goto c5a68; e4372: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\102", 0); goto Acc4c; e78bc: $commandExecutor->execute($processorCoresCommand); goto Ba3ca; Acc4c: $processorCoresCommand = new ProcessorCoresCommand(); goto e78bc; Dcbec: $commandExecutor = new CommandExecutor(); goto e2110; de271: } catch (\Exception $e) { $this->logger->exception($e); } goto a9334; b3797: $diskChart->setData($diskData); goto B714b; F67ed: $environment = $instance->getEnvironment(); goto A446a; B5c7a: goto E5c6b; goto F3a02; A98dc: $diskData = [["\156\141\155\x65" => sprintf("\x2f\x20\x28\x25\163\51", $rootDiskSize), "\143\157\x6c\x6f\162" => "\x23\67\63\x62\x66\x34\143", "\x64\141\164\141" => $diskData["\162\x6f\157\x74"] ?: []]]; goto B5c7a; Ad181: $cpuInformation = sprintf("\45\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\x55")); goto E766d; Ca8de: $loadAverageChart = new LoadAverageChart("\x4c\157\141\144\40\101\166\x65\x72\141\x67\145"); goto f3645; accc0: $dateTime = new \DateTime(); goto e7ce4; Db0bc: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto B222f; B222f: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto Eb934; F8695: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto dbc08; a13ff: $memoryChart->setInformation($totalMemory); goto D4454; Eb934: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Ffae1; B8880: d9713: goto fb8f2; f3645: $loadAverageChart->setInformation($loadAverageChartInformation); goto E3a2a; c0bc0: $timeRange = $request->get("\x74\x69\155\145\122\141\x6e\147\x65"); goto b4b85; bf674: $instance = $request->attributes->get("\x69\156\x73\x74\x61\156\143\x65"); goto F67ed; B714b: $diskChart->setCategories($categories); goto B54ed; fb8f2: B498c: goto e9908; Ffae1: if ($homeDiskSize != $rootDiskSize) { goto C5f7c; } goto A98dc; ffa0a: $cpuChart->setCategories($categories); goto caa78; d31a9: $user = $this->getUser(); goto bf674; b01be: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto F5a31; aacc9: goto Afc10; goto B304c; De61d: $categoryDateTime = clone $endDataDate; goto Fe4d7; F5a31: $categories = []; goto fa896; d1444: return $categories; goto eed36; Fe4d7: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto Fe82b; Cd235: $startDataDate->modify(sprintf("\53\45\x30\x35\x64\x20\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto A80cf; fc1a3: if (!($endDataDate <= $endTime)) { goto C449d; } goto De61d; Bb5f9: $endDataDate = clone $startTime; goto D13a1; D13a1: Afc10: goto fc1a3; A80cf: $endDataDate->modify(sprintf("\53\x25\x30\65\x64\40\155\151\156\165\164\145\x73", $minuteInterval)); goto aacc9; fa896: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\144\40\155\x69\156\165\x74\145\x73", $minuteInterval)); goto Bb5f9; B304c: C449d: goto d1444; Fe82b: $categories[] = $categoryDateTime->format("\x48\x3a\x69"); goto Cd235; eed36: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto eea60; F0c7a: $cpuData[] = $averageCpuValue; goto e8011; eea60: $cpuData = []; goto E39e8; E39e8: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\144\40\x6d\151\156\165\164\x65\163", $minuteInterval)); goto d3e53; Cdad6: Af157: goto F8e4b; d2944: if (!($endDataDate <= $endTime)) { goto Af157; } goto a2ad2; a2ad2: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto F0c7a; d3e53: $endDataDate = clone $startTime; goto bda87; bda87: b48fe: goto d2944; F8e4b: return $cpuData; goto d3164; ae781: goto b48fe; goto Cdad6; e8011: $startDataDate->modify(sprintf("\x2b\x25\60\x35\x64\40\x6d\151\156\x75\x74\x65\163", $minuteInterval)); goto ca8df; ca8df: $endDataDate->modify(sprintf("\x2b\x25\x30\x35\144\40\155\151\156\x75\x74\x65\x73", $minuteInterval)); goto ae781; d3164: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto f990c; abbfd: c5be6: goto a0e67; aaaf8: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto bcbd3; f990c: $memoryData = []; goto B3f58; ccae1: goto c5be6; goto F5fb6; a0e67: if (!($endDataDate <= $endTime)) { goto fa20a; } goto aaaf8; E4d80: $startDataDate->modify(sprintf("\x2b\x25\60\65\144\40\x6d\151\x6e\165\x74\145\163", $minuteInterval)); goto C4d32; bcbd3: $memoryData[] = (int) $averageMemoryValue; goto E4d80; da2e0: $endDataDate = clone $startTime; goto abbfd; bc547: return $memoryData; goto c9f0a; C4d32: $endDataDate->modify(sprintf("\x2b\45\x30\x35\144\40\x6d\151\156\165\x74\145\x73", $minuteInterval)); goto ccae1; F5fb6: fa20a: goto bc547; B3f58: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\x64\40\x6d\151\x6e\x75\x74\x65\163", $minuteInterval)); goto da2e0; c9f0a: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto a27c4; b7bab: $endDataDate = clone $startTime; goto c5a60; d8d5d: if (!($endDataDate <= $endTime)) { goto B295f; } goto d493d; d493d: foreach (["\x2f", "\57\x68\157\155\x65"] as $disk) { goto B75b9; a69d9: d2887: goto A8223; bf4fd: if ("\x2f" == $disk) { goto d2887; } goto D41db; Cfb01: b2be7: goto Db044; D41db: $diskData["\x68\157\155\x65"][] = (int) $averageDiskSizeValue; goto abb3b; F57e7: E99f8: goto Cfb01; abb3b: goto E99f8; goto a69d9; B75b9: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto bf4fd; A8223: $diskData["\162\157\x6f\164"][] = (int) $averageDiskSizeValue; goto F57e7; Db044: } goto f9fac; f9fac: B9449: goto bc887; d3add: B295f: goto da95b; E7788: $endDataDate->modify(sprintf("\53\x25\60\x35\144\x20\155\151\156\165\x74\x65\x73", $minuteInterval)); goto d1f7c; da95b: return $diskData; goto df5db; bc887: $startDataDate->modify(sprintf("\x2b\45\60\x35\x64\40\x6d\151\x6e\x75\164\145\163", $minuteInterval)); goto E7788; a27c4: $diskData = []; goto A4700; A4700: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\x35\144\x20\x6d\151\x6e\165\x74\x65\x73", $minuteInterval)); goto b7bab; c5a60: f9935: goto d8d5d; d1f7c: goto f9935; goto d3add; df5db: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto a9190; E9f6f: return $loadAverageData; goto D5838; F36c9: goto Ed9ce; goto c26f3; c26f3: Bac3c: goto E9f6f; aeedf: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto decc0; Db9cf: e01a3: goto e4ee4; decc0: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto Bfe9d; Bfe9d: $loadAverageData[$period][] = round($loadAverageValue, 2); goto Db9cf; e4ee4: } goto d2478; b2257: if (!($endDataDate <= $endTime)) { goto Bac3c; } goto aeedf; a9190: $loadAverageData = []; goto cf5ac; a9bc9: Ed9ce: goto b2257; dfa50: $endDataDate = clone $startTime; goto a9bc9; Ce734: $startDataDate->modify(sprintf("\53\45\x30\65\144\40\x6d\151\x6e\165\164\145\x73", $minuteInterval)); goto C448f; cf5ac: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\x64\40\x6d\151\x6e\x75\164\x65\163", $minuteInterval)); goto dfa50; d2478: Ef9a5: goto Ce734; C448f: $endDataDate->modify(sprintf("\x2b\45\x30\x35\x64\40\155\x69\156\x75\x74\145\163", $minuteInterval)); goto F36c9; D5838: } }
