<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto e2943; F0d1c: $this->databaseEntityManager = $databaseEntityManager; goto D3863; D941f: $this->domainNameParser = $domainNameParser; goto Aa56d; d7f78: $this->sshUserEntityManager = $sshUserEntityManager; goto D941f; bdd8a: $this->cronJobEntityManager = $cronJobEntityManager; goto F0d1c; E5e35: $this->blockedIpEntityManager = $blockedIpEntityManager; goto Dee22; D66c9: $this->certificateEntityManager = $certificateEntityManager; goto bdd8a; bd477: $this->siteEntityManager = $siteEntityManager; goto E7b07; a227a: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto b2973; e2943: $this->configManager = $configManager; goto bd477; b2973: $this->ftpUserEntityManager = $ftpUserEntityManager; goto d7f78; Ed6d6: $this->databaseServerEntityManager = $databaseServerEntityManager; goto a227a; D3863: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Ed6d6; Dee22: $this->blockedBotEntityManager = $blockedBotEntityManager; goto D66c9; E7b07: $this->basicAuthEntityManager = $basicAuthEntityManager; goto E5e35; Aa56d: parent::__construct($translator, $logger); goto Ac8a5; Ac8a5: } public function index(Request $request) : Response { goto c350a; c8ca9: return $response; goto dd937; d66ab: $response = $this->render("\x46\x72\157\156\x74\145\156\144\x2f\x53\151\164\145\x2f\x69\x6e\144\x65\x78\56\150\164\155\154\x2e\164\167\x69\147", ["\165\163\x65\x72" => $user, "\x73\151\164\x65\x73" => $sites]); goto c8ca9; c350a: $user = $this->getUser(); goto b39fb; b39fb: $sites = $this->siteEntityManager->getUserSites($user, ["\144\x6f\x6d\x61\x69\x6e\116\x61\x6d\145" => "\x61\x73\x63"]); goto d66ab; dd937: } public function fileManager(Request $request) : Response { goto C1c00; Da7a9: Ea756: goto Ca005; f7270: $data = ["\165\163\x65\162" => $siteUser, "\x6c\157\x63\x61\154\x65" => $locale]; goto effff; Ca005: return $response; goto e9eaa; b43ba: $locale = $request->getLocale(); goto Cc535; C1c00: $site = $this->getSite($request); goto ffaa0; effff: $session->set("\143\154\x70\x2d\146\x69\154\145\x2d\155\141\x6e\141\x67\145\x72", $data); goto C3a35; Cc535: $cookieExpirationDate = new \DateTime("\x6e\157\167"); goto fdd59; e1b54: $siteUser = $site->getUser(); goto c5190; c5190: $session = $request->getSession(); goto b43ba; C3a35: $fileManagerUrl = sprintf("\45\x73\57\146\x69\x6c\145\55\x6d\x61\x6e\141\x67\145\162\x2f", rtrim($request->getSchemeAndHttpHost(), "\x2f")); goto e496b; ffaa0: if (false === is_null($site)) { goto Fd9b1; } goto dc49e; fdd59: $cookieExpirationDate->modify(sprintf("\x2b\45\163\x20\150\157\165\162\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto f7270; dc49e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\163")); goto f3957; e496b: $response = $this->render("\106\162\x6f\156\x74\x65\156\144\57\x53\x69\x74\x65\x2f\x66\x69\154\145\x2d\155\141\156\141\147\x65\x72\x2e\x68\x74\x6d\154\x2e\x74\167\151\147", ["\x73\x69\x74\x65" => $site, "\x66\x69\154\145\115\141\156\x61\147\x65\162\125\x72\154" => $fileManagerUrl, "\x66\x6f\162\x6d\x45\162\162\x6f\x72\163" => $this->formErrors]); goto Da7a9; f3957: goto Ea756; goto ac204; ac204: Fd9b1: goto e1b54; e9eaa: } public function view(Request $request) : Response { goto D462a; f085c: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\x5f\x73\145\164\x74\x69\x6e\147\163", ["\x64\157\x6d\141\151\156\x4e\x61\155\145" => $domainName])); goto F75f5; F75f5: return $response; goto c044e; D462a: $domainName = $request->get("\144\x6f\155\141\151\156\x4e\141\x6d\x65"); goto f085c; c044e: } public function logs(Request $request) : Response { goto a789b; Bb679: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Dc73b; ff9f3: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\145\163")); goto c05b3; Dc73b: $form = $this->createLogsForm($siteEntity); goto d6814; a789b: $site = $this->getSite($request); goto e15ac; c05b3: goto Cf73e; goto F16a0; F16a0: d625a: goto Bb679; A6178: Cf73e: goto F1c72; e15ac: if (false === is_null($site)) { goto d625a; } goto ff9f3; d6814: $response = $this->render("\x46\162\157\x6e\164\145\x6e\144\57\123\151\x74\145\57\x6c\157\x67\x73\x2e\x68\x74\155\x6c\56\164\x77\151\x67", ["\x73\151\x74\x65" => $site, "\x66\x6f\162\155\x45\x72\162\157\162\163" => $this->formErrors, "\x66\x6f\x72\x6d" => $form->createView()]); goto A6178; F1c72: return $response; goto cf058; cf058: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto Ef7be; Ef7be: $form = $this->createForm("\101\160\160\x5c\x46\157\162\155\x5c\x53\x69\164\x65\x4c\157\x67\163\x54\171\x70\x65", [], ["\x61\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\151\x74\145\x5f\x6c\157\x67\x73", ["\x64\x6f\155\141\151\x6e\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\157\x64" => "\x50\117\x53\x54", "\141\164\x74\162" => []]); goto Ca92a; Ca92a: $form->add("\165\x70\x64\x61\x74\x65", ButtonType::class, ["\x61\x74\x74\162" => ["\143\154\141\163\163" => "\x62\164\156\40\x62\164\x6e\x2d\154\147\x20\142\x74\156\x2d\142\154\x75\x65\40\x62\x74\156\x2d\165\160\x64\141\164\x65"], "\154\x61\142\145\154" => "\x55\160\144\x61\164\x65"]); goto ae3e6; ae3e6: return $form; goto d4d28; d4d28: } public function logFileContent(Request $request, Twig $twig) : Response { goto A726f; A726f: $data = []; goto B32e1; a4e03: Ffd1d: goto d3af1; Aa0ec: if (!(false === is_null($site))) { goto Ffd1d; } goto b6e6d; b6e6d: $service = trim($request->get("\163\145\x72\166\151\143\x65")); goto A56ee; B3137: $numberOfLines = (int) $request->get("\x6e\165\x6d\142\145\162\117\146\114\151\x6e\145\x73"); goto F7f44; d97fe: dbbbb: goto a4e03; F7f44: if (!(false === empty($service) && false === empty($logfileName))) { goto dbbbb; } goto cf4d7; d3af1: $response = $this->json($data); goto Adb52; Adb52: return $response; goto c61a2; cf4d7: try { goto E1ca5; f8cf3: $logfileReader = new LogfileReader($logfile); goto ce5c0; Dc6c6: $logMessagesHtml = $twig->render("\x46\162\157\156\164\145\x6e\x64\57\x53\151\x74\145\57\x4c\157\x67\163\57\156\x67\151\156\x78\55\x65\162\x72\157\162\x2d\154\157\147\55\x6d\x65\163\163\141\x67\x65\x73\x2e\x68\x74\155\154\56\x74\x77\x69\147", ["\154\157\x67\115\x65\x73\x73\141\x67\145\x73" => $logMessages]); goto Bafc2; B2817: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto ee1c1; A7628: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto B2817; f7174: F3759: goto E407d; Ab629: B637c: goto A7628; A4ee3: if ("\x61\x63\143\145\163\163\x2e\154\157\x67" == substr($logfileName, 0, 10)) { goto B637c; } goto Ebb04; B4f7f: $user = $this->getUser(); goto eeead; D27fd: $logMessages = $phpFpmErrorLogParser->parse(); goto f2d77; E1ca5: $service = basename($service); goto Afde3; ccf6f: $data["\x6c\x6f\x67\x4d\x65\x73\x73\x61\x67\x65\x73\x48\x74\x6d\x6c"] = $logMessagesHtml; goto d7e19; Afde3: $logfile = sprintf("\57\150\157\155\x65\57\45\x73\x2f\x6c\x6f\x67\163\57\x25\x73\x2f\x25\x73", $site->getUser(), $service, $logfileName); goto f8cf3; F66e3: ab435: goto ccf6f; Ebb04: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto b33ac; ce5c0: $logLines = $logfileReader->getLines($numberOfLines); goto F70ed; eeead: if (!("\156\147\x69\x6e\170" == $service)) { goto F3759; } goto E636c; E407d: if (!("\x70\150\160" == $service)) { goto ab435; } goto B2a29; Bafc2: goto de953; goto Ab629; C2655: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\164\x65\x6e\144\x2f\x53\151\164\x65\57\x4c\157\x67\163\x2f\x6e\147\x69\x6e\170\55\141\143\x63\145\x73\163\x2d\x6c\157\147\55\x6d\x65\x73\x73\141\147\145\x73\56\150\164\x6d\154\x2e\x74\x77\151\147", ["\154\x6f\147\x4d\x65\x73\163\141\147\145\163" => $logMessages]); goto ebeb0; E636c: $userTimezone = $user->getTimezone(); goto A4ee3; f2d77: $logMessagesHtml = $twig->render("\106\162\x6f\156\164\145\156\x64\57\x53\x69\x74\x65\57\x4c\x6f\147\x73\x2f\x70\x68\x70\x2d\x66\x70\x6d\x2d\x65\x72\162\157\x72\55\154\x6f\x67\55\x6d\x65\163\163\x61\147\x65\163\x2e\150\x74\x6d\x6c\x2e\x74\x77\151\147", ["\x6c\x6f\147\115\x65\163\x73\141\147\x65\163" => $logMessages]); goto F66e3; B2a29: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto D27fd; b33ac: $logMessages = $nginxErrorLogParser->parse(); goto Dc6c6; ebeb0: de953: goto f7174; ee1c1: $logMessages = $nginxAccessLogParser->parse(); goto C2655; F70ed: $logMessagesHtml = ''; goto B4f7f; d7e19: } catch (\Exception $e) { $this->logger->exception($e); } goto d97fe; A56ee: $logfileName = trim($request->get("\x6c\157\x67\x46\x69\154\x65")); goto B3137; B32e1: $site = $this->getSite($request); goto Aa0ec; c61a2: } public function loadLogfilesForService(Request $request) : Response { goto fce57; b521a: D9507: goto a52a5; a52a5: Bf690: goto fb0ae; Aca7c: try { goto fba08; fba08: $service = basename($service); goto B368b; C5c85: $logsFinder = new LogsFinder($logfilesDirectory); goto B70be; B70be: $logfiles = $logsFinder->getLogfiles(); goto fffbf; B368b: $logfilesDirectory = sprintf("\x2f\150\x6f\155\145\57\x25\163\57\154\157\147\x73\x2f\45\x73\x2f", $site->getUser(), $service); goto C5c85; d7933: $data["\154\157\147\x66\151\x6c\145\163"] = $logfiles; goto ba3a6; fffbf: if (!(false === empty($logfiles))) { goto Aef45; } goto d7933; ba3a6: Aef45: goto e192e; e192e: } catch (\Exception $e) { $this->logger->exception($e); } goto b521a; fb0ae: $response = $this->json($data); goto C2f8c; be9d7: $service = trim($request->get("\163\145\x72\x76\x69\143\145")); goto E5e8b; fce57: $data = []; goto bc083; C2f8c: return $response; goto c2f7f; E5e8b: if (!(false === empty($service))) { goto D9507; } goto Aca7c; D2777: if (!(false === is_null($site))) { goto Bf690; } goto be9d7; bc083: $site = $this->getSite($request); goto D2777; c2f7f: } public function cronJobs(Request $request) : Response { goto D0fd0; bb43b: goto E7d26; goto A6d1f; Dee88: $response = $this->render("\x46\162\x6f\x6e\x74\x65\156\144\x2f\123\151\x74\145\57\143\x72\x6f\156\x2d\152\x6f\x62\x73\x2e\x68\x74\x6d\x6c\x2e\164\167\x69\147", ["\163\x69\x74\145" => $site, "\x66\157\162\x6d\105\162\162\x6f\x72\x73" => $this->formErrors]); goto c1456; Ca952: if (false === is_null($site)) { goto c702b; } goto aa100; D0fd0: $site = $this->getSite($request); goto Ca952; f2959: return $response; goto E7755; c1456: E7d26: goto f2959; aa100: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\x65\x73")); goto bb43b; A6d1f: c702b: goto Dee88; E7755: } public function newCronJob(Request $request) : Response { goto bece9; f63d3: return $response; goto Bf20b; F4bb0: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto E3097; } goto D32b0; b0462: E3097: goto da051; C7776: e8a4d: goto D9637; Bf20b: b2357: goto E62ee; Adfe6: return $response; goto A8717; D9637: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Abf1b; D32b0: $form->handleRequest($request); goto B577a; bece9: $site = $this->getSite($request); goto cb978; E3a4d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\163")); goto bc2b7; F227f: if (!(false === is_null($response))) { goto b2357; } goto f63d3; B577a: if (!(true === $form->isSubmitted())) { goto a555e; } goto ce0bf; Abf1b: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto f4705; F3dfd: $form = $this->createCronJobForm($cronJobEntity); goto F4bb0; E62ee: a555e: goto b0462; cb978: if (false === is_null($site)) { goto e8a4d; } goto E3a4d; af073: a1d8b: goto Adfe6; da051: $response = $this->render("\106\162\157\156\164\x65\x6e\x64\x2f\123\x69\x74\145\57\156\x65\167\x2d\143\162\157\156\x2d\152\x6f\142\x2e\x68\x74\155\154\x2e\x74\x77\x69\x67", ["\163\x69\x74\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\x66\157\x72\x6d\105\162\162\157\162\163" => $this->formErrors]); goto af073; ce0bf: $response = $this->handleCronJobForm($request, $form, $site); goto F227f; bc2b7: goto a1d8b; goto C7776; f4705: $cronJobEntity->setSite($siteEntity); goto F3dfd; A8717: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto bff60; Cf6f8: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\163\163" => "\142\164\x6e\x20\142\x74\x6e\x2d\x62\154\165\x65\40\x62\x74\x6e\55\154\147"], "\x6c\141\142\x65\154" => "\101\144\x64\40\x43\x72\157\156\40\112\157\142"]); goto A6697; bff60: $siteEntity = $cronJobEntity->getSite(); goto D4e49; D4e49: $form = $this->createForm("\x41\160\x70\x5c\x46\157\162\155\134\123\151\164\x65\x43\162\157\x6e\112\x6f\x62\124\x79\x70\x65", $cronJobEntity, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\145\137\x63\162\157\156\137\x6a\x6f\142\137\156\145\x77", ["\144\157\x6d\x61\x69\156\116\141\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\x4f\123\x54", "\141\164\x74\162" => []]); goto Cf6f8; A6697: return $form; goto Fc24c; Fc24c: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto D260c; e2508: c8777: goto df0c3; D260c: if (true === $form->isValid()) { goto c8777; } goto Ce6ed; Fe20b: goto d3122; goto e2508; Ce6ed: $this->formErrors = $this->getErrorMessages($form); goto Fe20b; A688b: d3122: goto De3f3; df0c3: try { goto C8531; c12de: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\103\x72\x6f\x6e\40\112\157\142\x20\x68\141\163\40\142\x65\x65\x6e\x20\141\144\144\145\144\x2e")); goto E5bb2; E5bb2: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\137\143\x72\157\x6e\x5f\x6a\157\142\x73", ["\x64\x6f\155\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto cd9a0; A4638: return $response; goto Fad4f; c2d05: $user = $this->getUser(); goto D08ab; E9b7e: if (false === is_null($siteEntity)) { goto c3951; } goto E0124; cb282: $eventData = ["\x73\x69\x74\x65" => $domainName, "\143\x72\x6f\x6e\164\x61\142\x45\x78\x70\162\x65\163\x73\151\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto Db9a3; A9f5e: $siteEntity->addCronJob($cronJobEntity); goto E9f44; cd9a0: Cd303: goto A4638; C8531: $session = $request->getSession(); goto F4505; D08ab: $cronJobEntity = $form->getData(); goto A9f5e; fde46: $this->siteEntityManager->updateEntity($siteEntity); goto B0766; F4505: $domainName = $site->getDomainName(); goto a37d9; c143e: c3951: goto c2d05; a37d9: $siteEntity = $this->getSiteEntity($domainName); goto E9b7e; Db9a3: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto c12de; E0124: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\163")); goto A6bd2; B0766: $siteUpdater = $this->getSiteUpdater($site); goto e2c45; e2c45: $siteUpdater->updateUserCrontab(); goto cb282; A6bd2: goto Cd303; goto c143e; E9f44: $site->setCronJobs($siteEntity->getCronJobs()); goto fde46; Fad4f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\x6e\x20\145\x72\162\157\162\40\150\x61\163\x20\157\143\143\165\x72\162\x65\x64\x2c\40\145\x72\x72\x6f\162\40\155\145\163\x73\x61\147\x65\x3a\40\45\145\162\162\157\x72\x4d\x65\x73\x73\x61\147\x65\45", ["\45\145\162\162\x6f\162\x4d\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto A688b; De3f3: } public function deleteCronJob(Request $request) : Response { goto B6d16; F5b68: C678b: goto f7d1d; c6533: try { goto Cdce4; Dadff: return $response; goto E7c0a; ffaa7: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto Aec65; A9495: $siteEntity->removeCronJob($cronJobEntity); goto D5c3c; A7bd0: $user = $this->getUser(); goto A9495; D5b03: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto e0657; } goto ea45a; cfd99: $siteEntity = $this->getSiteEntity($domainName); goto d8579; E7c0a: E040e: goto B6311; d8579: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto D5b03; B8c3b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\x65\137\x63\x72\x6f\156\137\x6a\x6f\x62\163", ["\x64\x6f\x6d\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto Dadff; C0559: $evenData = ["\x73\151\x74\145" => $domainName, "\x63\x6f\155\155\141\x6e\144" => $cronJobEntity->getCommand()]; goto ffaa7; Ffc62: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto E040e; } goto A7bd0; C3b08: $id = (int) $request->get("\151\144"); goto dc66e; D5c3c: $site->setCronJobs($siteEntity->getCronJobs()); goto C43be; B6311: e0657: goto d3d92; dc66e: $domainName = $site->getDomainName(); goto cfd99; ea45a: $cronJobSiteEntity = $cronJobEntity->getSite(); goto Ffc62; Ccaf1: $siteUpdater = $this->getSiteUpdater($site); goto D0cf8; C43be: $this->siteEntityManager->updateEntity($siteEntity); goto Ccaf1; Cdce4: $session = $request->getSession(); goto C3b08; D0cf8: $siteUpdater->updateUserCrontab(); goto C0559; Aec65: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\163", $this->translator->trans("\103\x72\x6f\156\40\112\157\x62\40\150\141\163\40\x62\145\145\x6e\40\144\x65\154\145\164\145\x64\56")); goto B8c3b; d3d92: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\x20\145\x72\x72\157\162\x20\x68\141\163\40\157\x63\x63\x75\162\162\145\144\x2c\40\x65\162\x72\157\x72\x20\155\145\x73\163\141\147\145\72\40\45\145\x72\x72\x6f\162\x4d\x65\x73\163\x61\x67\145\x25", ["\45\x65\162\x72\x6f\162\115\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto F5b68; B6d16: $site = $this->getSite($request); goto Bdfe1; Aaed2: if (!(false === is_null($site))) { goto C678b; } goto c6533; Ed209: return $response; goto E4b91; Bdfe1: $this->checkCsrfToken($request, "\143\x72\x6f\x6e\x6a\x6f\142\x2d\144\145\x6c\145\164\x65"); goto Aaed2; f7d1d: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\x73")); goto Ed209; E4b91: } public function editCronJob(Request $request) : Response { goto abd43; Ea275: $response = $this->render("\x46\x72\x6f\156\164\145\156\x64\x2f\x53\x69\164\x65\57\145\144\151\164\x2d\143\x72\x6f\x6e\x2d\152\157\x62\x2e\150\164\155\x6c\56\164\167\151\x67", ["\x73\x69\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\x6f\x72\x6d\105\x72\x72\157\x72\163" => $this->formErrors]); goto F2f7a; abd43: $id = (int) $request->get("\x69\x64"); goto d314a; f5ad2: goto D9e1a; goto d564a; d9534: $form->handleRequest($request); goto bf4bb; D265d: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\x73")); goto f5ad2; dc2ed: $form = $this->createCronJobEditForm($cronJobEntity); goto ed39a; db3b5: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto a2463; ed39a: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto b362f; } goto d9534; d314a: $site = $this->getSite($request); goto db3b5; c19b1: $response = $this->handleCronJobEditForm($request, $form, $site); goto F0ce5; d564a: e18f6: goto dc2ed; f3930: E7647: goto Bfcc7; bf4bb: if (!(true === $form->isSubmitted())) { goto A5db9; } goto c19b1; e439f: b362f: goto Ea275; Bfcc7: A5db9: goto e439f; a2463: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto e18f6; } goto D265d; F0ce5: if (!(false === is_null($response))) { goto E7647; } goto F23eb; F23eb: return $response; goto f3930; b88ab: return $response; goto F45fa; F2f7a: D9e1a: goto b88ab; F45fa: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto Ea389; Ea389: $siteEntity = $cronJobEntity->getSite(); goto C8c4c; a9d2f: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\154\x61\163\163" => "\142\x74\x6e\x20\142\164\x6e\55\x62\x6c\x75\x65\x20\x62\x74\x6e\55\x6c\147"], "\154\141\142\145\x6c" => "\x53\141\x76\145"]); goto fc779; C8c4c: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\x5c\x53\151\x74\x65\103\x72\157\x6e\x4a\x6f\x62\105\144\151\x74\124\x79\160\x65", $cronJobEntity, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\x5f\143\162\157\x6e\137\152\157\x62\137\x65\x64\x69\164", ["\x64\x6f\155\x61\151\156\x4e\x61\155\x65" => $siteEntity->getDomainName(), "\x69\x64" => $cronJobEntity->getId()]), "\155\145\164\150\157\144" => "\120\x4f\123\124", "\141\164\x74\x72" => []]); goto a9d2f; fc779: return $form; goto ffbbc; ffbbc: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto fe1d5; a526e: goto d5ea5; goto Cd605; ceb81: d5ea5: goto c6cc0; e404f: $this->formErrors = $this->getErrorMessages($form); goto a526e; B0a64: try { goto Efe9b; c6807: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x5f\143\x72\157\156\137\152\x6f\x62\x73", ["\x64\x6f\155\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto Db4b0; d8b1c: $site->setCronJobs($siteEntity->getCronJobs()); goto Fa052; Aaad7: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\145\163")); goto C9113; F73da: $siteUpdater = $this->getSiteUpdater($site); goto A638b; e66b1: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\103\162\x6f\156\x20\112\x6f\x62\40\x68\x61\x73\x20\142\x65\145\156\x20\163\x61\166\x65\x64\56")); goto c6807; a0a82: $user = $this->getUser(); goto ccc64; b10e2: $siteEntity = $this->getSiteEntity($domainName); goto e21f6; A638b: $siteUpdater->updateUserCrontab(); goto e8a75; Cdea6: return $response; goto eabce; A45a2: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto e66b1; Df4c8: B940b: goto a0a82; e8a75: $eventData = ["\x73\x69\x74\145" => $domainName, "\143\162\157\156\x74\141\x62\x45\170\x70\x72\145\163\x73\x69\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto A45a2; Fa052: $this->siteEntityManager->updateEntity($siteEntity); goto F73da; F9bfd: $domainName = $site->getDomainName(); goto b10e2; Db4b0: d83de: goto Cdea6; ab3b2: $siteEntity->addCronJob($cronJobEntity); goto d8b1c; Efe9b: $session = $request->getSession(); goto F9bfd; e21f6: if (false === is_null($siteEntity)) { goto B940b; } goto Aaad7; C9113: goto d83de; goto Df4c8; ccc64: $cronJobEntity = $form->getData(); goto ab3b2; eabce: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\145\x72\162\x6f\162\x20\x68\141\x73\40\157\x63\x63\165\162\162\x65\x64\x2c\x20\x65\162\x72\157\162\40\155\x65\163\163\x61\147\145\x3a\x20\45\x65\162\162\x6f\x72\x4d\145\163\163\141\x67\145\45", ["\x25\145\x72\x72\157\x72\x4d\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto ceb81; fe1d5: if (true === $form->isValid()) { goto C42f0; } goto e404f; Cd605: C42f0: goto B0a64; c6cc0: } public function users(Request $request) : Response { goto c49e7; A2e01: $response = $this->render("\106\162\x6f\156\164\145\x6e\144\57\x53\151\x74\145\57\165\163\145\162\x73\x2e\x68\164\155\154\x2e\x74\167\x69\x67", ["\163\x69\164\x65" => $site, "\146\x6f\x72\155\x45\162\162\x6f\162\163" => $this->formErrors]); goto b50aa; b84a9: return $response; goto Ea208; Ca59c: Bc36a: goto A2e01; Fb4c6: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\x73")); goto A6e16; c49e7: $site = $this->getSite($request); goto Ea597; b50aa: B17f4: goto b84a9; A6e16: goto B17f4; goto Ca59c; Ea597: if (false === is_null($site)) { goto Bc36a; } goto Fb4c6; Ea208: } public function newFtpUser(Request $request) : Response { goto de16b; B564d: $form = $this->createFtpUserForm($ftpUserEntity); goto A958f; Cfa72: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F7428; F6c2b: return $response; goto a70d6; ab52d: return $response; goto B69ea; C06fe: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\x73")); goto D78f8; Fd39f: $ftpUserEntity->setSite($siteEntity); goto B564d; e82cd: efce2: goto F2a37; ff66b: e18a2: goto e82cd; A958f: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto efce2; } goto B619b; F5f8c: De9ce: goto F6c2b; Bc3e9: if (false === is_null($site)) { goto bf714; } goto C06fe; D9bca: $response = $this->handleFtpUserForm($request, $form, $site); goto bbd1d; F7428: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Fd39f; bbd1d: if (!(false === is_null($response))) { goto d0481; } goto ab52d; B69ea: d0481: goto ff66b; de16b: $site = $this->getSite($request); goto Bc3e9; Eb993: bf714: goto Cfa72; F2a37: $response = $this->render("\106\x72\157\156\x74\x65\156\144\57\x53\151\164\x65\x2f\156\145\x77\x2d\146\164\x70\x2d\165\163\145\162\x2e\x68\164\155\154\x2e\164\x77\151\147", ["\x73\x69\164\145" => $site, "\x66\157\162\155" => $form->createView(), "\x66\x6f\162\155\x45\162\x72\157\162\x73" => $this->formErrors]); goto F5f8c; D78f8: goto De9ce; goto Eb993; B619b: $form->handleRequest($request); goto Fc0dc; Fc0dc: if (!(true === $form->isSubmitted())) { goto e18a2; } goto D9bca; a70d6: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto ef0f1; Ee279: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\154\x61\x73\x73" => "\x62\x74\156\40\x62\164\x6e\55\142\154\165\x65\x20\x62\x74\156\55\x6c\x67"], "\x6c\141\142\x65\x6c" => "\x41\x64\144\40\x55\x73\145\162"]); goto Bb4b1; ef0f1: $siteEntity = $ftpUserEntity->getSite(); goto d950d; Bb4b1: return $form; goto D5744; d950d: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\155\x5c\x53\x69\x74\145\106\x74\x70\125\163\x65\162\x54\171\160\145", $ftpUserEntity, ["\141\x63\x74\151\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x5f\146\x74\160\x5f\165\163\x65\x72\137\x6e\145\x77", ["\144\x6f\155\141\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\120\117\123\124", "\141\164\x74\162" => []]); goto Ee279; D5744: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto b1fa8; Df548: goto c804c; goto c8ab4; fdc84: $this->formErrors = $this->getErrorMessages($form); goto Df548; c8ab4: Fe642: goto ae5d7; ae5d7: try { goto B41d3; F0f0c: $siteEntity = $this->getSiteEntity($domainName); goto dfe63; C0d24: Fb207: goto e8091; d0158: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\x5f\165\x73\145\162\163", ["\144\x6f\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto C0d24; Da690: c5e69: goto a9c46; ca001: $siteUpdater = $this->getSiteUpdater($site); goto F54ce; F54ce: $siteUpdater->createFtpUser($ftpUserEntity); goto Af6e3; E1a5b: $domainName = $site->getDomainName(); goto F0f0c; c2b36: goto Fb207; goto Da690; B41d3: $session = $request->getSession(); goto E1a5b; b2df9: $ftpUserEntity->setPassword($ftpUserPassword); goto Dc07a; cf432: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto e8db1; a9c46: $user = $this->getUser(); goto C751f; Af6e3: $eventData = ["\163\151\x74\x65" => $domainName, "\165\163\x65\162\116\x61\155\145" => $ftpUserName, "\150\x6f\155\x65\x44\x69\162\x65\143\164\157\162\x79" => $ftpUserEntity->getHomeDirectory()]; goto cf432; Abb56: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\163")); goto c2b36; E9b57: $this->siteEntityManager->updateEntity($siteEntity); goto ca001; ca61e: $ftpUserName = $ftpUserEntity->getUserName(); goto E789a; E789a: $ftpUserPassword = $form->get("\x70\141\x73\x73\x77\x6f\x72\x64")->getData(); goto b2df9; e8091: return $response; goto Bccf1; dfe63: if (false === is_null($siteEntity)) { goto c5e69; } goto Abb56; Dc07a: $siteEntity->addFtpUser($ftpUserEntity); goto E9b57; C751f: $ftpUserEntity = $form->getData(); goto ca61e; e8db1: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\x73", $this->translator->trans("\x55\x73\145\162\40\x68\141\x73\40\x62\145\145\x6e\40\141\144\x64\x65\144\x2e")); goto d0158; Bccf1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\x41\156\40\145\x72\x72\157\x72\x20\150\x61\163\40\157\x63\x63\165\x72\162\x65\144\54\x20\145\x72\x72\157\x72\40\155\x65\x73\163\141\147\x65\x3a\40\x25\x65\162\x72\157\162\115\x65\x73\x73\141\x67\x65\x25", ["\x25\145\162\162\x6f\x72\x4d\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto F78bc; b1fa8: if (true === $form->isValid()) { goto Fe642; } goto fdc84; F78bc: c804c: goto fd7dd; fd7dd: } public function editFtpUser(Request $request) : Response { goto cd216; F5359: Ae2d5: goto c47d4; a8b69: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Ae2d5; } goto b571b; a4609: if (!(true === $form->isSubmitted())) { goto f63dd; } goto Fc4b7; F626e: return $response; goto d55a5; fd8e4: f63dd: goto F5359; b571b: $form->handleRequest($request); goto a4609; d16bc: $site = $this->getSite($request); goto c86aa; cfbbe: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto D28c0; } goto F05c2; cd216: $userName = $request->get("\x75\163\x65\162\x4e\141\x6d\x65"); goto d16bc; c86aa: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto cfbbe; Dd646: return $response; goto df5e5; d55a5: b5a2a: goto fd8e4; B8d77: $form = $this->createFtpUserEditForm($ftpUserEntity); goto a8b69; F05c2: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x73")); goto Efc4a; Efc4a: goto Ecd2c; goto bd48f; Fc4b7: $response = $this->handleFtpUserEditForm($request, $form, $site); goto D2d30; bd48f: D28c0: goto B8d77; D2d30: if (!(false === is_null($response))) { goto b5a2a; } goto F626e; A4458: Ecd2c: goto Dd646; c47d4: $response = $this->render("\x46\162\x6f\x6e\x74\145\x6e\x64\x2f\123\151\164\145\57\145\144\151\x74\x2d\x66\x74\x70\x2d\x75\x73\x65\x72\x2e\x68\x74\x6d\154\x2e\x74\167\151\x67", ["\163\151\164\145" => $site, "\146\157\x72\155" => $form->createView(), "\146\157\162\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto A4458; df5e5: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto a6bb1; Fb9ef: return $form; goto Bee37; a6bb1: $siteEntity = $ftpUserEntity->getSite(); goto Baccc; D53f7: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\x61\163\x73" => "\142\x74\156\40\142\164\x6e\55\x62\154\x75\x65\40\142\164\x6e\55\x6c\147"], "\x6c\141\x62\145\154" => "\123\141\x76\145"]); goto Fb9ef; Baccc: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\155\134\x53\x69\x74\x65\106\x74\160\x55\163\x65\x72\105\144\151\164\124\x79\x70\x65", $ftpUserEntity, ["\x61\x63\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x5f\x66\x74\160\x5f\165\163\145\x72\x5f\x65\x64\x69\164", ["\144\x6f\x6d\141\151\x6e\116\141\155\x65" => $siteEntity->getDomainName(), "\165\x73\x65\x72\x4e\141\155\x65" => $ftpUserEntity->getUserName()]), "\x6d\145\164\x68\x6f\144" => "\120\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto D53f7; Bee37: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto c3002; B5efe: try { goto A9d52; Ef99b: $domainName = $site->getDomainName(); goto F0665; Fb110: return $response; goto Be695; F0665: $siteEntity = $this->getSiteEntity($domainName); goto F3d86; Ecfc8: $ftpUserName = $ftpUserEntity->getUserName(); goto A3215; a5249: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto A8183; Fe46d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\x5f\x75\163\145\x72\163", ["\144\x6f\x6d\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto aea61; Eaba5: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\125\163\x65\x72\40\x68\x61\x73\40\x62\x65\145\156\40\x73\x61\166\x65\x64\56")); goto Fe46d; Cc724: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto B3afe; A8183: C91bd: goto dbbb6; dbbb6: $eventData = ["\x73\151\x74\x65" => $domainName, "\165\163\145\162\116\x61\x6d\145" => $ftpUserName, "\x68\x6f\155\x65\x44\x69\162\145\x63\x74\x6f\162\x79" => $ftpUserHomeDirectory]; goto dd835; A3215: $ftpUserPassword = $form->get("\160\x61\163\163\167\x6f\x72\x64")->getData(); goto d2ad9; Bb5cb: $user = $this->getUser(); goto eb27d; F3d86: if (false === is_null($siteEntity)) { goto caa90; } goto b9927; a9de3: goto Eddb2; goto f844c; a36b0: $this->siteEntityManager->updateEntity($siteEntity); goto Ee06d; d2ad9: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto a36b0; eb27d: $ftpUserEntity = $form->getData(); goto Ecfc8; aea61: Eddb2: goto Fb110; dd835: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Eaba5; B3afe: if (!(false === empty($ftpUserPassword))) { goto C91bd; } goto a5249; A9d52: $session = $request->getSession(); goto Ef99b; Ee06d: $siteUpdater = $this->getSiteUpdater($site); goto Cc724; f844c: caa90: goto Bb5cb; b9927: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\x65\x73")); goto a9de3; Be695: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\156\40\145\x72\x72\x6f\x72\x20\x68\x61\163\40\157\x63\x63\165\162\162\145\x64\x2c\x20\x65\x72\162\x6f\162\40\x6d\145\x73\163\141\147\x65\72\x20\45\x65\162\162\x6f\162\x4d\145\x73\x73\141\147\x65\x25", ["\x25\145\x72\x72\157\162\115\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto E9708; D2348: C5f50: goto B5efe; c3002: if (true === $form->isValid()) { goto C5f50; } goto D010d; E489f: goto e5c7d; goto D2348; E9708: e5c7d: goto Eff29; D010d: $this->formErrors = $this->getErrorMessages($form); goto E489f; Eff29: } public function deleteFtpUser(Request $request) : Response { goto de9e6; aa61c: $this->checkCsrfToken($request, "\165\x73\x65\x72\55\x64\145\154\x65\164\x65"); goto C0de3; E588f: try { goto ab00d; f1504: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto a4d77; } goto bc376; D16fa: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto Ad110; } goto Af04c; Ac398: $domainName = $site->getDomainName(); goto F85c6; E4498: return $response; goto a9f09; b8daf: $siteEntity->removeFtpUser($ftpUserEntity); goto c8906; ab00d: $session = $request->getSession(); goto ff47a; ab213: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\x5f\165\163\145\162\163", ["\x64\157\x6d\x61\151\156\116\141\155\x65" => $site->getDomainName()])); goto E4498; c8906: $this->siteEntityManager->updateEntity($siteEntity); goto Daa08; E2990: $evenData = ["\x73\x69\x74\x65" => $domainName, "\165\163\x65\162\116\141\x6d\145" => $userName]; goto b66f0; Af04c: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto f1504; ff47a: $userName = $request->get("\x75\x73\145\162\116\x61\155\x65"); goto Ac398; bc376: $user = $this->getUser(); goto a1f24; c00ad: $siteUpdater->deleteUser($userName, false); goto E2990; a1f24: $userName = $ftpUserEntity->getUserName(); goto b8daf; b66f0: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto ce8e3; ce8e3: $session->getFlashBag()->set("\163\x75\143\143\x65\163\163", $this->translator->trans("\125\x73\x65\x72\x20\150\x61\x73\40\142\145\x65\x6e\40\x64\145\154\x65\164\x65\x64\56")); goto ab213; Daa08: $siteUpdater = $this->getSiteUpdater($site); goto c00ad; F85c6: $siteEntity = $this->getSiteEntity($domainName); goto E00e7; E00e7: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto D16fa; a9f09: a4d77: goto f924d; f924d: Ad110: goto eb418; eb418: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\156\40\145\x72\162\x6f\162\40\150\141\163\40\x6f\x63\x63\x75\162\x72\x65\144\54\x20\x65\x72\162\157\x72\40\155\145\163\x73\x61\147\x65\72\x20\x25\145\x72\162\157\162\115\145\163\163\x61\147\x65\45", ["\45\145\x72\x72\x6f\162\x4d\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto B10ad; Fb027: return $response; goto b5dc1; C0de3: if (!(false === is_null($site))) { goto a4377; } goto E588f; Ce807: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x73")); goto Fb027; B10ad: a4377: goto Ce807; de9e6: $site = $this->getSite($request); goto aa61c; b5dc1: } public function newSshUser(Request $request) : Response { goto e3cd8; Cfefc: return $response; goto F986a; f8dea: return $response; goto Ffdc3; E969c: if (false === is_null($site)) { goto c32a9; } goto ad2b9; B47a2: goto cb725; goto bea0c; ee6d1: if (!(true === $form->isSubmitted())) { goto D7890; } goto d6dd1; c4a19: if (!(false === is_null($response))) { goto F18e3; } goto Cfefc; F986a: F18e3: goto de829; f284e: B8484: goto A80bc; C6f71: $form = $this->createSshUserForm($sshUserEntity); goto E960c; e3cd8: $site = $this->getSite($request); goto E969c; a1070: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto dbe75; a3e81: cb725: goto f8dea; dbe75: $sshUserEntity->setSite($siteEntity); goto C6f71; aee3d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a1070; E960c: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto B8484; } goto B838c; B838c: $form->handleRequest($request); goto ee6d1; de829: D7890: goto f284e; ad2b9: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\163")); goto B47a2; bea0c: c32a9: goto aee3d; A80bc: $response = $this->render("\x46\x72\157\156\164\145\x6e\x64\57\x53\x69\x74\145\57\x6e\x65\167\55\163\163\x68\55\165\163\145\x72\56\x68\x74\155\154\56\164\167\151\x67", ["\x73\x69\x74\x65" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\x6f\x72\155\x45\162\x72\x6f\162\163" => $this->formErrors]); goto a3e81; d6dd1: $response = $this->handleSshUserForm($request, $form, $site); goto c4a19; Ffdc3: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Ec9f4; d2316: $form = $this->createForm("\x41\x70\160\134\106\157\x72\x6d\x5c\123\x69\x74\x65\123\x73\x68\x55\163\x65\x72\x54\171\160\145", $sshUserEntity, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\x63\154\160\x5f\163\151\x74\145\x5f\x73\x73\x68\x5f\x75\163\x65\162\x5f\156\x65\x77", ["\x64\157\155\x61\151\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\144" => "\x50\117\x53\124", "\141\164\x74\x72" => []]); goto F2a12; Ec9f4: $siteEntity = $sshUserEntity->getSite(); goto d2316; F2a12: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\x61\x73\163" => "\x62\164\x6e\40\x62\164\156\55\142\x6c\x75\145\x20\x62\x74\156\x2d\x6c\x67"], "\x6c\x61\142\145\x6c" => "\x41\x64\144\40\x55\163\145\162"]); goto F8959; F8959: return $form; goto Dff2e; Dff2e: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto d5c5f; c6fef: D3425: goto a00a4; d5c5f: if (true === $form->isValid()) { goto e22fd; } goto e81b2; ca72a: try { goto af504; F2297: $domainName = $site->getDomainName(); goto cc970; Ae4ad: if (!(false === empty($sshKeys))) { goto Eaab2; } goto Ade72; A4c57: goto Cac48; goto cb427; Bc487: $siteEntity->addSshUser($sshUserEntity); goto C4587; f10da: $sshUserEntity = $form->getData(); goto ae7ea; cb427: A8e1e: goto f69c1; Db3c6: $siteUpdater = $this->getSiteUpdater($site); goto c4f0f; E4304: return $response; goto D3d3f; cce22: $sshKeys = $sshUserEntity->getSshKeys(); goto Bc487; f69c1: $user = $this->getUser(); goto f10da; B56f7: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto F1897; c4f0f: $siteUpdater->createSshUser($sshUserEntity); goto Ae4ad; aa044: Eaab2: goto Ae406; ae7ea: $sshUserName = $sshUserEntity->getUserName(); goto Fb606; Fb606: $sshUserPassword = $form->get("\x70\x61\163\163\167\x6f\162\144")->getData(); goto Bd22a; deb6b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\x74\145\163")); goto A4c57; fc508: if (false === is_null($siteEntity)) { goto A8e1e; } goto deb6b; C4587: $this->siteEntityManager->updateEntity($siteEntity); goto Db3c6; Ade72: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto aa044; af504: $session = $request->getSession(); goto F2297; cc970: $siteEntity = $this->getSiteEntity($domainName); goto fc508; Ae406: $eventData = ["\x73\x69\164\145" => $domainName, "\165\x73\x65\162\x4e\x61\x6d\x65" => $sshUserName, "\x73\x73\x68\x4b\x65\x79\163" => $sshKeys]; goto B56f7; C286f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\x5f\x75\x73\x65\x72\163", ["\x64\157\155\x61\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto b865c; F1897: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x55\163\145\162\40\150\x61\163\40\x62\145\x65\156\40\x61\144\144\x65\144\x2e")); goto C286f; b865c: Cac48: goto E4304; Bd22a: $sshUserEntity->setPassword($sshUserPassword); goto cce22; D3d3f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\40\x68\x61\x73\x20\157\143\143\x75\162\x72\145\x64\x2c\x20\145\162\162\x6f\x72\x20\x6d\145\x73\163\141\147\145\72\40\x25\x65\x72\x72\x6f\x72\115\x65\x73\x73\x61\147\145\45", ["\45\145\x72\162\157\x72\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } goto c6fef; adcc2: e22fd: goto ca72a; A1a36: goto D3425; goto adcc2; e81b2: $this->formErrors = $this->getErrorMessages($form); goto A1a36; a00a4: } public function editSshUser(Request $request) : Response { goto e21f3; F8343: c8fa5: goto bad23; d4d29: $site = $this->getSite($request); goto af2dc; abcea: $form->handleRequest($request); goto e6286; B9422: $response = $this->render("\106\162\x6f\156\x74\x65\156\x64\x2f\123\x69\164\145\57\145\x64\x69\164\x2d\163\163\150\x2d\x75\x73\145\162\56\150\x74\155\154\56\164\x77\151\x67", ["\163\151\x74\x65" => $site, "\146\x6f\x72\155" => $form->createView(), "\x66\x6f\162\x6d\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto bf86a; b8a13: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\x73")); goto Efd2a; ee1c4: if (!(false === is_null($response))) { goto a5008; } goto C2f34; e21f3: $userName = $request->get("\x75\163\145\x72\116\x61\155\145"); goto d4d29; a3dae: a5008: goto F8343; fcfea: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto fc1e8; } goto abcea; Efd2a: goto Dabfa; goto Da361; C2f34: return $response; goto a3dae; af2dc: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto f524e; e37f6: $form = $this->createSshUserEditForm($sshUserEntity); goto fcfea; bf86a: Dabfa: goto E5bad; E5bad: return $response; goto e8786; Da361: a144b: goto e37f6; e6286: if (!(true === $form->isSubmitted())) { goto c8fa5; } goto e2cbe; f524e: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a144b; } goto b8a13; bad23: fc1e8: goto B9422; e2cbe: $response = $this->handleSshUserEditForm($request, $form, $site); goto ee1c4; e8786: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto F9da2; b4d37: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\x6d\x5c\123\x69\164\x65\x53\x73\x68\125\x73\145\162\x45\144\x69\x74\124\x79\160\x65", $sshUserEntity, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\x69\164\145\x5f\x73\163\x68\137\x75\163\x65\162\x5f\145\x64\151\164", ["\x64\157\155\141\151\156\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\165\163\145\162\116\x61\155\145" => $sshUserEntity->getUserName()]), "\155\x65\164\150\157\x64" => "\120\117\x53\124", "\141\x74\164\x72" => []]); goto C20ba; C20ba: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\141\x73\x73" => "\142\164\x6e\40\x62\164\x6e\55\x62\x6c\165\x65\x20\142\164\156\x2d\x6c\147"], "\x6c\141\142\x65\x6c" => "\x53\141\x76\x65"]); goto D1037; D1037: return $form; goto f5525; F9da2: $siteEntity = $sshUserEntity->getSite(); goto b4d37; f5525: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto ec58e; Ea4b5: goto D8766; goto f4ed1; E6486: try { goto d80e4; Bb59b: goto B80f2; goto f5bdd; eb476: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto ae6c6; d80e4: $session = $request->getSession(); goto e54c0; F0cd5: Bb23d: goto C6ec9; Bae40: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\145\163")); goto Bb59b; Fe852: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\x5f\x75\163\145\x72\163", ["\x64\x6f\x6d\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto D76cc; f5bdd: eee9a: goto A62ff; C6493: if (false === is_null($siteEntity)) { goto eee9a; } goto Bae40; c4537: return $response; goto A9168; E40b1: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto F0cd5; Aa81c: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto cf8e6; A62ff: $user = $this->getUser(); goto Dbafd; D4bc4: $siteUpdater = $this->getSiteUpdater($site); goto Dc1c6; fe630: $eventData = ["\x73\x69\164\x65" => $domainName, "\165\x73\x65\162\x4e\x61\x6d\x65" => $sshUserName, "\x73\163\x68\113\x65\x79\x73" => $sshKeys]; goto Aa81c; D76cc: B80f2: goto c4537; D701d: $siteEntity = $this->getSiteEntity($domainName); goto C6493; cf8e6: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\125\x73\145\x72\40\x68\141\x73\x20\x62\x65\145\156\40\163\141\x76\145\x64\56")); goto Fe852; ae6c6: $this->siteEntityManager->updateEntity($siteEntity); goto D4bc4; e54c0: $domainName = $site->getDomainName(); goto D701d; Dea4f: $sshUserName = $sshUserEntity->getUserName(); goto a6d03; Dbafd: $sshUserEntity = $form->getData(); goto Dea4f; C6ec9: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto fe630; Dc1c6: if (!(false === empty($sshUserPassword))) { goto Bb23d; } goto E40b1; a6d03: $sshUserPassword = $form->get("\160\x61\x73\163\167\x6f\x72\x64")->getData(); goto eb476; A9168: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\162\x20\x68\x61\163\40\x6f\143\x63\x75\x72\162\145\x64\x2c\x20\145\162\162\157\x72\40\x6d\x65\x73\163\141\x67\x65\x3a\x20\45\145\162\x72\157\x72\115\x65\163\x73\141\x67\145\45", ["\x25\145\x72\162\x6f\x72\115\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto da5ca; da5ca: D8766: goto e7928; ec58e: if (true === $form->isValid()) { goto dc0bb; } goto F1351; F1351: $this->formErrors = $this->getErrorMessages($form); goto Ea4b5; f4ed1: dc0bb: goto E6486; e7928: } public function deleteSshUser(Request $request) : Response { goto a0b9a; a169d: try { goto C33ac; F0c73: $siteUpdater->deleteUser($userName, true); goto C1a41; C99d0: return $response; goto C7c30; ae830: $siteEntity = $this->getSiteEntity($domainName); goto Dc8e7; a2c6b: $sshUserSiteEntity = $sshUserEntity->getSite(); goto C157e; fc9ae: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\x5f\165\x73\145\162\163", ["\144\x6f\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto C99d0; Eff35: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto e9434; } goto a2c6b; E7635: $user = $this->getUser(); goto dc228; C7c30: d45f1: goto B4128; ddfe3: $userName = $request->get("\165\x73\145\x72\116\141\155\x65"); goto e0b19; C1a41: $evenData = ["\163\x69\164\145" => $domainName, "\x75\163\145\x72\x4e\141\155\x65" => $userName]; goto C9a46; e0b19: $domainName = $site->getDomainName(); goto ae830; fcb5d: $this->siteEntityManager->updateEntity($siteEntity); goto Ddb70; Ddb70: $siteUpdater = $this->getSiteUpdater($site); goto F0c73; B4128: e9434: goto abad4; C157e: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto d45f1; } goto E7635; d2624: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\x55\x73\x65\x72\40\x68\x61\163\x20\142\x65\x65\156\x20\x64\x65\x6c\145\164\x65\x64\56")); goto fc9ae; C9a46: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto d2624; Dc8e7: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto Eff35; dc228: $userName = $sshUserEntity->getUserName(); goto ce62f; ce62f: $siteEntity->removeSshUser($sshUserEntity); goto fcb5d; C33ac: $session = $request->getSession(); goto ddfe3; abad4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\162\162\157\x72\x20\x68\141\x73\40\157\x63\143\165\162\x72\x65\x64\x2c\x20\x65\x72\x72\157\162\40\x6d\x65\163\163\x61\x67\x65\x3a\x20\45\145\162\162\157\162\x4d\x65\163\x73\x61\147\x65\x25", ["\45\x65\162\162\157\x72\x4d\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto B200d; Be2ce: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\163")); goto C3cf4; a0b9a: $site = $this->getSite($request); goto C1826; C3cf4: return $response; goto b180b; B200d: c3138: goto Be2ce; e8770: if (!(false === is_null($site))) { goto c3138; } goto a169d; C1826: $this->checkCsrfToken($request, "\x75\163\145\162\x2d\144\x65\154\x65\164\145"); goto e8770; b180b: } public function security(Request $request) : Response { goto df9ce; D24e1: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto ad523; Db472: $response = $this->render("\106\162\157\x6e\164\x65\x6e\144\57\x53\x69\x74\145\57\163\x65\143\165\x72\151\164\x79\x2e\150\x74\155\154\56\x74\x77\x69\x67", ["\163\x69\x74\145" => $site, "\x62\154\157\143\x6b\x65\144\111\160\163" => $blockedIps, "\x62\x6c\x6f\x63\x6b\x65\144\x42\x6f\x74\163" => $blockedBots, "\x62\141\x73\151\143\101\x75\164\150\x46\157\x72\155" => $basicAuthForm->createView(), "\143\154\x6f\x75\144\x66\x6c\141\x72\x65\x46\x6f\162\x6d" => $cloudflareForm->createView(), "\x66\x6f\162\x6d\105\x72\x72\157\x72\163" => $this->formErrors]); goto b595c; e632c: fec8d: goto f47ba; C450d: $blockedBots = $site->getBlockedBots(); goto b07de; A39ce: return $response; goto e632c; B3378: if (!(true === $cloudflareForm->isSubmitted())) { goto F14e0; } goto B345e; B9d88: ae416: goto fb89b; B7e56: goto d2248; goto B9d88; Ee4b7: A9d2f: goto b8423; df9ce: $site = $this->getSite($request); goto E381d; fb89b: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto aeb12; Dc1de: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto Ee4b7; c29aa: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto d9e9f; } goto F3298; B345e: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto b2e2d; b2e2d: if (!(false === is_null($response))) { goto fec8d; } goto A39ce; E7001: $cloudflareForm->handleRequest($request); goto f7368; fbee2: $basicAuthEntity = $site->getBasicAuth(); goto Bf89a; e638b: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto A423d; e141a: ef9da: goto Fec12; b9d25: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\163")); goto B7e56; Fec12: A4916: goto B3378; f47ba: F14e0: goto e1534; f7368: if (!(true === $basicAuthForm->isSubmitted())) { goto A4916; } goto e638b; A423d: if (!(false === is_null($response))) { goto ef9da; } goto ad50a; E381d: if (false === is_null($site)) { goto ae416; } goto b9d25; ad50a: return $response; goto e141a; F3298: $basicAuthForm->handleRequest($request); goto E7001; ad523: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto c29aa; e1534: d9e9f: goto Db472; C302c: return $response; goto df75a; b8423: $basicAuthEntity->setSite($siteEntity); goto D24e1; b07de: $blockedIps = $site->getBlockedIps(); goto fbee2; b595c: d2248: goto C302c; Bf89a: if (!(true === is_null($basicAuthEntity))) { goto A9d2f; } goto Dc1de; aeb12: $cloudflareData = ["\141\154\x6c\x6f\167\x54\162\141\x66\146\151\x63\x46\162\x6f\x6d\x43\x6c\x6f\165\x64\146\x6c\141\162\x65\x4f\x6e\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto C450d; df75a: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto Be116; Bb58c: return $form; goto e39a3; Be116: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\155\x5c\123\151\164\145\x43\154\x6f\165\x64\146\x6c\141\x72\x65\x54\171\160\x65", $data, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\137\163\x65\x63\x75\162\x69\x74\x79", ["\144\x6f\x6d\x61\x69\156\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\157\x64" => "\x50\x4f\123\124", "\141\x74\164\162" => []]); goto b756e; b756e: $form->add("\163\165\x62\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\141\163\163" => "\142\164\156\x20\x62\164\x6e\x2d\x62\154\x75\145\40\142\164\156\x2d\x6c\147"], "\154\x61\x62\x65\x6c" => "\123\141\166\145"]); goto Bb58c; e39a3: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto Dc400; Ec7ed: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\x6d\x5c\123\x69\164\x65\x42\141\163\x69\143\101\165\164\150\x54\x79\160\x65", $basicAuthEntity, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\x5f\163\x65\x63\165\162\x69\x74\x79", ["\x64\x6f\x6d\141\151\156\x4e\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\117\123\124", "\141\x74\x74\162" => []]); goto b16b8; b16b8: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\163\163" => "\x62\164\x6e\40\142\x74\x6e\x2d\x62\154\x75\145\x20\x62\164\x6e\55\x6c\x67"], "\x6c\141\142\145\154" => "\123\141\x76\145"]); goto C3a61; C3a61: return $form; goto f1141; Dc400: $siteEntity = $basicAuthEntity->getSite(); goto Ec7ed; f1141: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto Efe99; A5023: try { goto b4a18; b4a18: $session = $request->getSession(); goto A8732; A2c61: $this->siteEntityManager->updateEntity($siteEntity); goto Accfc; b6544: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\x73")); goto e6559; a8f69: $site->setBasicAuth($basicAuthEntity); goto A2c61; D2ce4: $siteEntity = $this->getSiteEntity($domainName); goto A823f; Accfc: $siteUpdater = $this->getSiteUpdater($site); goto Bdbee; B3f6c: $eventData = ["\x73\x69\164\145" => $domainName, "\141\x63\x74\x69\166\x65" => true === $basicAuthEntity->getIsActive() ? "\61" : "\x30", "\x75\163\145\x72\x4e\x61\x6d\x65" => $basicAuthEntity->getUserName(), "\x77\150\x69\164\145\154\x69\163\x74\x65\144\111\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto A008e; df30f: return $response; goto c4eef; C2ce7: $user = $this->getUser(); goto e3898; b8ed1: B1a5a: goto df30f; Bdbee: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto cd704; f6500: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\102\141\x73\151\x63\40\101\165\164\x68\x65\x6e\164\151\143\x61\x74\x69\157\156\x20\x73\x65\x74\164\151\x6e\x67\x73\40\x68\141\166\x65\40\x62\x65\x65\x6e\x20\163\141\x76\x65\144\x2e")); goto d0d9e; E3eca: $siteEntity->setBasicAuth($basicAuthEntity); goto a8f69; e6559: goto B1a5a; goto Bc395; d4674: $siteUpdater->reloadNginxService(); goto B3f6c; Bc395: d3059: goto C2ce7; e3898: $basicAuthEntity = $form->getData(); goto E3eca; d0d9e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\x5f\163\x65\x63\165\x72\x69\x74\x79", ["\144\157\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto b8ed1; A8732: $domainName = $site->getDomainName(); goto D2ce4; A823f: if (false === is_null($siteEntity)) { goto d3059; } goto b6544; A008e: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto f6500; cd704: $siteUpdater->updateNginxVhost(); goto d4674; c4eef: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\101\156\x20\x65\162\162\157\x72\40\x68\x61\x73\x20\157\143\143\x75\162\162\145\x64\x2c\40\x65\162\x72\x6f\x72\40\x6d\x65\x73\163\141\147\145\72\40\45\145\x72\x72\x6f\x72\115\145\x73\163\141\x67\145\45", ["\45\145\162\x72\157\162\115\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto F38a3; F38a3: D8fa1: goto a88f1; Cb8fb: goto D8fa1; goto cde71; E8eb6: $this->formErrors = $this->getErrorMessages($form); goto Cb8fb; Efe99: if (true === $form->isValid()) { goto B54c9; } goto E8eb6; cde71: B54c9: goto A5023; a88f1: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto Dc66e; Dc66e: if (true === $form->isValid()) { goto d4a54; } goto Ae5c6; A41bf: goto C4b33; goto C302f; E747e: C4b33: goto F8407; C302f: d4a54: goto c4045; c4045: try { goto c82cd; F2ce2: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\137\x73\145\x63\165\162\151\164\x79", ["\x64\x6f\155\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto Dc48c; B1de4: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto A74b3; B88ee: if (false === is_null($siteEntity)) { goto ba5dd; } goto C3a12; A2c1e: $domainName = $site->getDomainName(); goto A64c7; c15eb: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto B1de4; A3705: $siteUpdater->reloadNginxService(); goto Fb69a; C4065: goto d6292; goto C2054; b62dd: $user = $this->getUser(); goto D3b7b; D40e8: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\103\154\157\x75\144\146\x6c\141\162\x65\40\x73\145\164\x74\x69\x6e\147\x73\40\150\141\x76\145\40\x62\x65\x65\x6e\x20\x73\141\x76\x65\144\56")); goto F2ce2; C90d2: $siteUpdater->updateNginxVhost(); goto A3705; C3a12: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\x73")); goto C4065; D3b7b: $allowTrafficFromCloudflareOnly = $form->get("\x61\154\x6c\x6f\167\x54\162\x61\146\146\151\143\106\x72\x6f\155\103\x6c\157\x75\144\146\x6c\x61\x72\145\117\x6e\154\171")->getData(); goto c15eb; C2054: ba5dd: goto b62dd; Aae00: return $response; goto E7da2; Fb69a: $eventData = ["\x73\x69\164\145" => $domainName, "\x61\x6c\x6c\157\167\124\x72\141\x66\x66\x69\x63\106\162\157\x6d\x43\x6c\x6f\165\144\x66\154\141\x72\x65\117\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\x30"]; goto e5242; A64c7: $siteEntity = $this->getSiteEntity($domainName); goto B88ee; c82cd: $session = $request->getSession(); goto A2c1e; Dc48c: d6292: goto Aae00; Fd5ea: $siteUpdater = $this->getSiteUpdater($site); goto C90d2; A74b3: $this->siteEntityManager->updateEntity($siteEntity); goto Fd5ea; e5242: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto D40e8; E7da2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\x20\145\162\162\157\x72\x20\x68\141\163\40\157\143\x63\x75\162\162\145\144\54\40\145\x72\x72\x6f\162\x20\155\145\163\x73\x61\147\145\x3a\x20\x25\145\162\x72\x6f\162\x4d\x65\x73\163\141\147\145\45", ["\x25\x65\x72\162\x6f\x72\x4d\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto E747e; Ae5c6: $this->formErrors = $this->getErrorMessages($form); goto A41bf; F8407: } public function newBlockedIp(Request $request) : Response { goto D8f57; cff96: return $response; goto C4628; F44b4: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ee64c; e78ce: $blockedIpEntity->setSite($siteEntity); goto Cd7a4; a00e6: $response = $this->handleBlockedIpForm($request, $form, $site); goto e729d; D8f57: $site = $this->getSite($request); goto C43d2; Ed921: $form->handleRequest($request); goto df5ca; e729d: if (!(false === is_null($response))) { goto d99d5; } goto Ed350; a0b53: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\x65\163")); goto A63f9; Ad8d2: D22af: goto E63e5; A63f9: goto c8a6a; goto B74f3; Ca495: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto a2fdd; } goto Ed921; Ee64c: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto e78ce; Cd7a4: $form = $this->createBlockedIpForm($blockedIpEntity); goto Ca495; cb8db: $response = $this->render("\106\162\157\x6e\x74\145\x6e\144\x2f\x53\x69\x74\x65\57\x6e\145\167\x2d\142\154\157\x63\153\x65\x64\x2d\151\x70\56\150\164\x6d\x6c\x2e\x74\x77\151\147", ["\163\x69\164\x65" => $site, "\x66\157\162\155" => $form->createView(), "\146\157\162\x6d\x45\162\x72\x6f\162\163" => $this->formErrors]); goto D742e; D742e: c8a6a: goto cff96; df5ca: if (!(true === $form->isSubmitted())) { goto D22af; } goto a00e6; f2428: d99d5: goto Ad8d2; Ed350: return $response; goto f2428; C43d2: if (false === is_null($site)) { goto d2ebb; } goto a0b53; B74f3: d2ebb: goto F44b4; E63e5: a2fdd: goto cb8db; C4628: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Aa61d; Aa61d: $siteEntity = $blockedIpEntity->getSite(); goto c2497; a0f2d: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\141\x73\163" => "\x62\164\x6e\x20\142\164\x6e\55\142\154\x75\x65\x20\x62\x74\x6e\55\154\x67"], "\x6c\141\x62\x65\154" => "\101\x64\144\x20\111\x50"]); goto B5899; B5899: return $form; goto de6c5; c2497: $form = $this->createForm("\x41\160\x70\x5c\106\x6f\162\155\134\123\x69\x74\145\102\x6c\157\143\153\x65\x64\111\120\124\171\160\x65", $blockedIpEntity, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\137\163\145\143\165\x72\151\164\x79\x5f\142\154\x6f\143\153\145\144\x5f\x69\160\x5f\156\145\x77", ["\x64\157\155\141\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\x50\x4f\x53\124", "\x61\x74\x74\162" => []]); goto a0f2d; de6c5: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto E430e; E430e: if (true === $form->isValid()) { goto E1c11; } goto a3abd; Dcce1: D226b: goto e8f17; a9421: E1c11: goto E3ebd; ee0eb: goto D226b; goto a9421; a3abd: $this->formErrors = $this->getErrorMessages($form); goto ee0eb; E3ebd: try { goto D2ded; f27f6: $this->siteEntityManager->updateEntity($siteEntity); goto B0e85; c4d2f: $siteUpdater->reloadNginxService(); goto Ad43a; C9947: $domainName = $site->getDomainName(); goto F4ea7; bac31: $user = $this->getUser(); goto fc128; bcb4a: if (false === is_null($siteEntity)) { goto Cc74d; } goto d2856; D0c65: return $response; goto c3e12; Fff0c: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto E09d8; b94e9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\137\x73\145\143\165\x72\x69\x74\x79", ["\144\157\x6d\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto c3411; d2856: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\163")); goto aced5; d52c4: $siteUpdater->updateNginxVhost(); goto c4d2f; C126a: $siteEntity->addBlockedIp($blockedIp); goto f27f6; E09d8: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x49\x50\x20\x68\141\163\40\x62\145\145\156\40\x61\x64\x64\x65\144\x2e")); goto b94e9; F4ea7: $siteEntity = $this->getSiteEntity($domainName); goto bcb4a; B0e85: $siteUpdater = $this->getSiteUpdater($site); goto d52c4; c3411: E513c: goto D0c65; aced5: goto E513c; goto E1214; E1214: Cc74d: goto bac31; Ad43a: $eventData = ["\x73\151\x74\145" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto Fff0c; D2ded: $session = $request->getSession(); goto C9947; fc128: $blockedIp = $form->getData(); goto C126a; c3e12: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\162\157\x72\40\x68\141\163\x20\157\x63\x63\x75\162\x72\145\144\54\x20\145\162\162\157\162\40\x6d\145\163\163\x61\x67\145\72\40\45\145\x72\x72\x6f\x72\115\145\x73\x73\x61\147\x65\45", ["\x25\x65\162\162\157\162\x4d\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto Dcce1; e8f17: } public function deleteBlockedIp(Request $request) : Response { goto E6eb0; d2803: return $response; goto f9837; A1c71: B9a8b: goto d232a; E6eb0: $site = $this->getSite($request); goto E15b4; Bc07a: if (!(false === is_null($site))) { goto B9a8b; } goto D487f; d232a: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\163")); goto d2803; D487f: try { goto F1ad9; E8c07: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto b50f6; b50f6: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto D5da8; } goto c0776; dd9d8: $siteUpdater->reloadNginxService(); goto F9837; B2422: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto dc5f1; f9c44: $this->siteEntityManager->updateEntity($siteEntity); goto e0f5d; da5df: $siteEntity->removeBlockedIp($blockedIpEntity); goto f9c44; dc5f1: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\x49\x50\40\x68\x61\x73\40\x62\x65\x65\x6e\x20\144\145\x6c\145\164\145\x64\x2e")); goto B5beb; F9e07: return $response; goto e623d; d6c8b: $siteEntity = $this->getSiteEntity($domainName); goto E8c07; B5beb: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\137\163\145\143\165\x72\151\x74\171", ["\144\157\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto F9e07; e623d: D5da8: goto db10d; e0f5d: $siteUpdater = $this->getSiteUpdater($site); goto eaed6; F9837: $eventData = ["\163\x69\164\145" => $domainName, "\x69\x70" => $blockedIpEntity->getIp()]; goto B2422; eaed6: $siteUpdater->updateNginxVhost(); goto dd9d8; F1ad9: $session = $request->getSession(); goto ac5de; ddcae: $domainName = $site->getDomainName(); goto d6c8b; c0776: $user = $this->getUser(); goto da5df; ac5de: $id = (int) $request->get("\151\x64"); goto ddcae; db10d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\x65\162\162\157\162\x20\x68\141\163\x20\x6f\143\143\165\162\x72\x65\144\x2c\x20\145\x72\162\157\x72\40\x6d\x65\x73\x73\x61\x67\x65\72\40\45\x65\x72\x72\x6f\x72\x4d\145\163\x73\141\147\145\x25", ["\45\x65\x72\162\157\x72\x4d\x65\x73\163\141\147\x65\45" => $e->getMessage()])); } goto A1c71; E15b4: $this->checkCsrfToken($request, "\151\160\x2d\x64\145\x6c\145\164\145"); goto Bc07a; f9837: } public function newBlockedBot(Request $request) : Response { goto e707f; a90b5: A5ad9: goto Bf81a; e3873: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto a23cf; } goto Bbb99; e707f: $site = $this->getSite($request); goto D1645; E2b76: goto A5ad9; goto d5b28; Bf81a: return $response; goto db2ef; Bbb99: $form->handleRequest($request); goto e27ad; c9fd6: return $response; goto Efc77; D1645: if (false === is_null($site)) { goto Cac2d; } goto B5825; Dcbdf: $response = $this->render("\106\x72\x6f\x6e\x74\145\x6e\144\x2f\123\x69\164\145\x2f\x6e\145\x77\55\142\x6c\157\x63\153\145\144\55\x62\x6f\164\56\x68\164\x6d\154\56\164\x77\x69\x67", ["\x73\151\x74\145" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\157\162\155\x45\162\162\x6f\162\x73" => $this->formErrors]); goto a90b5; d5b28: Cac2d: goto Cb34d; F577e: d0295: goto E3b48; Cb34d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Df161; Df161: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto cd2eb; Baffd: $form = $this->createBlockedBotForm($blockedBotEntity); goto e3873; cd2eb: $blockedBotEntity->setSite($siteEntity); goto Baffd; E3b48: a23cf: goto Dcbdf; e27ad: if (!(true === $form->isSubmitted())) { goto d0295; } goto B6f5e; B7570: if (!(false === is_null($response))) { goto Ac3a9; } goto c9fd6; B6f5e: $response = $this->handleBlockedBotForm($request, $form, $site); goto B7570; B5825: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\163")); goto E2b76; Efc77: Ac3a9: goto F577e; db2ef: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto eb640; c305c: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\164\164\162" => ["\143\154\141\x73\163" => "\142\164\x6e\x20\142\164\156\55\x62\154\165\x65\40\x62\164\156\x2d\154\147"], "\x6c\141\142\x65\x6c" => "\101\x64\x64\40\102\x6f\164"]); goto af7e4; d5d73: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\134\123\151\x74\x65\102\x6c\x6f\x63\x6b\x65\x64\102\157\x74\x54\171\x70\x65", $blockedBotEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\x63\154\x70\137\163\151\164\145\x5f\x73\145\x63\x75\x72\x69\164\x79\137\142\154\x6f\143\153\x65\144\x5f\x62\157\164\137\156\145\167", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\117\x53\x54", "\x61\164\164\x72" => []]); goto c305c; af7e4: return $form; goto f1891; eb640: $siteEntity = $blockedBotEntity->getSite(); goto d5d73; f1891: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto ef739; e6095: d4b91: goto b634e; e07da: try { goto Bed53; D7df4: return $response; goto Daf70; Abaa0: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x73")); goto dea45; d02d9: $siteUpdater->updateNginxVhost(); goto B74ef; d114f: b0246: goto D7df4; E028f: if (false === is_null($siteEntity)) { goto b4f79; } goto Abaa0; Bed53: $session = $request->getSession(); goto ead2e; d4d8d: $siteEntity->addBlockedBot($blockedBot); goto Ea1e2; b94ca: $user = $this->getUser(); goto b4dac; D3aa8: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto f87d2; F7e75: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\137\163\145\143\165\x72\151\164\171", ["\x64\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto d114f; E0eab: $eventData = ["\163\151\164\x65" => $domainName, "\156\x61\155\x65" => $blockedBot->getName()]; goto D3aa8; f87d2: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\102\x6f\164\x20\150\x61\163\x20\142\145\145\156\x20\141\144\x64\145\144\x2e")); goto F7e75; ead2e: $domainName = $site->getDomainName(); goto Ca41c; B74ef: $siteUpdater->reloadNginxService(); goto E0eab; b4dac: $blockedBot = $form->getData(); goto d4d8d; Ea1e2: $this->siteEntityManager->updateEntity($siteEntity); goto e126d; e126d: $siteUpdater = $this->getSiteUpdater($site); goto d02d9; dea45: goto b0246; goto E6955; E6955: b4f79: goto b94ca; Ca41c: $siteEntity = $this->getSiteEntity($domainName); goto E028f; Daf70: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\x72\x20\150\141\x73\x20\x6f\143\x63\165\x72\162\145\144\x2c\40\x65\162\x72\157\162\x20\155\145\x73\x73\141\147\x65\x3a\40\45\x65\162\162\x6f\x72\115\x65\163\x73\141\147\145\45", ["\45\x65\x72\162\x6f\x72\x4d\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto e6095; C4204: $this->formErrors = $this->getErrorMessages($form); goto e6629; ef739: if (true === $form->isValid()) { goto B0aa1; } goto C4204; A9e20: B0aa1: goto e07da; e6629: goto d4b91; goto A9e20; b634e: } public function deleteBlockedBot(Request $request) : Response { goto D73d8; Ef70a: return $response; goto Ee4d8; D3496: if (!(false === is_null($site))) { goto d9b25; } goto Dd9a9; A7ff1: $this->checkCsrfToken($request, "\x62\x6f\164\55\x64\x65\154\x65\164\145"); goto D3496; D73d8: $site = $this->getSite($request); goto A7ff1; e659d: d9b25: goto d60a4; d60a4: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\x73")); goto Ef70a; Dd9a9: try { goto B72e0; F56a5: $siteEntity = $this->getSiteEntity($domainName); goto F625c; F890a: return $response; goto a9585; b1a72: $siteEntity->removeBlockedBot($blockedBotEntity); goto d46d7; a9585: f3f32: goto ef2e9; D59ff: $domainName = $site->getDomainName(); goto F56a5; F5aea: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\102\x6f\x74\40\x68\x61\163\40\142\x65\x65\156\x20\x64\x65\154\145\164\145\x64\56")); goto d8fd8; d8fd8: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\x5f\163\145\143\165\162\151\164\x79", ["\144\x6f\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto F890a; Bd877: $siteUpdater->reloadNginxService(); goto e1e26; F2748: $siteUpdater->updateNginxVhost(); goto Bd877; c4a2f: $user = $this->getUser(); goto b1a72; B72e0: $session = $request->getSession(); goto F054b; a3bc8: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto f3f32; } goto c4a2f; F054b: $id = (int) $request->get("\x69\144"); goto D59ff; Db7ca: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto F5aea; e1e26: $eventData = ["\x73\x69\164\x65" => $domainName, "\x6e\141\x6d\x65" => $blockedBotEntity->getName()]; goto Db7ca; d46d7: $this->siteEntityManager->updateEntity($siteEntity); goto c962b; F625c: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto a3bc8; c962b: $siteUpdater = $this->getSiteUpdater($site); goto F2748; ef2e9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\157\162\x20\150\x61\x73\40\157\143\143\165\162\162\145\144\54\x20\x65\162\x72\x6f\162\40\155\x65\163\x73\141\147\145\72\40\x25\145\x72\162\157\162\115\145\x73\163\141\x67\145\45", ["\45\145\x72\162\x6f\x72\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto e659d; Ee4d8: } public function certificates(Request $request) : Response { goto fa2ce; cb4c3: if (false === is_null($site)) { goto Ae10b; } goto d8760; d8760: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\x73")); goto E0927; F62d9: $installedCertificate = $site->getCertificate(); goto c8ee8; adb8a: return $response; goto feb78; c8ee8: $certificates = $site->getCertificates(); goto E5738; fa2ce: $site = $this->getSite($request); goto cb4c3; b098c: Ae10b: goto F62d9; E0927: goto A63e3; goto b098c; e0bfe: A63e3: goto adb8a; E5738: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\144\57\x53\x69\164\x65\x2f\143\x65\x72\164\x69\146\x69\143\141\x74\145\x73\56\150\164\155\x6c\x2e\x74\x77\x69\x67", ["\x73\x69\164\145" => $site, "\x69\156\163\x74\141\x6c\154\145\x64\x43\x65\162\x74\x69\x66\151\143\141\164\x65" => $installedCertificate, "\x63\x65\x72\164\x69\x66\151\143\x61\164\145\163" => $certificates]); goto e0bfe; feb78: } public function importCertificate(Request $request) : Response { goto ebe94; C56af: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A2562; d7afe: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto c7094; } goto a55fb; b9db9: $response = $this->render("\106\x72\157\156\164\145\x6e\x64\x2f\123\151\x74\145\57\x69\155\160\x6f\x72\164\55\x63\x65\x72\x74\151\146\x69\x63\x61\x74\145\56\150\164\x6d\x6c\x2e\164\x77\x69\147", ["\163\x69\x74\x65" => $site, "\146\157\162\155" => $form->createView(), "\146\157\x72\155\105\x72\x72\157\162\163" => $this->formErrors]); goto D68b9; D6bdc: return $response; goto D1494; A2562: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto C3bb9; ce8d5: if (false === is_null($site)) { goto Dffc9; } goto Eb6c9; D68b9: B1472: goto dd984; C3bb9: $certificateEntity->setSite($siteEntity); goto A7d92; a9edb: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C56af; ebe94: $site = $this->getSite($request); goto ce8d5; E57ab: $response = $this->handleImportCertificateForm($request, $form, $site); goto Deeec; Deeec: if (!(false === is_null($response))) { goto C6551; } goto D6bdc; ade5a: c7094: goto b9db9; A7d21: if (!(true === $form->isSubmitted())) { goto ab80b; } goto E57ab; dd984: return $response; goto Db06b; Be2fa: goto B1472; goto b6c33; A7d92: $form = $this->createImportCertificateForm($certificateEntity); goto d7afe; ec6b1: ab80b: goto ade5a; D1494: C6551: goto ec6b1; b6c33: Dffc9: goto a9edb; Eb6c9: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\x73")); goto Be2fa; a55fb: $form->handleRequest($request); goto A7d21; Db06b: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto c1012; D205a: return $form; goto C645c; A1801: $form = $this->createForm("\101\160\160\x5c\x46\157\162\155\x5c\123\x69\164\x65\111\x6d\160\157\162\x74\103\145\x72\x74\x69\146\151\x63\141\164\145\124\171\160\145", $certificateEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x5f\x63\x65\x72\x74\151\146\151\143\x61\164\145\137\151\x6d\x70\x6f\162\x74", ["\144\x6f\155\141\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\x50\x4f\x53\124", "\x61\164\164\x72" => []]); goto A83eb; c1012: $siteEntity = $certificateEntity->getSite(); goto A1801; A83eb: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\x61\x73\163" => "\142\x74\x6e\40\142\164\x6e\55\x62\154\165\145\40\142\x74\156\55\154\x67"], "\154\x61\x62\145\154" => "\x49\x6d\x70\157\x72\x74\x20\141\x6e\144\40\x49\156\x73\x74\141\x6c\x6c"]); goto D205a; C645c: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto fc8df; E4f0e: goto bed19; goto Ffec8; e080c: $this->formErrors = $this->getErrorMessages($form); goto E4f0e; Ffec8: Cf1b5: goto ef7fc; fc8df: if (true === $form->isValid()) { goto Cf1b5; } goto e080c; ef7fc: try { goto F3398; e7415: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\137\x63\x65\x72\x74\151\x66\x69\143\x61\164\145\163", ["\x64\157\x6d\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto F663d; E57d9: $certificateEntity = $form->getData(); goto Cd4c3; c310f: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto f5433; bab76: $siteUpdater->installCertificate($certificateEntity); goto E36a2; f5433: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\x43\145\x72\164\x69\x66\x69\143\x61\x74\x65\x20\x68\141\163\x20\x62\x65\x65\156\40\151\x6e\x73\x74\x61\x6c\154\x65\x64\56")); goto e7415; Aecf5: $siteEntity = $this->getSiteEntity($domainName); goto Eeb7b; Eeb7b: if (false === is_null($siteEntity)) { goto b3252; } goto bf526; f1c76: b3252: goto ad1cf; F3398: $session = $request->getSession(); goto F9242; aab92: $this->siteEntityManager->updateEntity($siteEntity); goto c4bdd; F663d: Fa804: goto aae02; ecc00: $siteEntity->addCertificate($certificateEntity); goto aab92; f51dc: goto Fa804; goto f1c76; E36a2: $siteEntity->setCertificate($certificateEntity); goto ecc00; bf526: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\x73")); goto f51dc; c4bdd: $evenData = ["\x73\x69\164\145" => $domainName]; goto c310f; aae02: return $response; goto f3072; Cd4c3: $siteUpdater = $this->getSiteUpdater($site); goto bab76; ad1cf: $user = $this->getUser(); goto E57d9; F9242: $domainName = $site->getDomainName(); goto Aecf5; f3072: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\162\40\x68\x61\163\40\157\x63\x63\x75\x72\x72\x65\144\54\x20\145\x72\162\x6f\x72\x20\x6d\x65\x73\163\141\x67\145\72\x20\45\145\x72\x72\x6f\x72\x4d\x65\163\x73\x61\147\x65\45", ["\45\x65\162\162\x6f\162\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } goto Cc08b; Cc08b: bed19: goto d14ca; d14ca: } public function newLetsEncryptCertificate(Request $request) : Response { goto a9169; d9362: e69d9: goto b0a94; C4a1f: $domains = [$registrableDomain, sprintf("\x77\167\x77\56\45\163", $registrableDomain)]; goto d9362; Ba499: fad5a: goto C4a1f; e6463: return $response; goto bb6c9; cb8e4: if (false === is_null($site)) { goto A90f6; } goto Dda19; a9169: $site = $this->getSite($request); goto cb8e4; D6114: D0685: goto A623b; A623b: $response = $this->render("\x46\x72\157\156\x74\x65\x6e\x64\x2f\x53\151\x74\x65\57\x6e\x65\167\x2d\154\145\164\x73\x2d\145\x6e\x63\162\x79\160\x74\x2d\143\145\162\164\x69\x66\x69\143\x61\x74\145\x2e\150\x74\x6d\x6c\56\x74\x77\x69\x67", ["\x73\151\164\145" => $site, "\x64\x6f\155\x61\151\156\x73" => $domains, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\x6d\x45\x72\162\157\162\x73" => $this->formErrors]); goto da177; B659a: goto e69d9; goto Ba499; be4de: if (true === is_null($subdomain) || "\167\167\167" == $subdomain) { goto fad5a; } goto Ae446; dfc8c: if (!(false === is_null($response))) { goto dabeb; } goto c838b; d456e: $domains = array_unique($domains); goto F1092; D5597: $domains = []; goto c0970; a40d2: $form->handleRequest($request); goto c80fd; E1e0e: goto E01e7; goto df819; dc187: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto bad3d; b0a94: goto D0685; goto fa4ff; E8635: $subdomain = false === empty($subdomain) ? $subdomain : null; goto be4de; da7b1: dabeb: goto ad3b7; df819: A90f6: goto d73a2; F1092: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto dfc8c; Ae446: $domains = [$domainName]; goto B659a; Cc80c: $domains = (array) $request->get("\144\x6f\155\x61\151\x6e\163"); goto dc187; d73a2: $domainName = $site->getDomainName(); goto Dc47e; ad3b7: ee517: goto D6114; A7201: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E8635; da177: E01e7: goto e6463; Ea8d7: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B71ef; B71ef: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto A7201; c80fd: if (!(true === $form->isSubmitted())) { goto ee517; } goto Cc80c; Dda19: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\x73")); goto E1e0e; Dc47e: $form = $this->createLetsEncryptCertificateForm($domainName); goto D5597; fa4ff: c460c: goto a40d2; c838b: return $response; goto da7b1; bad3d: $domains = array_map("\164\x72\x69\x6d", $domains); goto d456e; c0970: if (true === $request->isMethod("\x50\x4f\x53\124")) { goto c460c; } goto Ea8d7; bb6c9: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto ec281; e1e6f: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\x61\163\163" => "\142\164\156\40\142\164\156\55\142\154\165\x65\40\142\164\156\x2d\154\x67"], "\154\141\142\x65\154" => "\x43\x72\x65\x61\x74\x65\x20\141\156\144\40\x49\x6e\163\164\141\x6c\154"]); goto ef4c4; ec281: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\x5c\x53\x69\x74\145\114\x65\x74\163\x45\x6e\x63\x72\171\x70\164\x43\x65\162\164\x69\146\x69\143\x61\164\x65\x54\x79\160\145", [], ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\137\x73\151\164\145\x5f\154\145\164\163\137\145\156\x63\162\x79\x70\164\137\143\x65\162\x74\x69\x66\x69\x63\141\164\x65\137\156\145\x77", ["\x64\x6f\155\141\x69\156\x4e\141\155\x65" => $domainName]), "\x6d\145\x74\150\157\x64" => "\120\117\123\x54", "\141\x74\x74\162" => ["\x69\x64" => "\x63\x72\145\141\164\x65\x2d\x6c\145\x74\163\55\x65\156\x63\x72\171\x70\164\55\x63\x65\x72\x74\x69\x66\x69\x63\141\x74\145\x2d\x66\x6f\162\155"]]); goto e1e6f; ef4c4: return $form; goto e92f8; e92f8: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto C76f7; C76f7: if (!(true === $form->isValid())) { goto bc0a7; } goto d3737; a85f1: $this->formErrors = $this->getErrorMessages($form); goto B39f8; d3737: try { goto D9f48; C78d2: $csr = $csrGenerator->generate(); goto Ee100; A7515: $letsEncryptPrivateKey = $this->configManager->get("\154\x65\x5f\x70\x72\151\166\x61\x74\145\137\153\145\x79"); goto f06b4; E9e01: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\137\x63\145\162\164\x69\146\151\x63\x61\x74\x65\163", ["\x64\157\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto eba52; Ad1d1: $certificateEntity->setCsr($certificate->getCsr()); goto C94ce; f89a2: $siteUpdater = $this->getSiteUpdater($site); goto Cdde1; E96b7: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto dca13; b0877: c157e: goto Bffb1; a06c2: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\x3a\x20\x25\x73", $domain, $validationErrorMessage))); E904b: } goto b0877; B772b: $siteUpdater = $this->getSiteUpdater($site); goto b1494; d9105: $evenData = ["\x73\151\164\145" => $domainName]; goto d27e2; Cdde1: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto c73f5; C257d: a8660: goto b4c82; a4a38: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto f89a2; e9ae5: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\103\x65\x72\x74\151\146\151\x63\x61\x74\x65\40\x68\141\x73\x20\142\x65\x65\156\x20\151\156\163\164\141\x6c\x6c\x65\x64\x2e")); goto E9e01; f5d2f: $letsEncryptClient->setDryRun(true); goto b56dd; e6a10: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto b7816; b12c1: if (true === empty($validationErrors)) { goto E794c; } goto a06c2; F916a: E794c: goto Ae565; ba278: if (!(true === empty($validationErrors))) { goto cdbda; } goto D9f6f; Fe9cf: $siteUpdater = $this->getSiteUpdater($site); goto e6a10; E5ea3: $siteEntity = $this->getSiteEntity($domainName); goto a3148; f06b4: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto D963a; D963a: $letsEncryptClient = new LetsEncryptClient($privateKey); goto f5d2f; e88db: $letsEncryptClient->registerAccount(); goto a4a38; dca13: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C78d2; B0e11: $this->siteEntityManager->updateEntity($siteEntity); goto d9105; c6fb5: efd2d: goto Cacc6; Bffb1: goto a8660; goto F916a; eba52: return $response; goto C257d; F6f1e: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto B772b; f9801: $certificateEntity->setSite($siteEntity); goto Ad1d1; c73f5: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto D7ade; D7ade: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto fbf61; B9743: $commonName = array_shift($distinguishedNameDomains); goto D2a1e; D9f6f: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e88db; b56dd: $letsEncryptClient->registerAccount(); goto e5c06; ce4aa: $certificateEntity = $this->certificateEntityManager->createEntity(); goto E8b1f; Ee100: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto ce4aa; e0fc0: $rsaKeyGenerator = new RsaKeyGenerator(); goto E96b7; D2a1e: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto e0fc0; Dec4e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\x73")); goto Ec217; B09c6: $siteEntity->setCertificate($certificateEntity); goto f4e8c; b7816: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto A7516; d27e2: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto e9ae5; fbf61: cdbda: goto b12c1; E8b1f: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto f9801; fe246: $certificateEntity->setCertificate($certificate->getCertificate()); goto F6f1e; Cacc6: $user = $this->getUser(); goto A7515; Ae565: $distinguishedNameDomains = $domains; goto B9743; a3148: if (false === is_null($siteEntity)) { goto efd2d; } goto Dec4e; Ec217: return $response; goto dd47b; A7516: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto ba278; C94ce: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto fe246; e5c06: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Fe9cf; b1494: $siteUpdater->installCertificate($certificateEntity); goto B09c6; f4e8c: $siteEntity->addCertificate($certificateEntity); goto B0e11; dd47b: goto Db70c; goto c6fb5; D9f48: $session = $request->getSession(); goto Cca22; b4c82: Db70c: goto D69f1; Cca22: $domainName = $site->getDomainName(); goto E5ea3; D69f1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\156\40\145\162\x72\x6f\x72\40\x68\141\x73\x20\157\143\x63\x75\162\x72\x65\144\54\40\x65\162\x72\157\x72\x20\x6d\145\163\x73\141\147\x65\x3a\40\45\145\x72\162\157\x72\x4d\x65\163\163\141\147\145\x25", ["\45\x65\162\162\x6f\162\115\145\163\x73\141\147\x65\45" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto F0245; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); F0245: } goto Ab0ed; Ab0ed: bc0a7: goto a85f1; B39f8: } public function installCertificate(Request $request) : Response { goto D412a; Eeffd: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\145\x73")); goto E4143; E4143: return $response; goto F23b9; A786c: try { goto df75d; E56f6: $this->siteEntityManager->updateEntity($siteEntity); goto D2039; Cee8c: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\137\143\145\162\x74\x69\146\x69\x63\141\x74\145\x73", ["\x64\x6f\155\x61\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto F4943; b63de: $siteUpdater = $this->getSiteUpdater($site); goto f5512; D1fdd: $siteEntity = $this->getSiteEntity($domainName); goto E188b; De2ea: $session->getFlashBag()->set("\163\165\143\x63\145\x73\x73", $this->translator->trans("\x43\x65\x72\164\151\146\151\x63\x61\164\x65\40\x68\x61\x73\x20\x62\x65\x65\156\40\151\x6e\163\x74\141\x6c\154\145\x64\56")); goto Cee8c; E188b: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ee3b1; B1d53: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto A23bc; } goto C0334; C0334: $user = $this->getUser(); goto b63de; de487: $domainName = $site->getDomainName(); goto D1fdd; E8dfb: $siteEntity->setCertificate($certificateEntity); goto E56f6; A2834: $certificateSiteEntity = $certificateEntity->getSite(); goto B1d53; a4cf6: e6fbc: goto F4ffc; A5665: A23bc: goto a4cf6; db264: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto De2ea; d606a: $uid = $request->get("\165\151\x64"); goto de487; F4943: return $response; goto A5665; f5512: $siteUpdater->installCertificate($certificateEntity); goto E8dfb; df75d: $session = $request->getSession(); goto d606a; D2039: $evenData = ["\163\151\x74\145" => $domainName]; goto db264; ee3b1: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto e6fbc; } goto A2834; F4ffc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\157\162\x20\150\x61\163\40\157\x63\143\x75\x72\x72\145\144\54\40\145\162\162\x6f\162\40\x6d\x65\x73\x73\141\x67\x65\72\x20\45\x65\x72\x72\157\162\x4d\x65\x73\x73\141\x67\x65\x25", ["\x25\x65\x72\x72\157\162\x4d\145\163\x73\141\x67\145\x25" => $e->getMessage()])); } goto C9551; C9551: c4dba: goto Eeffd; D412a: $site = $this->getSite($request); goto D9083; D9083: if (!(false === is_null($site))) { goto c4dba; } goto A786c; F23b9: } public function deleteCertificate(Request $request) : Response { goto cab74; Ee379: fa276: goto E2548; f29d1: if (!(false === is_null($site))) { goto fa276; } goto ca298; cab74: $site = $this->getSite($request); goto e7d3b; E2548: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\163")); goto D4af8; D4af8: return $response; goto Bbc46; ca298: try { goto E34aa; df851: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\137\x63\145\162\164\151\146\151\143\141\x74\x65\163", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto D8a59; a1a9d: $session->getFlashBag()->set("\163\x75\143\143\x65\163\163", $this->translator->trans("\x43\x65\x72\x74\151\x66\151\143\x61\164\145\40\x68\x61\x73\x20\142\x65\145\156\x20\x64\x65\154\x65\x74\x65\x64\56")); goto df851; e1d65: $evenData = ["\x73\151\164\145" => $domainName]; goto Fdd48; D8a59: return $response; goto B26c9; d0371: $siteEntity = $this->getSiteEntity($domainName); goto Ded5c; f256f: $this->siteEntityManager->updateEntity($siteEntity); goto e1d65; B610a: $domainName = $site->getDomainName(); goto d0371; B26c9: A9159: goto Ce618; E70f0: $siteEntity->removeCertificate($certificateEntity); goto f256f; F3601: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto b0bc6; } goto B6afb; Ded5c: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto F3601; Fdd48: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto a1a9d; B6afb: $certificateSiteEntity = $certificateEntity->getSite(); goto ff9fc; fd97d: $user = $this->getUser(); goto E70f0; E34aa: $session = $request->getSession(); goto Bcb54; Bcb54: $uid = $request->get("\165\x69\x64"); goto B610a; Ce618: b0bc6: goto d64d3; ff9fc: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto A9159; } goto fd97d; d64d3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\145\162\162\x6f\162\x20\x68\141\x73\x20\157\x63\143\165\x72\162\x65\x64\x2c\40\145\x72\x72\x6f\162\x20\x6d\145\163\x73\x61\x67\145\x3a\x20\45\x65\162\162\x6f\162\x4d\145\x73\x73\141\x67\145\45", ["\x25\x65\x72\x72\x6f\x72\115\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto Ee379; e7d3b: $this->checkCsrfToken($request, "\143\x65\x72\x74\151\146\151\x63\x61\x74\x65\x2d\x64\145\x6c\145\164\x65"); goto f29d1; Bbc46: } public function databases(Request $request) : Response { goto A8bde; b2a06: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); ea385: } goto Fde6b; a8497: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x73")); goto Ee784; bfd10: $databases = $site->getDatabases(); goto D3bc3; Ee784: goto a507a; goto cbc68; A8bde: $site = $this->getSite($request); goto ad904; Fde6b: e81ef: goto Cd147; Da9eb: a507a: goto Ef5b3; c5cda: $numberOfDatabaseUsers = 0; goto b2a06; cbc68: f593e: goto bfd10; Ef5b3: return $response; goto dd8cb; D3bc3: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c5cda; ad904: if (false === is_null($site)) { goto f593e; } goto a8497; Cd147: $response = $this->render("\x46\x72\x6f\156\164\x65\x6e\x64\x2f\x53\x69\x74\145\57\x64\x61\x74\x61\x62\x61\163\145\x73\56\150\164\x6d\154\x2e\x74\167\151\147", ["\x73\151\x74\x65" => $site, "\144\141\x74\x61\142\141\x73\x65\x73" => $databases, "\156\x75\155\x62\145\x72\x4f\146\x44\141\x74\141\142\141\x73\145\x55\163\145\x72\163" => $numberOfDatabaseUsers, "\x64\x61\164\x61\142\x61\163\x65\x53\x65\x72\166\145\x72" => $databaseServerEntity]); goto Da9eb; dd8cb: } public function newDatabase(Request $request) : Response { goto a29e1; Ce1ef: if (!(true === $form->isSubmitted())) { goto Dca64; } goto D1a10; C85e1: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto cd576; } goto Ce7b2; f10a8: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x73")); goto B57dd; ab857: Dca64: goto cd9e4; e8e0b: if (false === is_null($site)) { goto bd273; } goto f10a8; f6418: $databaseEntity = $this->databaseEntityManager->createEntity(); goto Dd91a; Ce7b2: $form->handleRequest($request); goto Ce1ef; Dd91a: $databaseEntity->setSite($siteEntity); goto efa9c; Adb36: if (!(false === is_null($response))) { goto e9806; } goto E4657; b910f: e9806: goto ab857; E4657: return $response; goto b910f; D1a10: $response = $this->handleDatabaseForm($request, $form, $site); goto Adb36; e2003: $response = $this->render("\106\x72\157\156\x74\x65\156\x64\57\123\x69\x74\x65\x2f\156\x65\167\x2d\x64\x61\164\141\142\x61\163\145\56\150\164\155\154\56\x74\x77\x69\147", ["\163\151\164\x65" => $site, "\146\157\162\155" => $form->createView(), "\146\x6f\162\x6d\105\162\162\x6f\x72\163" => $this->formErrors]); goto cab7b; Eab53: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f6418; a29e1: $site = $this->getSite($request); goto e8e0b; cd9e4: cd576: goto e2003; b7235: bd273: goto Eab53; cab7b: f099b: goto e3ebf; efa9c: $form = $this->createDatabaseForm($site, $databaseEntity); goto C85e1; B57dd: goto f099b; goto b7235; e3ebf: return $response; goto cc193; cc193: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto F449d; F449d: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\155\134\x53\x69\x74\145\x44\141\164\141\142\x61\x73\145\x54\x79\x70\145", $databaseEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\163\x69\x74\145\x5f\x64\141\x74\x61\x62\141\163\145\x5f\x6e\x65\x77", ["\x64\157\155\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\x64" => "\120\117\123\x54", "\x61\164\164\x72" => []]); goto B16b4; A2ad1: return $form; goto d5beb; B16b4: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\141\163\163" => "\142\164\x6e\40\142\164\x6e\x2d\142\154\165\145\x20\x62\x74\156\x2d\x6c\147"], "\x6c\141\142\145\x6c" => "\101\144\144\40\104\141\164\141\142\141\x73\x65"]); goto A2ad1; d5beb: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto d02f7; Daa9b: goto B9916; goto C09aa; C2f78: try { goto ea9b9; f118f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Ba4d7; Cd3ae: $eventData = ["\x73\x69\x74\145" => $domainName, "\144\x61\164\x61\x62\x61\163\x65" => $databaseEntity->getName(), "\144\141\164\141\142\x61\163\x65\125\x73\x65\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName()]; goto Ffeae; c9915: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto e0df3; e0df3: $databaseUserEntity->setUserName($databaseUserName); goto b248b; bae96: A622c: goto A46d4; b920d: $databaseUserEntity->setDatabase($databaseEntity); goto Ac33a; Ef8cf: $databaseUserName = $form->get("\x75\163\x65\162\x4e\141\155\x65")->getData(); goto ed8fb; B6f9b: $databaseEntity = $form->getData(); goto Ab8f1; Ac33a: $databaseEntity->addUser($databaseUserEntity); goto Dba55; Ab8f1: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f118f; Ffeae: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto bbbbc; e9256: $session = $request->getSession(); goto b1318; b248b: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto c40a7; f61fe: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\x5f\144\141\164\141\x62\141\163\x65\137\x6e\x65\x77", ["\x64\157\155\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto D5db1; fd634: if (false === is_null($siteEntity)) { goto e0269; } goto f61fe; Dba55: $siteEntity->addDatabase($databaseEntity); goto d9fb2; A46d4: return $response; goto Bb660; D5db1: goto A622c; goto a9fc4; Bc80f: $siteEntity = $this->getSiteEntity($domainName); goto fd634; C7639: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\145\x5f\x64\x61\x74\x61\x62\141\x73\x65\x73", ["\144\157\x6d\141\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto bae96; b1318: $domainName = $site->getDomainName(); goto Bc80f; ed5da: $databaseManager->createUser($databaseUserEntity); goto Eb4ac; ea9b9: $user = $this->getUser(); goto e9256; Ba4d7: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto fa140; d9fb2: $databaseManager->createDatabase($databaseEntity); goto ed5da; ed8fb: $databaseUserPassword = $form->get("\x75\163\x65\x72\x50\141\163\163\167\x6f\162\144")->getData(); goto c9915; bbbbc: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\x73", $this->translator->trans("\104\x61\x74\x61\x62\x61\x73\145\x20\x68\141\163\40\142\x65\145\156\x20\141\x64\144\145\x64\x2e")); goto C7639; fa140: $databaseEntity->setSite($siteEntity); goto Ef8cf; a9fc4: e0269: goto B6f9b; c40a7: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto b920d; Eb4ac: $this->siteEntityManager->updateEntity($siteEntity); goto Cd3ae; Bb660: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\156\40\x65\162\x72\x6f\162\x20\x68\141\x73\40\x6f\x63\143\165\x72\x72\145\144\54\x20\145\162\162\157\x72\40\x6d\145\163\163\141\147\145\72\40\45\x65\162\162\x6f\x72\x4d\x65\x73\x73\x61\x67\145\45", ["\x25\x65\162\162\157\162\x4d\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto E20c9; C09aa: E70bc: goto C2f78; E20c9: B9916: goto A04ef; d02f7: if (true === $form->isValid()) { goto E70bc; } goto af469; af469: $this->formErrors = $this->getErrorMessages($form); goto Daa9b; A04ef: } public function deleteDatabase(Request $request) : Response { goto D3725; D3725: $site = $this->getSite($request); goto f3318; Fb314: C4fdb: goto ea892; ca6e7: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\163")); goto F5009; B1433: $databaseName = $request->get("\144\141\164\141\x62\x61\x73\145\116\141\x6d\x65"); goto F0183; F5009: return $response; goto ed71f; F0183: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Fbb32; d0ff1: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto C4fdb; } goto db670; Fbb32: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d0ff1; f3318: $this->checkCsrfToken($request, "\144\141\x74\x61\x62\x61\x73\x65\x2d\144\145\x6c\145\164\x65"); goto B6cae; db670: try { goto ad454; Efc45: $siteEntity->removeDatabase($databaseEntity); goto F1f58; cfe42: $databaseManager->deleteDatabase($databaseEntity, true); goto Efc45; e5466: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto D368b; D6177: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto D8c01; F1f58: $this->siteEntityManager->updateEntity($siteEntity); goto Dc29b; C7d10: $session = $request->getSession(); goto A8139; ad454: $user = $this->getUser(); goto C7d10; Dc29b: $eventData = ["\x73\x69\x74\145" => $domainName, "\x64\x61\x74\141\142\141\163\145" => $databaseEntity->getName()]; goto e5466; A8139: $domainName = $site->getDomainName(); goto D6177; D368b: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\x44\141\x74\x61\x62\141\x73\145\40\x68\x61\x73\x20\x62\145\145\x6e\40\144\x65\x6c\x65\x74\x65\144\x2e")); goto f9834; D8c01: $databaseManager = new DatabaseManager($databaseServerEntity); goto cfe42; f9834: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\x65\162\162\157\x72\x20\150\141\163\40\x6f\143\x63\x75\162\162\x65\144\x2c\40\x65\162\162\x6f\162\x20\x6d\x65\x73\163\141\147\x65\72\x20\x25\x65\162\x72\157\x72\115\x65\163\x73\x61\147\145\45", ["\x25\x65\x72\x72\157\162\x4d\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto ff02f; ff02f: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\137\x64\141\x74\x61\142\141\x73\x65\x73", ["\144\x6f\155\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto A33d6; ea892: b54ca: goto ca6e7; A33d6: return $response; goto Fb314; B6cae: if (!(false === is_null($site))) { goto b54ca; } goto B1433; ed71f: } public function phpMyAdmin(Request $request) : Response { goto a3155; c414f: C4880: goto E1aee; C70b6: if (!(false === is_null($site))) { goto bcbca; } goto B13c7; b1820: f4584: goto B5af6; bfe39: $response = new RedirectResponse($phpMyAdminUrl); goto bb26a; a3155: $domainName = $request->get("\x64\157\155\141\151\x6e\x4e\141\x6d\x65"); goto c4293; Ca6f7: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto C4880; } goto a8de8; a8de8: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ec6c9; bd2fe: bf8e7: goto c414f; ea4d5: if (!(false === is_null($activeDatabaseServerEntity))) { goto f4584; } goto F0751; E1aee: bcbca: goto e1c43; bb26a: $response->headers->clearCookie("\143\x6c\160\55\160\x6d\141"); goto C7df1; D0f95: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ea4d5; d2a8a: $site = $this->getSite($request); goto C70b6; cc534: $data = ["\150\157\163\164" => $activeDatabaseServerEntity->getHost(), "\165\x73\x65\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName(), "\160\141\163\x73\167\x6f\162\x64" => $databaseUserEntity->getDecryptedPassword(), "\x70\157\162\x74" => $activeDatabaseServerEntity->getPort()]; goto F1e0a; Ec6c9: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto bf8e7; } goto f3902; B13c7: $databaseUserName = $request->get("\x64\x61\164\141\x62\141\x73\145\125\163\145\x72\116\x61\155\x65"); goto eeefa; f3902: $phpMyAdminUrl = sprintf("\x68\164\164\160\163\72\x2f\x2f\x25\163\x3a\x25\163\x2f\160\x68\160\155\x79\141\144\x6d\151\156\x2f\154\x6f\147\x69\156\x2e\160\150\x70", $request->getHost(), $request->getPort()); goto cc534; b59b5: $data = ["\x68\x6f\x73\x74" => $activeDatabaseServerEntity->getHost(), "\160\157\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto C7c45; e1c43: E7776: goto Ffb55; ec949: $response = new RedirectResponse($phpMyAdminUrl); goto E7d79; B5af6: goto E7776; goto Fcf1d; D38d5: $response->headers->clearCookie("\x53\x69\x67\156\157\156\123\145\163\x73\151\x6f\x6e"); goto Fbddc; Fbddc: return $response; goto b1820; F0751: $phpMyAdminUrl = sprintf("\x68\x74\x74\160\163\x3a\x2f\x2f\45\x73\72\45\163\57\x70\150\x70\155\171\141\x64\x6d\x69\x6e\57\x6c\x6f\147\151\156\x2e\x70\150\160", $request->getHost(), $request->getPort()); goto b59b5; C2219: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ca6f7; c4293: $session = $request->getSession(); goto Ebea3; Fcf1d: ad204: goto d2a8a; C7c45: $session->set("\x63\154\x70\55\x70\155\x61", $data); goto bfe39; A9e89: $response->headers->clearCookie("\x70\x6d\141\101\165\164\x68\55\61\x5f\150\x74\164\160\x73"); goto D38d5; eeefa: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto C2219; Ebea3: if (false === is_null($domainName)) { goto ad204; } goto D0f95; C7df1: $response->headers->clearCookie("\160\150\160\x4d\x79\x41\144\155\x69\x6e\x5f\150\164\x74\x70\x73"); goto A9e89; f5b9c: return $response; goto b49f4; Ffb55: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\x73")); goto f5b9c; F1e0a: $session->set("\143\154\x70\x2d\160\155\141", $data); goto ec949; E7d79: return $response; goto bd2fe; b49f4: } public function phpMyAdminLogout(Request $request) { goto e8bb2; A9169: return $response; goto F3e7f; Bdc73: $response->headers->clearCookie("\160\150\x70\115\171\101\x64\155\x69\x6e\137\150\164\164\160\163"); goto C70ca; c279d: $response->headers->clearCookie("\x53\151\147\x6e\x6f\x6e\123\145\163\163\x69\x6f\156"); goto A9169; C70ca: $response->headers->clearCookie("\160\x6d\141\101\x75\164\150\x2d\x31\137\150\x74\164\x70\x73"); goto c279d; A6a76: $response->headers->clearCookie("\x63\154\160\x2d\x70\155\x61"); goto Bdc73; e8bb2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\145\163")); goto A6a76; F3e7f: } public function newDatabaseUser(Request $request) : Response { goto a6442; E6764: $domainName = $site->getDomainName(); goto Ece7f; f9487: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto f8752; } goto b00d9; Ec3e9: $response = $this->render("\x46\162\x6f\156\x74\x65\156\x64\57\123\x69\164\145\57\156\145\x77\x2d\x64\x61\164\141\142\141\x73\145\x2d\x75\x73\x65\162\56\150\x74\155\154\x2e\x74\167\x69\x67", ["\x73\x69\x74\x65" => $site, "\x64\x61\x74\141\x62\x61\163\145\125\x73\x65\162" => $databaseUserEntity, "\x64\x61\164\141\x62\x61\x73\x65\163" => $databases, "\x66\x6f\162\x6d" => $form->createView(), "\x66\157\x72\155\105\162\x72\157\x72\x73" => $this->formErrors]); goto aa4a4; c1f0c: B7477: goto b9f70; Bf6dd: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\163")); goto e0eb7; E1509: if (count($databases) && false === is_null($siteEntity)) { goto C4a10; } goto D895d; Fe61d: f8752: goto Ec3e9; Ddcb4: if (!(true === $form->isSubmitted())) { goto C3ebe; } goto f3bb3; e292f: abf43: goto e5481; Ece7f: $siteEntity = $this->getSiteEntity($domainName); goto E1509; A234b: C4a10: goto bf792; e5481: return $response; goto dc5e7; b00d9: $form->handleRequest($request); goto Ddcb4; e0eb7: goto abf43; goto c1f0c; E147f: return $response; goto d00cb; bf792: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto A6615; f3bb3: $response = $this->handleDatabaseUserForm($request, $form, $site); goto E9f35; D10ce: $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x4e\157\40\x64\141\164\141\142\141\x73\145\x20\146\x6f\x75\x6e\x64\x3b\x20\x63\x72\x65\141\x74\145\x20\x61\40\x64\x61\164\141\x62\141\x73\145\x20\146\151\x72\x73\x74\x2e")); goto B6745; F5cf3: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto f9487; B0cf3: goto Ac086; goto A234b; aa4a4: Ac086: goto e292f; A6615: $databaseUserEntity->setSite($siteEntity); goto F5cf3; d00cb: B5785: goto c4a3f; Ccde6: if (false === is_null($site)) { goto B7477; } goto Bf6dd; c4a3f: C3ebe: goto Fe61d; a6442: $site = $this->getSite($request); goto Ccde6; D895d: $session = $request->getSession(); goto D10ce; b9f70: $databases = $site->getDatabases(); goto E6764; E9f35: if (!(false === is_null($response))) { goto B5785; } goto E147f; B6745: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\137\x64\141\x74\x61\x62\141\x73\x65\163", ["\144\x6f\155\141\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto B0cf3; dc5e7: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto d37c2; f9c2e: return $form; goto Ec1d4; d37c2: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\x72\155\x5c\x53\151\164\145\x44\x61\x74\141\142\141\163\145\125\163\x65\162\x54\171\160\x65", $databaseUserEntity, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\163\151\x74\145\137\x64\x61\x74\x61\142\x61\x73\145\x5f\165\163\145\x72\x5f\x6e\x65\x77", ["\144\x6f\155\141\x69\156\116\x61\155\x65" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\144" => "\x50\x4f\x53\x54", "\141\x74\164\x72" => []]); goto Bb9a6; Bb9a6: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\162" => ["\143\154\141\163\x73" => "\x62\x74\x6e\40\142\164\156\55\x62\154\165\145\40\x62\x74\156\55\x6c\147"], "\154\141\142\145\154" => "\x41\x64\x64\x20\x44\141\x74\x61\x62\141\163\x65\40\x55\163\x65\162"]); goto f9c2e; Ec1d4: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto Ed9d0; D48ed: D7301: goto a1151; E29d4: try { goto F69f6; Da600: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Efceb; Eddbf: $databaseManager->createUser($databaseUserEntity); goto Da600; C1f07: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\x44\141\x74\141\x62\x61\163\x65\40\125\163\x65\x72\x20\150\x61\163\x20\x62\145\145\156\x20\x61\144\x64\145\x64\56")); goto A7319; e0b60: $databaseUserEntity = $form->getData(); goto d51cc; C78f3: $databaseName = $databaseEntity->getName(); goto Bfa5e; Bfa5e: $eventData = ["\163\151\164\145" => $domainName, "\144\141\164\x61\x62\x61\x73\x65\125\x73\x65\x72\x4e\x61\155\x65" => $databaseUserEntity->getUserName(), "\160\145\x72\x6d\x69\x73\x73\x69\157\156\x73" => $databaseUserEntity->getPermissions(), "\144\x61\164\x61\x62\141\x73\145" => $databaseName]; goto bea73; Affe9: $databaseUserEntity->setPassword($encryptedPassword); goto d1260; e077c: goto Dadda; goto fa8ae; d12cc: $siteEntity = $this->getSiteEntity($domainName); goto A8fc4; d1260: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d06d1; dc1bf: Dadda: goto b867a; A7319: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x5f\144\141\x74\141\142\x61\x73\145\163", ["\x64\157\155\141\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto dc1bf; A6a5c: $session = $request->getSession(); goto bbb97; A8fc4: if (false === is_null($siteEntity)) { goto e420f; } goto d2eab; Efceb: $databaseEntity = $databaseUserEntity->getDatabase(); goto C78f3; d06d1: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Eddbf; fa8ae: e420f: goto e0b60; b867a: return $response; goto ce920; F69f6: $user = $this->getUser(); goto A6a5c; bea73: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto C1f07; d2eab: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x5f\144\x61\164\141\x62\x61\163\145\137\165\163\x65\162\x5f\156\x65\x77", ["\x64\157\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto e077c; d51cc: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Affe9; bbb97: $domainName = $site->getDomainName(); goto d12cc; ce920: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\x72\x20\150\x61\163\x20\157\143\143\165\x72\162\145\x64\x2c\40\x65\x72\x72\157\x72\x20\x6d\145\163\x73\141\147\145\x3a\x20\x25\145\x72\x72\157\162\115\x65\x73\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\157\x72\115\x65\163\163\141\147\145\x25" => $e->getMessage()])); } goto D48ed; Ebf2c: $this->formErrors = $this->getErrorMessages($form); goto ebeb7; ebeb7: goto D7301; goto a7822; Ed9d0: if (true === $form->isValid()) { goto C57cf; } goto Ebf2c; a7822: C57cf: goto E29d4; a1151: } public function editDatabaseUser(Request $request) : Response { goto a2bed; E48c4: goto b0bf4; goto b302c; a6215: $response = $this->render("\106\162\157\156\164\x65\156\144\57\123\151\x74\145\x2f\x65\x64\151\164\55\144\141\164\141\142\x61\163\145\55\165\x73\x65\162\56\x68\x74\155\x6c\56\164\x77\151\x67", ["\163\x69\x74\145" => $site, "\x64\141\164\x61\x62\x61\x73\145\125\163\x65\162" => $databaseUserEntity, "\x66\x6f\x72\x6d" => $form->createView(), "\146\157\x72\x6d\x45\162\162\x6f\x72\163" => $this->formErrors]); goto C1a47; Eb528: fafcf: goto D70da; Df133: if (count($databases) && false === is_null($siteEntity)) { goto Eb6fb; } goto Df709; C3f20: $databaseUserName = $request->get("\x64\141\164\x61\x62\141\x73\x65\x55\x73\x65\x72\116\141\155\145"); goto a2a56; C1a47: A24c7: goto B7f02; D2770: $databases = $site->getDatabases(); goto A5b7c; d55c1: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto a8d07; fa61d: $siteEntity = $this->getSiteEntity($domainName); goto Df133; D8ed3: $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\116\157\x20\x64\141\x74\x61\142\141\x73\145\40\146\157\165\156\144\x3b\40\x63\x72\145\141\x74\x65\40\x61\x20\144\141\x74\141\142\x61\x73\145\40\x66\151\162\163\x74\56")); goto B91b5; ebaf7: a4208: goto C09c0; B296c: da75e: goto a6215; C09c0: return $response; goto Acfc6; F0bc5: F6829: goto D2770; D70da: B0aab: goto B296c; B7f02: b0bf4: goto ebaf7; Df709: $session = $request->getSession(); goto D8ed3; f817f: if (!(false === is_null($databaseUserEntity))) { goto A24c7; } goto bc4e8; e9477: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto da75e; } goto Bd78e; B91b5: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\137\x64\141\x74\141\142\x61\x73\x65\x73", ["\144\157\x6d\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto E48c4; e5b71: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\145\163")); goto eec1e; b302c: Eb6fb: goto C3f20; a6fae: if (false === is_null($site)) { goto F6829; } goto e5b71; a2bed: $site = $this->getSite($request); goto a6fae; a8d07: if (!(false === is_null($response))) { goto fafcf; } goto C4cf2; a2a56: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto f817f; C4cf2: return $response; goto Eb528; A5b7c: $domainName = $site->getDomainName(); goto fa61d; C0259: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto e9477; Cf0d4: if (!(true === $form->isSubmitted())) { goto B0aab; } goto d55c1; Bd78e: $form->handleRequest($request); goto Cf0d4; eec1e: goto a4208; goto F0bc5; bc4e8: $databaseUserEntity->setPassword(''); goto C0259; Acfc6: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto c1c62; b9c31: return $form; goto c354d; Da42d: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\163\x73" => "\142\164\x6e\40\142\164\x6e\55\142\154\x75\145\40\x62\x74\x6e\x2d\154\x67"], "\154\141\142\145\154" => "\123\x61\x76\x65"]); goto b9c31; c1c62: $form = $this->createForm("\x41\x70\160\134\106\x6f\x72\155\134\x53\x69\x74\x65\x44\x61\x74\141\x62\x61\163\x65\x55\163\x65\162\x45\144\x69\x74\x54\171\160\x65", $databaseUserEntity, ["\141\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\x65\137\144\x61\x74\x61\142\x61\x73\145\137\165\163\145\162\x5f\x65\144\151\164", ["\x64\x6f\x6d\141\151\156\116\x61\x6d\x65" => $site->getDomainName(), "\x64\x61\x74\141\x62\x61\x73\145\125\163\x65\162\116\141\x6d\145" => $databaseUserEntity->getUserName()]), "\x6d\x65\x74\150\x6f\144" => "\120\117\123\124", "\x61\164\164\x72" => []]); goto Da42d; c354d: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto Af00a; Ef4e7: goto Cab8a; goto de856; Af00a: if (true === $form->isValid()) { goto d454b; } goto ad2e7; Dbb3a: try { goto e662a; c44b9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\137\x64\141\164\x61\142\141\x73\145\x73", ["\144\157\x6d\141\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto ba629; d4165: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto F3fc5; f931b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D01c2; d03ac: $domainName = $site->getDomainName(); goto e78b0; ee10c: $databaseUserEntity = $form->getData(); goto ac47c; e662a: $user = $this->getUser(); goto A1081; b9e51: $databaseManager->createUser($databaseUserEntity); goto d4165; ba629: Ab673: goto Aae2f; e78b0: $siteEntity = $this->getSiteEntity($domainName); goto c7c1a; c9780: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\x5f\144\141\164\x61\142\141\163\145\137\165\163\145\162\x5f\x6e\x65\167", ["\x64\x6f\x6d\141\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto b6676; F3fc5: $databaseEntity = $databaseUserEntity->getDatabase(); goto a9a0a; D01c2: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto b9e51; E8cbf: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\x44\x61\164\141\142\141\x73\x65\x20\125\x73\145\x72\40\150\x61\x73\40\x62\x65\145\156\x20\x75\x70\x64\141\164\x65\x64\x2e")); goto c44b9; Aae2f: return $response; goto f2297; c7c1a: if (false === is_null($siteEntity)) { goto c9663; } goto c9780; A1081: $session = $request->getSession(); goto d03ac; f4bf5: $databaseUserEntity->setPassword($encryptedPassword); goto f931b; e986c: $eventData = ["\x73\151\x74\145" => $domainName, "\144\x61\x74\x61\142\141\x73\145\x55\x73\145\x72\x4e\141\155\x65" => $databaseUserEntity->getUserName(), "\x70\145\x72\155\x69\x73\x73\x69\x6f\x6e\163" => $databaseUserEntity->getPermissions(), "\144\x61\x74\141\x62\x61\x73\x65" => $databaseName]; goto e2b0a; e2b0a: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto E8cbf; a9a0a: $databaseName = $databaseEntity->getName(); goto e986c; b6676: goto Ab673; goto F237d; F237d: c9663: goto ee10c; ac47c: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto f4bf5; f2297: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\157\162\40\x68\141\x73\x20\157\143\x63\165\x72\x72\x65\x64\54\x20\x65\x72\162\x6f\162\40\155\x65\x73\163\x61\147\x65\72\40\x25\145\x72\x72\157\162\x4d\x65\x73\163\141\147\145\x25", ["\x25\x65\162\162\157\162\115\145\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto Cdb3f; ad2e7: $this->formErrors = $this->getErrorMessages($form); goto Ef4e7; de856: d454b: goto Dbb3a; Cdb3f: Cab8a: goto b3746; b3746: } public function deleteDatabaseUser(Request $request) : Response { goto Aa71d; e5167: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\x5f\x64\141\164\x61\x62\141\163\145\x73", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto ac59d; Ad6de: C80bb: goto Ed5d8; Ed5d8: f0281: goto e1cc9; Cd7ac: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto afa93; b576b: $databaseUserName = $request->get("\x64\141\x74\x61\142\141\163\x65\x55\x73\145\162\116\x61\155\145"); goto Cd7ac; afa93: if (!(false === is_null($databaseUserEntity))) { goto C80bb; } goto bb9db; c08f0: $this->checkCsrfToken($request, "\x64\141\164\x61\142\x61\x73\145\55\165\x73\145\x72\55\x64\145\x6c\x65\x74\x65"); goto E8b02; ac59d: return $response; goto Ad6de; E8b02: if (!(false === is_null($site))) { goto f0281; } goto b576b; Aa71d: $site = $this->getSite($request); goto c08f0; e1cc9: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\163")); goto C41a7; bb9db: try { goto Ed45a; Ea450: d35c8: goto ebe43; d3132: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto Ea450; f5892: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\x44\x61\x74\141\142\x61\163\x65\40\125\x73\x65\x72\x20\x68\141\x73\40\142\x65\145\x6e\40\144\x65\x6c\x65\164\x65\x64\56")); goto Cc13b; a1659: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto d35c8; } goto Fe0ab; Fe0ab: $user = $this->getUser(); goto Af82e; Ed301: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F7f9f; c1dbb: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto f5892; Af82e: $domainName = $site->getDomainName(); goto eb527; Ed45a: $databaseEntity = $databaseUserEntity->getDatabase(); goto a1659; d730b: $databaseManager->deleteUser($databaseUserEntity); goto c1dbb; eb527: $session = $request->getSession(); goto Ed301; F7f9f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto d730b; Cc13b: $eventData = ["\x73\x69\x74\x65" => $domainName, "\144\x61\164\x61\142\141\x73\x65\x55\163\x65\x72\x4e\141\x6d\x65" => $databaseUserName]; goto d3132; ebe43: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\x41\x6e\40\145\162\x72\157\x72\x20\x68\141\x73\40\x6f\x63\x63\165\x72\x72\x65\x64\54\40\145\x72\x72\157\x72\x20\155\145\x73\x73\141\147\x65\x3a\x20\x25\x65\162\162\157\162\x4d\x65\163\x73\141\x67\x65\x25", ["\x25\145\x72\x72\x6f\x72\115\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto e5167; C41a7: return $response; goto C83f7; C83f7: } public function varnishCache(Request $request) : Response { goto f81d2; eabe0: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto A0d8c; a5aca: $varnishCacheSettingsData = ["\x69\163\x45\x6e\141\142\x6c\x65\144" => true === isset($varnishCacheSettings["\145\x6e\x61\142\154\145\144"]) && true === $varnishCacheSettings["\145\156\x61\x62\x6c\x65\144"] ? true : false, "\163\145\162\x76\145\162" => true === isset($varnishCacheSettings["\163\x65\x72\x76\x65\162"]) ? $varnishCacheSettings["\x73\145\162\166\x65\162"] : "\x31\62\x37\56\x30\56\x30\x2e\61\72\66\60\70\x31", "\143\141\x63\x68\x65\124\x61\x67\120\162\145\x66\151\170" => true === isset($varnishCacheSettings["\x63\141\143\x68\145\124\x61\147\x50\x72\145\x66\151\x78"]) ? $varnishCacheSettings["\x63\141\143\x68\x65\x54\141\147\120\162\145\x66\151\x78"] : substr(md5(time()), 0, 4), "\x63\141\x63\150\x65\114\x69\146\x65\164\151\155\145" => true === isset($varnishCacheSettings["\143\x61\x63\x68\145\x4c\151\146\x65\164\x69\x6d\145"]) ? $varnishCacheSettings["\x63\x61\x63\150\x65\x4c\x69\x66\x65\x74\x69\155\145"] : "\x36\60\64\x38\x30\x30", "\145\x78\143\x6c\165\x64\145\x64\120\141\162\x61\x6d\x73" => true === isset($varnishCacheSettings["\x65\170\x63\x6c\165\144\x65\x64\120\x61\x72\141\155\x73"]) ? implode("\x2c", $varnishCacheSettings["\145\170\143\x6c\x75\144\145\x64\x50\141\162\141\x6d\163"]) : "\x5f\137\123\111\x44\x2c\x6e\x6f\x43\141\x63\x68\145\x2c", "\145\170\x63\x6c\x75\144\x65\163" => true === isset($varnishCacheSettings["\145\170\143\x6c\165\144\x65\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\170\143\154\x75\144\145\163"]) : '']; goto fd78c; f81d2: $site = $this->getSite($request); goto d63f6; B613e: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto a5aca; D732b: if (!(false === is_null($response))) { goto Bc185; } goto bff7e; bff7e: return $response; goto a2af3; Cce26: return $response; goto e6628; D9c74: Eb093: goto Bb4f1; b6896: return $response; goto b2706; fd4a8: F6182: goto C609a; Ec542: goto f536e; goto E610e; Bb4f1: c7500: goto Ea746; E8cb7: if (!(false === is_null($response))) { goto c0bff; } goto b6896; E610e: C1876: goto B613e; Cfe7c: $settingsForm->handleRequest($request); goto E3886; b2706: c0bff: goto D9c74; a2af3: Bc185: goto fd4a8; b39d2: f536e: goto Cce26; d63f6: if (false === is_null($site) && true === $site->getVarnishCache()) { goto C1876; } goto c0d33; f7546: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto E8cb7; c0d33: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\145\163")); goto Ec542; C609a: if (!(true === $purgeCacheForm->isSubmitted())) { goto Eb093; } goto f7546; E8d65: if (!(true === $settingsForm->isSubmitted())) { goto F6182; } goto B105b; Ea746: $response = $this->render("\106\x72\x6f\156\x74\x65\x6e\144\x2f\x53\151\164\145\x2f\166\x61\162\x6e\x69\163\x68\x2d\x63\x61\143\150\145\x2e\x68\164\155\x6c\56\164\167\x69\147", ["\163\151\164\x65" => $site, "\163\x65\164\164\151\x6e\x67\163\106\157\x72\x6d" => $settingsForm->createView(), "\x70\165\162\147\145\x43\x61\x63\150\x65\x46\x6f\x72\155" => $purgeCacheForm->createView(), "\146\157\162\x6d\x45\162\162\157\x72\x73" => $this->formErrors]); goto b39d2; fd78c: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto eabe0; B105b: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto D732b; A0d8c: if (!(true === $request->isMethod("\120\117\123\124"))) { goto c7500; } goto Cfe7c; E3886: $purgeCacheForm->handleRequest($request); goto E8d65; e6628: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto E031b; E031b: $form = $this->createForm("\x41\x70\x70\x5c\106\x6f\x72\x6d\x5c\x53\151\x74\x65\126\x61\162\156\151\x73\150\x43\x61\143\150\145\x53\145\164\164\x69\x6e\147\163\x54\x79\x70\145", $data, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x5f\166\x61\x72\x6e\151\163\150\x5f\x63\141\x63\150\x65", ["\x64\x6f\155\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\x68\x6f\x64" => "\120\117\123\124", "\x61\164\164\162" => []]); goto Fe7e5; Fe7e5: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\141\163\163" => "\x62\x74\x6e\x20\x62\x74\156\55\142\154\x75\145\x20\x62\x74\x6e\x2d\154\x67"], "\x6c\141\x62\145\x6c" => "\123\x61\x76\145"]); goto E4571; E4571: return $form; goto b13bb; b13bb: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto F4e57; a24c5: return $form; goto c0eae; F4e57: $form = $this->createForm("\x41\160\x70\134\106\157\162\x6d\x5c\123\x69\x74\145\126\141\162\156\151\x73\150\103\x61\x63\150\145\x50\165\162\x67\145\x43\141\143\x68\x65\x54\x79\160\145", ["\x73\x69\164\145" => $site], ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\137\x76\x61\x72\x6e\x69\x73\x68\x5f\x63\x61\x63\150\145", ["\144\157\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\x64" => "\x50\117\x53\x54", "\x61\164\164\x72" => []]); goto D8b7b; D8b7b: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\x61\x73\163" => "\142\164\156\40\x62\x74\156\x2d\142\154\165\145\x20\x62\164\156\55\154\147"], "\154\141\142\145\x6c" => "\120\x75\x72\x67\x65\x20\x43\141\143\x68\145"]); goto a24c5; c0eae: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto ef307; a9549: $this->formErrors = $this->getErrorMessages($form); goto a39a5; B075c: ff8c1: goto fa1dc; Ef283: C1867: goto ff965; a39a5: goto ff8c1; goto Ef283; ef307: if (true === $form->isValid()) { goto C1867; } goto a9549; ff965: try { goto dfca9; fdd2a: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto aee4e; F932b: $user = $this->getUser(); goto eb3ac; a806f: if (false === is_null($siteEntity)) { goto dd238; } goto Da3c4; e496a: $varnishCacheSettings = ["\x65\x6e\141\142\x6c\145\x64" => $isEnabled, "\x73\145\162\x76\x65\x72" => $server, "\x63\x61\143\150\x65\124\x61\147\120\x72\145\146\x69\x78" => $cacheTagPrefix, "\x63\x61\143\150\145\114\151\146\145\164\x69\x6d\x65" => $cacheLifetime, "\x65\x78\x63\x6c\165\x64\145\x73" => $excludes, "\x65\170\x63\x6c\165\x64\x65\144\120\x61\162\x61\155\163" => $excludedParams]; goto E996e; aee4e: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\x73", $this->translator->trans("\x56\141\162\156\151\163\150\40\103\x61\x63\x68\145\x20\123\145\x74\x74\151\156\147\x73\x20\150\141\x76\145\x20\142\145\145\x6e\40\163\141\166\145\x64\56")); goto d2e08; b3c72: $excludes = array_map("\x74\x72\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\x78\143\154\165\144\145\163")->getData())))); goto e496a; C3b3c: $domainName = $site->getDomainName(); goto A851c; ea018: $excludedParams = array_map("\x74\162\x69\155", array_filter(explode("\54", trim($form->get("\x65\170\143\x6c\x75\x64\145\144\120\141\162\x61\155\163")->getData())))); goto b3c72; d2e08: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x5f\166\x61\162\x6e\x69\163\x68\137\x63\x61\143\150\x65", ["\x64\157\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto c8de6; dfca9: $session = $request->getSession(); goto C3b3c; E996e: $site->setVarnishCacheSettings($varnishCacheSettings); goto d038d; eb3ac: $isEnabled = $form->get("\151\163\x45\156\141\x62\154\145\144")->getData(); goto Ced6a; d038d: $siteUpdater = $this->getSiteUpdater($site); goto D0f53; Faff6: $cacheTagPrefix = $form->get("\x63\x61\143\150\145\124\141\x67\120\162\145\146\151\x78")->getData(); goto ea018; Da3c4: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\163")); goto b56e0; a0692: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x76\x61\x72\156\151\x73\150\103\141\143\150\x65\105\x6e\141\142\x6c\145\x64" => $isEnabled, "\163\145\x72\x76\145\x72" => $server, "\x63\141\143\150\x65\x54\141\147\x50\x72\145\146\x69\x78" => $cacheTagPrefix, "\x63\141\x63\x68\x65\114\151\146\x65\164\151\x6d\x65" => $cacheLifetime, "\x65\x78\143\154\165\144\145\x73" => $excludes, "\x65\170\x63\x6c\165\x64\145\144\x50\x61\x72\141\155\x73" => $excludedParams]; goto fdd2a; cad58: return $response; goto e3180; C4b3d: $cacheLifetime = $form->get("\x63\141\x63\x68\x65\114\151\146\x65\x74\x69\155\x65")->getData(); goto Faff6; c63e4: dd238: goto F932b; A851c: $siteEntity = $this->getSiteEntity($domainName); goto a806f; b56e0: goto D890d; goto c63e4; D0f53: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto Dd8bd; Ced6a: $server = $form->get("\x73\x65\x72\x76\x65\162")->getData(); goto C4b3d; c8de6: D890d: goto cad58; Dd8bd: $siteUpdater->phpSettings(); goto a0692; e3180: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\x72\40\150\x61\x73\40\x6f\143\x63\165\162\162\145\144\x2c\40\145\162\x72\157\x72\x20\155\x65\x73\x73\x61\147\x65\72\40\x25\x65\x72\x72\x6f\x72\x4d\x65\163\163\141\x67\x65\45", ["\x25\145\x72\x72\157\x72\x4d\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto B075c; fa1dc: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto d4109; Cc311: try { goto Cb2e0; ba1cb: e4009: goto Cd7b6; ace08: if (false === is_null($siteEntity)) { goto e4009; } goto c6731; cac87: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto D7ebe; e1179: $varnishCacheClient = new VarnishCacheClient(); goto Bb521; Bb521: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\x72\x76\145\162"]); goto b6b80; Fe3a0: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\x5f\x76\141\x72\x6e\x69\x73\150\137\x63\x61\143\150\x65", ["\144\x6f\155\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto d3579; b6b80: foreach ($purgeValues as $purgeValue) { goto D3ab9; D5299: caff9: goto e996c; b51a6: if (true === str_starts_with($purgeValue, "\150\x74\164\160")) { goto ffe7c; } goto C95d7; b8107: $varnishCacheClient->purgeUrl($purgeValue); goto f5a6f; Dc6c2: ffe7c: goto b8107; e3836: if (!(false === empty($purgeValue))) { goto Daf68; } goto b51a6; C9e06: goto a016b; goto Dc6c2; C95d7: $varnishCacheClient->purgeTag($purgeValue); goto C9e06; f5a6f: a016b: goto b591b; D3ab9: $purgeValue = trim($purgeValue); goto e3836; b591b: Daf68: goto D5299; e996c: } goto B91eb; B91eb: F9138: goto Cd000; F1d81: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\126\x61\162\x6e\x69\163\150\40\103\141\x63\150\145\x20\x68\141\163\x20\x62\145\x65\x6e\x20\160\165\162\147\x65\x64\x2e")); goto Fe3a0; Cd7b6: $user = $this->getUser(); goto cac87; a9d6b: $domainName = $site->getDomainName(); goto E6b1f; E25ff: goto Cf62b; goto f03e1; D7ebe: $purgeValues = array_map("\164\162\151\155", array_filter(explode("\54", trim($form->get("\166\x61\x6c\165\x65")->getData())))); goto D3226; f03e1: d85e4: goto e1179; f630c: goto Ba1da; goto ba1cb; d0483: $eventData = ["\163\151\x74\x65" => $domainName, "\x76\141\154\x75\145\163" => implode("\x2c", $purgeValues)]; goto C6eef; c6731: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\145\163")); goto f630c; D3226: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\x65\162\x76\145\x72"]) && false === empty($varnishCacheSettings["\x73\145\x72\x76\145\162"])) { goto d85e4; } goto C1421; C6eef: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto F1d81; E6b1f: $siteEntity = $this->getSiteEntity($domainName); goto ace08; e0d4f: return $response; goto d8734; Cd000: Cf62b: goto d0483; C1421: throw new \Exception("\126\141\x72\x6e\x69\163\x68\x20\103\x61\x63\150\145\40\x53\x65\164\164\x69\x6e\x67\163\40\x63\141\x6e\156\x6f\164\40\142\x65\x20\145\x6d\160\x74\x79\x2e"); goto E25ff; Cb2e0: $session = $request->getSession(); goto a9d6b; d3579: Ba1da: goto e0d4f; d8734: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\40\x68\141\163\x20\157\x63\143\x75\162\x72\x65\144\x2c\40\145\162\162\x6f\x72\x20\155\145\x73\x73\x61\147\x65\x3a\40\45\x65\162\162\x6f\x72\115\x65\163\x73\x61\x67\145\x25", ["\45\x65\x72\162\157\x72\115\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto a6db5; d4109: if (true === $form->isValid()) { goto e6519; } goto E8483; Fcee2: goto a1dfd; goto Fad00; a6db5: a1dfd: goto bce1d; Fad00: e6519: goto Cc311; E8483: $this->formErrors = $this->getErrorMessages($form); goto Fcee2; bce1d: } public function purgeVarnishCache(Request $request) : Response { goto A40ee; ba373: return $response; goto A4bb0; ac40b: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\x65\163")); goto B9fe1; fcaae: return $response; goto a0998; A6959: if (false === is_null($site)) { goto F56be; } goto ac40b; c5ae9: F56be: goto b4652; a0998: cf95b: goto ba373; b4652: try { goto fdfdb; C6f1d: $varnishCacheClient->purgeHost($domainName); goto f32b8; A73a5: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\x72\166\145\x72"]); goto Fed8a; B3f69: if (!(true === isset($varnishCacheSettings["\163\145\x72\x76\x65\x72"]) && true === isset($varnishCacheSettings["\143\x61\143\150\145\x54\141\x67\x50\x72\145\146\151\170"]) && false === empty($varnishCacheSettings["\x63\141\143\x68\145\124\141\147\120\x72\145\146\x69\x78"]))) { goto a9eaf; } goto dec86; fdfdb: $user = $this->getUser(); goto c1aac; dec86: $cacheTagPrefix = $varnishCacheSettings["\x63\141\143\150\145\x54\x61\x67\120\162\145\x66\151\x78"]; goto Ff06f; c1aac: $session = $request->getSession(); goto b2744; c0c31: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x70\165\x72\147\145" => "\x66\x75\154\154"]; goto E1765; A9c1b: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\x56\141\162\x6e\151\x73\150\40\103\141\x63\150\145\40\150\141\x73\x20\x62\145\145\156\40\x70\165\x72\147\x65\144\x2e")); goto Aab4a; Fed8a: $varnishCacheClient->purgeTag($cacheTagPrefix); goto C6f1d; E1765: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto A9c1b; f2c35: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto B3f69; f32b8: a9eaf: goto c0c31; Ff06f: $varnishCacheClient = new VarnishCacheClient(); goto A73a5; b2744: $domainName = $site->getDomainName(); goto f2c35; Aab4a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\157\162\x20\150\141\x73\x20\x6f\x63\x63\x75\x72\x72\x65\x64\54\40\145\x72\x72\157\162\40\155\x65\x73\x73\x61\x67\145\72\x20\x25\145\162\162\157\162\115\145\x73\163\x61\147\145\x25", ["\45\x65\x72\162\x6f\162\115\145\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto Fda74; Fda74: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\x65\x5f\166\x61\162\x6e\x69\x73\150\x5f\143\141\143\x68\x65", ["\144\157\155\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto fcaae; A40ee: $site = $this->getSite($request); goto A6959; B9fe1: goto cf95b; goto c5ae9; A4bb0: } public function vhost(Request $request) : Response { goto B0755; Cf16b: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto Dfda1; ad882: D4abb: goto ab012; E423a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\x65\163")); goto D9d96; eb0ed: b1a32: goto e72cc; A607f: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto b8851; } goto eed83; B9769: $response = $this->render("\x46\162\157\156\x74\145\x6e\x64\x2f\x53\151\164\145\x2f\166\x68\x6f\x73\164\x2e\150\164\x6d\x6c\x2e\164\167\x69\147", ["\x73\151\x74\145" => $site]); goto ad882; f0c0b: b8049: goto e8ac5; E29ca: if (!(false === is_null($response))) { goto b8049; } goto d686c; e72cc: $vhostTemplate = trim($request->get("\x76\x68\x6f\x73\x74\55\x74\x65\x6d\160\x6c\141\164\x65")); goto F8d8d; ddcf0: b8851: goto B9769; F1b1a: throw new InvalidCsrfTokenException("\x54\x68\x65\40\x43\x53\122\x46\40\x74\x6f\153\x65\x6e\40\151\163\40\151\x6e\166\141\x6c\x69\x64\56"); goto eb0ed; b52f5: if (false === is_null($site)) { goto fb6da; } goto E423a; eed83: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\x68\x6f\163\x74\x2d\x75\160\144\141\x74\145", (string) $request->get("\164\x6f\x6b\x65\x6e")); goto E9d05; Dfda1: $site->setVhostTemplate($vhostTemplate); goto A7c10; b8b75: $domainName = $site->getDomainName(); goto d3b02; ab012: return $response; goto C7035; E9d05: if (!(false === $isCsrfTokenValid)) { goto b1a32; } goto F1b1a; e8ac5: a297c: goto ddcf0; d686c: return $response; goto f0c0b; D9d96: goto D4abb; goto a273b; A7c10: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto E29ca; d3b02: $siteEntity = $this->getSiteEntity($domainName); goto Cf16b; F8d8d: if (!(false === empty($vhostTemplate))) { goto a297c; } goto b8b75; a273b: fb6da: goto A607f; B0755: $site = $this->getSite($request); goto b52f5; C7035: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto bd00b; bd00b: $user = $this->getUser(); goto E03c2; df44b: return $response; goto e1ff4; Cdfab: eb8fe: goto a5c4e; af3b4: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto F0f81; F0f81: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\137\166\150\157\163\164", ["\144\157\155\141\x69\x6e\x4e\x61\x6d\145" => $domainName])); goto df44b; Ed021: $vhostTemplate = $site->getVhostTemplate(); goto Af193; Af193: $siteUpdater = $this->getSiteUpdater($site); goto Ab0b0; A1d00: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\126\150\x6f\163\x74\x20\x68\141\x73\40\x62\145\x65\x6e\40\x73\141\x76\x65\x64\x2e")); goto C359f; a5c4e: $domainName = $site->getDomainName(); goto Ed021; C359f: $eventData = ["\163\x69\164\145" => $domainName, "\x76\150\x6f\163\x74" => $vhostTemplate, "\x6f\154\144\x56\150\x6f\x73\x74" => $oldVhostTemplate]; goto af3b4; Ab0b0: $siteUpdater->updateNginxVhostWithRollback(); goto Ac464; cfbdf: if (!(true === str_contains($site->getVhostTemplate(), "\x64\151\163\141\142\154\145\137\x73\171\155\x6c\151\156\153\163"))) { goto eb8fe; } goto Ebc42; Ebc42: throw new InvalidVhostException("\x64\151\163\141\x62\x6c\145\137\x73\171\x6d\x6c\151\156\153\x73\40\x69\163\40\x6e\157\164\40\141\x6c\x6c\157\167\x65\144\56"); goto Cdfab; E03c2: $session = $request->getSession(); goto cfbdf; f5d72: $this->siteEntityManager->updateEntity($siteEntity); goto A1d00; Ac464: $siteEntity->setVhostTemplate($vhostTemplate); goto f5d72; e1ff4: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\126\x68\x6f\163\164\x20\151\163\40\x6e\157\164\x20\x76\x61\154\x69\x64\x2c\40\x65\162\162\157\x72\x20\155\145\x73\x73\141\x67\145\72\x20\45\x65\x72\x72\157\162\x4d\145\163\163\141\x67\x65\45", ["\45\145\x72\162\x6f\x72\115\x65\163\163\141\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\145\162\162\157\x72\40\150\x61\163\40\157\x63\x63\x75\x72\162\x65\x64\54\x20\145\162\162\157\162\40\155\145\x73\163\141\x67\145\72\x20\x25\145\162\162\157\162\x4d\x65\x73\163\141\147\x65\x25", ["\x25\145\x72\162\157\x72\x4d\145\163\163\x61\x67\x65\x25" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto ff720; c8d40: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto c9523; } goto C5b2f; cc897: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto ef234; } goto Af721; d1d13: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto c7b77; c7b77: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto F10a6; D7275: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto Ec938; B55fe: return $response; goto d099b; d099b: Db763: goto b22a4; D263e: return $response; goto Dadc5; ac8ec: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto c8d40; b66b7: $response = null; goto Ff328; c67ba: C1dec: goto C257e; F3eb4: $response = $this->render("\106\x72\157\156\x74\145\x6e\144\57\x53\151\164\x65\x2f\163\x65\164\x74\x69\x6e\147\163\x2e\150\x74\x6d\x6c\56\x74\167\x69\x67", $parameters); goto Ac743; b3357: return $response; goto Eefcf; b1cdf: $parameters["\160\x68\x70\x53\145\x74\164\x69\x6e\x67\163\x46\157\x72\155"] = $phpSettingsForm->createView(); goto A9231; Ac743: Eea35: goto B3e01; c5868: if (!(false === is_null($response))) { goto D320f; } goto b3357; D01a1: $currentPhpSettings = clone $phpSettings; goto Ca1a7; ef0f8: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto D6227; C257e: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto d4ede; } goto B858c; d8a7a: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto Cc647; dc99d: if (!(true === $siteDeleteForm->isSubmitted())) { goto A04bb; } goto a1b8e; B7dc5: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto Dd9e5; Fb6e2: $pageSpeedSettingsData = ["\151\163\105\x6e\x61\142\x6c\145\x64" => $site->getPageSpeedEnabled(), "\x73\x65\164\x74\x69\156\147\163" => $site->getPageSpeedSettings()]; goto d1d13; a1b8e: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto Bbc2c; Fb66b: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto e0cab; } goto D24dc; fe11a: $siteUserSettingsData = ["\x73\x69\x74\x65\x55\163\x65\x72" => $site->getUser(), "\163\163\150\x4b\145\x79\x73" => $site->getSshKeys()]; goto Ae9b7; ff720: $site = $this->getSite($request); goto Abdcd; Bbc2c: A04bb: goto D2073; a5a21: b44d6: goto e0349; D2df3: $domainSettingsData = ["\x64\157\x6d\141\151\x6e\116\x61\x6d\145" => $site->getDomainName(), "\x72\x6f\x6f\x74\104\151\162\145\x63\x74\x6f\162\171" => $site->getRootDirectory()]; goto fe11a; d0f66: $nodejsSettingsForm->handleRequest($request); goto Fb66b; dad11: bf8ca: goto D2df3; f058c: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Fd828; Ae9b7: $siteDeleteData = ["\x64\x6f\155\141\x69\x6e\116\141\155\145" => $site->getDomainName()]; goto Fb6e2; e8d58: bde15: goto E2e56; B4055: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto Ad6e8; Ad6e8: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto f5c9d; } goto C0fc2; b22a4: fbeb0: goto e28fc; B3e01: return $response; goto e2cc5; a8fb9: F8c1a: goto e6288; C325b: $parameters["\x6e\x6f\x64\x65\x6a\x73\123\x65\x74\164\x69\x6e\147\x73\106\157\x72\155"] = $nodejsSettingsForm->createView(); goto a85d2; af18a: e0cab: goto Dcc9d; Abdcd: if (false === is_null($site)) { goto bf8ca; } goto Aa926; Ff328: if (!(true === $domainSettingsForm->isSubmitted())) { goto fa792; } goto c14f8; ab319: $siteDeleteForm->handleRequest($request); goto f40ef; E37fe: return $response; goto a5a21; Bb47f: $parameters = ["\x73\x69\x74\145" => $site, "\x64\157\155\x61\151\x6e\x53\145\x74\x74\x69\x6e\147\x73\x46\x6f\x72\155" => $domainSettingsForm->createView(), "\163\151\x74\x65\125\163\x65\162\123\145\x74\x74\151\x6e\x67\x73\x46\157\162\x6d" => $siteUserSettingsForm->createView(), "\160\141\147\145\123\x70\x65\145\144\123\x65\x74\x74\151\x6e\147\x73\x46\157\162\x6d" => $pageSpeedSettingsForm->createView(), "\163\x69\164\x65\x44\145\x6c\x65\164\145\x46\x6f\162\155" => $siteDeleteForm->createView()]; goto b5b71; Eefcf: D320f: goto Ba2b0; cc107: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto A97cb; } goto D7275; C5b2f: $reverseProxySettingsForm->handleRequest($request); goto a9d1f; f40ef: $pageSpeedSettingsForm->handleRequest($request); goto b66b7; c14f8: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto Dab7f; D2073: if (!(false === is_null($response))) { goto b44d6; } goto E37fe; F10a6: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto d8a7a; ecd83: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto c5868; Be9ab: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto F0998; } goto D01a1; Ba2b0: a70d4: goto c37e7; B858c: $phpSettings = $site->getPhpSettings(); goto ceddf; Cc647: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto Fb797; } goto b0cfa; a35e0: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto B5a82; E6bcb: if (!(true === $phpSettingsForm->isSubmitted())) { goto bde15; } goto ef0f8; Dab7f: fa792: goto cc107; A4b71: goto Eea35; goto dad11; Ec938: A97cb: goto f4439; D6227: if (!(false === is_null($response))) { goto Aaef9; } goto c2d73; Af721: $pythonSettings = $site->getPythonSettings(); goto B4055; c2d73: return $response; goto Fa9d0; f4439: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto cdeb1; } goto B7dc5; Dadc5: a9eb3: goto af18a; b0cfa: $domainSettingsForm->handleRequest($request); goto E7529; Dcc9d: B007d: goto C325b; Caef5: if (!(true === $pythonSettingsForm->isSubmitted())) { goto a70d4; } goto ecd83; e6288: $parameters["\x66\157\x72\155\105\x72\162\x6f\162\163"] = $this->formErrors; goto F3eb4; Fa9d0: Aaef9: goto e8d58; b5b71: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto C1dec; } goto d0e53; E7529: $siteUserSettingsForm->handleRequest($request); goto ab319; D800f: $parameters["\x72\145\166\145\162\x73\145\x50\x72\157\x78\x79\123\145\164\x74\151\x6e\x67\x73\x46\x6f\x72\x6d"] = $reverseProxySettingsForm->createView(); goto C322b; A9231: d4ede: goto cc897; eaa66: ef234: goto b66d9; C0fc2: $pythonSettingsForm->handleRequest($request); goto Caef5; D24dc: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto A0394; e0349: Fb797: goto Bb47f; c37e7: f5c9d: goto B61b9; b66d9: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto F8c1a; } goto ac8ec; B61b9: $parameters["\160\171\x74\150\x6f\x6e\123\x65\164\164\x69\156\147\163\106\157\162\x6d"] = $pythonSettingsForm->createView(); goto eaa66; a9d1f: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto fbeb0; } goto a35e0; Ca1a7: $phpSettingsForm->handleRequest($request); goto E6bcb; d0e53: $nodejsSettings = $site->getNodejsSettings(); goto f058c; a85d2: unset($parameters["\x70\141\147\x65\x53\x70\x65\145\x64\123\x65\164\164\x69\x6e\147\163\106\157\x72\155"]); goto c67ba; Fd828: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto B007d; } goto Fe764; e28fc: c9523: goto D800f; A0394: if (!(false === is_null($response))) { goto a9eb3; } goto D263e; Dd9e5: cdeb1: goto dc99d; E2e56: F0998: goto b1cdf; Fe764: $currentNodeSettings = clone $nodejsSettings; goto d0f66; Aa926: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\x73")); goto A4b71; ceddf: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto Be9ab; B5a82: if (!(false === is_null($response))) { goto Db763; } goto B55fe; C322b: unset($parameters["\160\x61\x67\145\123\160\x65\145\x64\123\145\x74\x74\151\156\147\163\106\x6f\x72\155"]); goto a8fb9; e2cc5: } public function purgePageSpeedCache(Request $request) : Response { goto D842c; cf794: return $response; goto a0a90; D842c: $site = $this->getSite($request); goto f5277; d62e8: try { goto E46ee; D8823: $eventData = ["\163\x69\x74\145" => $site->getDomainName()]; goto Abb4f; C6b8e: $session = $request->getSession(); goto b0e6c; E46ee: $user = $this->getUser(); goto C6b8e; b0e6c: $siteUpdater = $this->getSiteUpdater($site); goto d4932; Abb4f: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto df9b3; df9b3: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\x73", $this->translator->trans("\120\141\147\x65\x20\x53\x70\145\x65\144\40\x43\x61\x63\150\x65\40\x68\141\163\x20\x62\145\145\156\40\160\x75\162\x67\145\144\x2e")); goto Bfe18; d4932: $siteUpdater->purgePageSpeedCache(); goto D8823; Bfe18: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\x6f\x72\40\x68\141\163\40\x6f\x63\x63\165\x72\162\x65\144\x2c\40\x65\x72\162\x6f\162\40\x6d\145\x73\163\x61\x67\145\x3a\40\45\145\x72\162\157\x72\x4d\145\x73\163\141\x67\145\45", ["\45\x65\x72\x72\157\162\x4d\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto C4b0b; ed5d6: Eec8d: goto d62e8; C4b0b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\145\137\163\x65\x74\x74\151\156\147\x73", ["\144\157\155\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto cf794; Df799: return $response; goto a0a6d; a0a90: Fb93d: goto Df799; d705a: goto Fb93d; goto ed5d6; f5277: if (false === is_null($site)) { goto Eec8d; } goto Bdcd0; Bdcd0: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x73")); goto d705a; a0a6d: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto ea687; ea687: $form = $this->createForm("\101\x70\160\134\x46\x6f\162\155\134\123\151\164\145\104\157\x6d\141\x69\x6e\x53\145\164\164\151\x6e\147\x73\x54\x79\160\x65", $data, ["\141\143\164\151\157\x6e" => $this->generateUrl("\143\154\x70\137\163\151\x74\145\x5f\x73\145\x74\164\x69\x6e\147\163", ["\x64\x6f\x6d\141\x69\156\116\141\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\117\123\x54", "\x61\164\164\x72" => []]); goto e0964; e0964: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\x61\x73\x73" => "\142\164\x6e\40\x62\x74\x6e\55\142\x6c\165\145\x20\142\164\x6e\55\154\x67"], "\x6c\141\x62\x65\154" => "\123\x61\x76\145"]); goto C2bf9; C2bf9: return $form; goto a14e6; a14e6: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto b06a0; e7548: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\141\163\163" => "\x62\164\156\x20\x62\x74\156\x2d\x62\x6c\165\x65\x20\142\164\x6e\x2d\x6c\147"], "\154\141\x62\x65\154" => "\123\141\x76\145"]); goto D6393; D6393: return $form; goto Fd94f; b06a0: $form = $this->createForm("\x41\x70\160\134\106\x6f\162\x6d\x5c\x53\151\164\145\125\x73\145\162\123\145\164\x74\x69\x6e\x67\x73\124\x79\x70\x65", $data, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\137\x73\151\164\145\137\x73\x65\164\164\x69\x6e\147\163", ["\144\x6f\155\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\155\x65\164\x68\157\x64" => "\x50\117\x53\x54", "\x61\x74\x74\x72" => []]); goto e7548; Fd94f: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto A940a; A940a: $form = $this->createForm("\x41\160\160\x5c\x46\157\x72\x6d\x5c\x53\x69\x74\x65\x50\141\147\145\123\160\145\x65\144\x53\145\x74\x74\151\x6e\147\163\x54\x79\x70\x65", $data, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x5f\x73\145\164\164\151\156\147\163", ["\x64\x6f\x6d\x61\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\x64" => "\120\117\123\x54", "\141\x74\164\x72" => []]); goto b8ded; b8ded: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\154\x61\163\x73" => "\x62\x74\x6e\x20\x62\x74\156\55\x62\154\x75\x65\40\x62\164\156\x2d\x6c\x67"], "\154\x61\x62\145\154" => "\123\x61\166\145"]); goto A6190; A6190: return $form; goto c3302; c3302: } private function createReverseProxySettingsForm(Site $site) : Form { goto ec72b; e0630: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\141\163\x73" => "\x62\x74\156\40\142\164\x6e\x2d\142\x6c\165\145\40\x62\164\156\55\x6c\147"], "\x6c\141\x62\x65\154" => "\123\141\166\x65"]); goto d05bd; C35ee: $form = $this->createForm("\x41\x70\160\134\106\x6f\x72\x6d\134\123\151\164\x65\x52\145\x76\x65\x72\x73\x65\120\162\157\x78\x79\123\x65\164\164\x69\156\x67\x73\x54\171\x70\145", $data, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\x5f\163\x65\164\x74\x69\x6e\x67\163", ["\144\x6f\155\141\151\156\116\141\x6d\145" => $site->getDomainName()]), "\x6d\145\164\150\157\144" => "\120\x4f\123\124", "\141\164\164\x72" => ["\x69\x64" => "\x72\145\166\x65\x72\163\145\x2d\160\x72\x6f\170\x79\55\x73\145\x74\164\x69\x6e\147\x73\x2d\146\x6f\x72\155"]]); goto e0630; ec72b: $data = ["\x72\x65\166\145\x72\x73\145\120\x72\157\x78\171\125\162\x6c" => $site->getReverseProxyUrl()]; goto C35ee; d05bd: return $form; goto Fd424; Fd424: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto E6c86; A42b4: $form->add("\163\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\x61\x73\x73" => "\x62\164\156\40\142\164\x6e\x2d\142\154\x75\145\x20\x62\x74\x6e\55\x6c\x67"], "\x6c\141\142\145\x6c" => "\x53\x61\166\145"]); goto A4804; A4804: return $form; goto Ca053; E6c86: $form = $this->createForm("\101\160\160\134\x46\157\162\155\134\123\x69\x74\x65\x4e\157\x64\x65\x6a\x73\123\145\x74\164\x69\x6e\147\163\124\x79\x70\145", $nodejsSettings, ["\x61\143\164\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\x5f\163\x65\x74\164\151\156\x67\x73", ["\144\157\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\120\117\123\x54", "\141\x74\164\162" => ["\x69\x64" => "\156\157\144\145\x6a\x73\55\163\x65\x74\x74\151\x6e\147\x73\x2d\146\157\x72\155"]]); goto A42b4; Ca053: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto D5b15; c93d4: return $form; goto f0031; Fab79: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\154\141\x73\163" => "\x62\x74\156\x20\x62\164\x6e\x2d\142\154\x75\x65\40\x62\164\x6e\x2d\x6c\147"], "\154\141\142\x65\x6c" => "\x53\x61\x76\x65"]); goto c93d4; D5b15: $form = $this->createForm("\x41\x70\160\x5c\106\157\x72\155\x5c\123\x69\164\x65\x50\x68\160\123\145\x74\164\151\156\147\x73\124\171\160\145", $phpSettings, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\137\x73\145\164\x74\x69\x6e\x67\163", ["\x64\x6f\x6d\141\151\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\x50\x4f\x53\x54", "\x61\x74\x74\x72" => []]); goto Fab79; f0031: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto e7680; e7680: $form = $this->createForm("\x41\160\x70\x5c\x46\157\162\x6d\134\x53\x69\x74\145\120\x79\x74\150\x6f\x6e\x53\x65\x74\x74\x69\x6e\147\x73\x54\171\160\145", $pythonSettings, ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\x5f\163\145\164\164\151\156\147\163", ["\144\157\155\x61\x69\156\116\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\120\x4f\123\124", "\x61\164\x74\162" => []]); goto e0eaa; e0eaa: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\163" => "\142\164\156\x20\x62\x74\156\55\142\x6c\165\x65\40\142\164\x6e\55\x6c\147"], "\154\141\x62\x65\x6c" => "\x53\141\166\145"]); goto Fc963; Fc963: return $form; goto b0887; b0887: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto e3eb2; C9386: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\x61\163\163" => "\142\x74\156\x20\x62\164\156\55\x62\x6c\165\x65\40\142\164\156\55\x6c\147", "\144\x69\163\x61\142\x6c\145\x64" => "\144\151\x73\141\142\x6c\145\x64"], "\x6c\141\x62\145\154" => "\104\145\x6c\145\164\145\40\x53\151\164\x65"]); goto Aa70b; e3eb2: $form = $this->createForm("\x41\160\x70\134\106\157\162\155\x5c\123\151\164\145\104\x65\154\x65\164\145\124\x79\x70\145", $data, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\137\x73\x65\x74\164\x69\156\147\x73", ["\x64\x6f\x6d\141\151\156\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\120\x4f\123\x54", "\x61\x74\164\x72" => []]); goto C9386; Aa70b: return $form; goto F7ac5; F7ac5: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto Fc282; F0021: Cd8d9: goto cbe53; B2b06: goto Cd8d9; goto ff26c; f60af: $this->formErrors = $this->getErrorMessages($form); goto B2b06; Fc282: if (true === $form->isValid()) { goto d8e7e; } goto f60af; b2de4: try { goto e4417; E2617: $siteUpdater->domainSettings(); goto bd16a; a650a: $this->siteEntityManager->updateEntity($siteEntity); goto a9ab1; f2855: if (!(false === is_null($siteEntity))) { goto Cfc33; } goto aac21; bd16a: $eventData = ["\163\151\x74\145" => $domainName, "\x72\x6f\157\x74\104\x69\162\145\x63\164\x6f\162\171" => $rootDirectory]; goto a5bd3; a5bd3: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto d99b8; Dd429: $session = $request->getSession(); goto f8aec; A85c1: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\137\163\145\164\x74\x69\156\x67\163", ["\144\x6f\x6d\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto Fcb12; Ecbec: Cfc33: goto A85c1; b401f: $siteEntity = $this->getSiteEntity($domainName); goto f2855; a9ab1: $siteUpdater = $this->getSiteUpdater($site); goto E2617; e4417: $user = $this->getUser(); goto Dd429; D5318: $siteEntity->setRootDirectory($rootDirectory); goto a650a; f8aec: $domainName = $site->getDomainName(); goto b401f; Fcb12: return $response; goto B6ad3; aac21: $rootDirectory = rtrim($form->get("\x72\157\157\x74\x44\x69\162\x65\x63\x74\157\x72\171")->getData(), "\57"); goto A41f2; d99b8: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\x73", $this->translator->trans("\x52\x6f\x6f\164\40\104\x69\162\x65\143\164\157\x72\171\40\x68\141\163\x20\142\x65\x65\x6e\40\x73\x61\x76\145\x64\x2e")); goto Ecbec; A41f2: $site->setRootDirectory($rootDirectory); goto D5318; B6ad3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\162\40\x68\x61\x73\40\157\143\x63\165\162\162\x65\x64\x2c\x20\145\162\162\x6f\162\40\x6d\x65\x73\x73\x61\147\145\x3a\x20\45\145\162\162\x6f\x72\x4d\145\x73\x73\x61\x67\x65\x25", ["\45\x65\162\x72\x6f\x72\115\145\163\163\141\147\145\45" => $e->getMessage()])); } goto F0021; ff26c: d8e7e: goto b2de4; cbe53: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto Be12a; fb18f: C3372: goto C800d; C800d: try { goto c3317; d35e9: $siteEntity = $this->getSiteEntity($domainName); goto E4ee2; A1bca: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\137\x73\x65\164\x74\x69\156\x67\x73", ["\144\x6f\x6d\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto ce214; da56c: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\123\151\x74\145\x20\x55\163\x65\162\40\123\x65\x74\x74\x69\x6e\147\x73\x20\150\141\166\x65\x20\x62\145\x65\156\40\163\x61\x76\x65\144\56")); goto db1dd; E4ee2: if (!(false === is_null($siteEntity))) { goto Dd5d6; } goto F87c6; b83dc: $this->siteEntityManager->updateEntity($siteEntity); goto B8ccb; c3317: $user = $this->getUser(); goto bd360; F87c6: $siteUser = $site->getUser(); goto F4e3c; e2504: c9c9b: goto e5458; B8ccb: $siteUpdater = $this->getSiteUpdater($site); goto Da00e; Eea25: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto da56c; ce214: return $response; goto E0774; C6061: $siteEntity->setSshKeys($sshKeys); goto b83dc; bd360: $session = $request->getSession(); goto B3fbb; F4e3c: $sshKeys = trim($form->get("\x73\x73\150\x4b\x65\171\163")->getData()); goto C0490; A8eb1: if (!(false === empty($password))) { goto c9c9b; } goto d8f21; e5458: $eventData = ["\x73\x69\x74\145" => $domainName, "\163\x73\150\x4b\x65\171\163" => $sshKeys]; goto Eea25; d8f21: $siteUpdater->changeUserPassword($siteUser, $password); goto e2504; db1dd: Dd5d6: goto A1bca; Da00e: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto A8eb1; B3fbb: $domainName = $site->getDomainName(); goto d35e9; C0490: $password = trim($form->get("\x70\141\x73\x73\167\x6f\162\x64")->getData()); goto C6061; E0774: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\156\x20\145\x72\162\157\162\40\150\141\x73\x20\x6f\143\x63\x75\162\162\x65\x64\54\40\145\162\162\x6f\162\x20\155\145\163\x73\141\147\145\x3a\40\x25\145\162\162\x6f\162\x4d\x65\x73\163\x61\147\x65\x25", ["\45\x65\x72\x72\x6f\x72\115\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto A1ace; A2b70: $this->formErrors = $this->getErrorMessages($form); goto b5e9e; b5e9e: goto Cf0f8; goto fb18f; Be12a: if (true === $form->isValid()) { goto C3372; } goto A2b70; A1ace: Cf0f8: goto e4a88; e4a88: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto f222a; E2426: dba1d: goto F5617; F5617: try { goto C00b1; c3f41: $this->siteEntityManager->updateEntity($siteEntity); goto c09d7; Be2e4: D1a17: goto d8783; bb573: $siteUpdater->updateNginxVhostWithRollback(); goto f866b; c09d7: $eventData = ["\163\151\x74\145" => $domainName, "\160\141\x67\145\x53\x70\x65\145\144\105\x6e\141\142\154\145\144" => $isEnabled, "\x70\141\x67\145\x53\x70\145\145\x64\x53\145\164\164\x69\x6e\147\x73" => $settings]; goto b8527; D95ae: $siteEntity->setPageSpeedSettings($settings); goto c3f41; b36cc: $session = $request->getSession(); goto Efea2; f6aa1: $settings = trim($form->get("\x73\x65\x74\x74\151\156\x67\x73")->getData()); goto F9610; Efea2: $domainName = $site->getDomainName(); goto e1ca0; b8527: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto d2662; d8783: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\137\x73\145\x74\164\x69\x6e\x67\x73", ["\144\157\155\141\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto D0ffa; e1ca0: $siteEntity = $this->getSiteEntity($domainName); goto bb821; d2662: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\x50\x61\x67\145\40\123\160\145\145\x64\x20\123\145\164\x74\x69\x6e\147\163\40\150\141\166\x65\40\x62\x65\145\156\x20\x73\141\166\x65\x64\56")); goto Be2e4; D104f: $site->setPageSpeedSettings($settings); goto f4e71; f1bc3: $isEnabled = $form->get("\x69\x73\105\156\141\x62\x6c\x65\144")->getData(); goto f6aa1; f866b: $siteUpdater->purgePageSpeedCache(); goto Cd850; C00b1: $user = $this->getUser(); goto b36cc; bb821: if (!(false === is_null($siteEntity))) { goto D1a17; } goto f1bc3; f4e71: $siteUpdater = $this->getSiteUpdater($site); goto bb573; F9610: $site->setPageSpeedEnabled($isEnabled); goto D104f; D0ffa: return $response; goto a1e9a; Cd850: $siteEntity->setPageSpeedEnabled($isEnabled); goto D95ae; a1e9a: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\x50\x61\x67\145\x53\x70\145\145\x64\x20\x53\x65\164\x74\x69\156\147\40\x61\x72\145\40\x6e\x6f\x74\40\x76\141\x6c\x69\x64\54\x20\145\x72\162\157\x72\x20\155\145\x73\x73\141\147\145\72\40\45\x65\x72\162\x6f\x72\x4d\x65\163\x73\x61\147\145\x25", ["\x25\145\162\162\157\x72\115\x65\x73\x73\141\147\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\162\x72\157\x72\40\150\x61\163\40\x6f\143\x63\x75\x72\162\x65\144\54\40\145\162\162\x6f\162\40\155\x65\x73\163\141\147\x65\x3a\x20\45\x65\162\x72\x6f\x72\115\145\x73\x73\141\147\145\x25", ["\x25\x65\162\162\x6f\x72\x4d\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto C97fb; D9368: goto Fa8e7; goto E2426; f222a: if (true === $form->isValid()) { goto dba1d; } goto A2d74; A2d74: $this->formErrors = $this->getErrorMessages($form); goto D9368; C97fb: Fa8e7: goto e4fa7; e4fa7: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto Bdbe7; F09e5: $this->formErrors = $this->getErrorMessages($form); goto d5897; D94aa: d10e4: goto e8d45; d5897: goto d10e4; goto C5f79; C5f79: e6c11: goto Ae22c; Bdbe7: if (true === $form->isValid()) { goto e6c11; } goto F09e5; Ae22c: try { goto F32c6; e5ea5: return $response; goto E511d; cc2ae: $siteDeleter->delete(); goto f5bfb; Ac3e5: $siteDeleter = $this->getSiteDeleter($site); goto cc2ae; a317a: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x73")); goto e5ea5; B0702: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto E36d6; F32c6: $user = $this->getUser(); goto C3896; cc522: $eventData = ["\x73\x69\x74\145" => $domainName, "\x74\x79\x70\145" => $site->getType()]; goto B0702; eb52d: if (!(false === is_null($siteEntity))) { goto ec298; } goto Ac3e5; E36d6: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\x53\151\x74\145\x20\x68\x61\163\x20\x62\x65\x65\x6e\x20\x64\x65\154\145\164\x65\144\x2e")); goto af457; af457: ec298: goto a317a; A5160: $domainName = $site->getDomainName(); goto c3eaa; c3eaa: $siteEntity = $this->getSiteEntity($domainName); goto eb52d; C3896: $session = $request->getSession(); goto A5160; f5bfb: $this->siteEntityManager->deleteEntity($siteEntity); goto cc522; E511d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\162\x72\157\x72\40\150\141\x73\40\x6f\x63\x63\165\162\x72\145\144\x2c\x20\145\162\x72\157\x72\x20\155\145\163\163\x61\147\x65\x3a\40\x25\x65\162\162\157\x72\115\145\163\163\x61\x67\x65\x25", ["\x25\x65\x72\x72\157\x72\x4d\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto D94aa; e8d45: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto F8e09; F8e09: if (true === $form->isValid()) { goto A534d; } goto B0946; Ba750: try { goto F85a7; c24ff: Bc02d: goto E6958; C9560: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\145\x5f\163\x65\164\164\x69\156\x67\x73", ["\x64\157\155\141\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto bda39; f4f3d: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\116\157\x64\x65\56\152\163\x20\x53\145\x74\x74\x69\x6e\147\x73\x20\150\141\166\145\40\142\x65\x65\156\40\x73\x61\x76\x65\144\x2e")); goto c1725; C98cd: $this->siteEntityManager->updateEntity($siteEntity); goto ff2c6; bdb03: if (!(true === $hasNodejsVersionChanged)) { goto Bc02d; } goto d5a87; c1725: c95e5: goto C9560; E6958: $siteUpdater->nodejsSettings(); goto C98cd; Bf47f: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto e5ae9; E629b: $domainName = $site->getDomainName(); goto a116a; F85a7: $user = $this->getUser(); goto c9c7d; b4bec: $siteUpdater = $this->getSiteUpdater($site); goto bdb03; a116a: $siteEntity = $this->getSiteEntity($domainName); goto df218; Fbe1b: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto f4f3d; ff2c6: $eventData = ["\163\151\x74\x65" => $domainName, "\x6e\x6f\144\x65\x6a\163\x56\145\x72\x73\151\x6f\x6e" => $nodejsVersion, "\x70\x6f\x72\164" => $nodejsSettings->getPort()]; goto Fbe1b; df218: if (!(false === is_null($siteEntity))) { goto c95e5; } goto E5a33; e5ae9: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto b4bec; d5a87: $siteUpdater->installNodejsVersion(); goto c24ff; c9c7d: $session = $request->getSession(); goto E629b; E5a33: $nodejsSettings = $form->getData(); goto Bf47f; bda39: return $response; goto Bfd80; Bfd80: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\x72\x20\150\x61\x73\x20\157\x63\x63\x75\x72\x72\x65\x64\x2c\40\x65\162\x72\x6f\162\x20\155\145\163\163\141\147\145\72\40\x25\x65\162\x72\157\162\x4d\x65\x73\163\141\147\145\x25", ["\x25\145\x72\x72\157\162\x4d\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto Cd5aa; fbecb: goto F295c; goto bd8c3; Cd5aa: F295c: goto cedd4; B0946: $this->formErrors = $this->getErrorMessages($form); goto fbecb; bd8c3: A534d: goto Ba750; cedd4: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto Ae27f; Efc41: goto fc7a9; goto A9a22; A9a22: F2869: goto cefc9; Ae27f: if (true === $form->isValid()) { goto F2869; } goto e5bb7; e5bb7: $this->formErrors = $this->getErrorMessages($form); goto Efc41; Efcd5: fc7a9: goto ee551; cefc9: try { goto B4e93; D893a: $siteUpdater = $this->getSiteUpdater($site); goto E2e5a; E2e5a: $siteUpdater->writePythonVersionFile(); goto e016d; ee141: ca990: goto ec4d5; b358a: $pythonSettings = $form->getData(); goto Fb66c; C3534: $this->siteEntityManager->updateEntity($siteEntity); goto E0545; Fb66c: $pythonVersion = $pythonSettings->getPythonVersion(); goto D893a; F2873: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto Ae6ef; Ae6ef: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\120\x79\x74\x68\157\x6e\x20\x53\x65\164\164\x69\x6e\x67\x73\x20\150\x61\166\145\40\142\x65\x65\156\x20\163\x61\166\x65\144\x2e")); goto ee141; B4e93: $user = $this->getUser(); goto Bdd21; ec4d5: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x5f\163\145\164\x74\151\x6e\x67\163", ["\144\x6f\x6d\141\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto F4d2f; F4d2f: return $response; goto c3c30; Cd74f: $domainName = $site->getDomainName(); goto Ac392; Bdd21: $session = $request->getSession(); goto Cd74f; Ac392: $siteEntity = $this->getSiteEntity($domainName); goto E3ca3; E0545: $eventData = ["\163\x69\x74\x65" => $domainName, "\160\171\x74\x68\x6f\x6e\126\145\162\x73\151\x6f\x6e" => $pythonVersion, "\160\157\162\x74" => $pythonSettings->getPort()]; goto F2873; E3ca3: if (!(false === is_null($siteEntity))) { goto ca990; } goto b358a; e016d: $siteUpdater->pythonSettings(); goto C3534; c3c30: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\156\40\145\162\162\x6f\162\x20\150\141\163\x20\157\143\143\x75\x72\x72\145\144\x2c\40\x65\x72\162\157\162\40\155\x65\163\x73\x61\147\x65\72\x20\45\x65\162\162\x6f\x72\115\x65\x73\163\141\x67\145\45", ["\x25\145\162\162\x6f\x72\x4d\x65\163\163\x61\x67\145\45" => $e->getMessage()])); } goto Efcd5; ee551: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto cc929; cc929: if (true === $form->isValid()) { goto c4dd0; } goto C5345; D6832: goto b8ee3; goto f6c67; b740e: b8ee3: goto d4183; C5345: $this->formErrors = $this->getErrorMessages($form); goto D6832; A9df3: try { goto ccd3c; E280c: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\x52\x65\x76\x65\162\x73\145\x20\120\x72\x6f\170\x79\x20\x53\x65\x74\164\151\x6e\147\x73\x20\150\x61\166\x65\x20\x62\145\145\156\x20\163\141\x76\145\144\56")); goto d8f66; E367a: $siteUpdater = $this->getSiteUpdater($site); goto A099d; bd0d7: $reverseProxyUrl = $form->get("\x72\145\166\x65\162\x73\x65\x50\162\x6f\x78\x79\125\162\x6c")->getData(); goto Bfd58; ccd3c: $user = $this->getUser(); goto f46e5; d8f66: D7236: goto Edb2b; Cb2b4: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto E367a; C9d10: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto E280c; A099d: $siteUpdater->updateNginxVhostWithRollback(); goto fc135; Bfd58: $site->setReverseProxyUrl($reverseProxyUrl); goto Cb2b4; ef424: $eventData = ["\x73\151\x74\x65" => $domainName, "\162\145\x76\x65\x72\163\x65\x50\x72\x6f\x78\171\x55\x72\x6c" => $reverseProxyUrl]; goto C9d10; F2d3e: $siteEntity = $this->getSiteEntity($domainName); goto D31a8; fc135: $this->siteEntityManager->updateEntity($siteEntity); goto ef424; f46e5: $session = $request->getSession(); goto a8e29; Edb2b: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\x65\137\x73\x65\x74\164\151\156\x67\163", ["\x64\x6f\x6d\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto e805c; D31a8: if (!(false === is_null($siteEntity))) { goto D7236; } goto bd0d7; a8e29: $domainName = $site->getDomainName(); goto F2d3e; e805c: return $response; goto e4318; e4318: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\x6f\x72\x20\x68\141\x73\40\x6f\143\x63\165\x72\162\145\144\x2c\x20\x65\162\162\x6f\x72\40\x6d\x65\163\163\x61\x67\x65\x3a\40\x25\145\x72\162\157\162\115\x65\163\x73\141\147\145\x25", ["\45\145\x72\x72\x6f\x72\115\145\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto b740e; f6c67: c4dd0: goto A9df3; d4183: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto B5f63; ebe0d: c0195: goto F3503; fc1c3: $this->formErrors = $this->getErrorMessages($form); goto ca4fd; F3503: try { goto c58a4; aab4e: $domainName = $site->getDomainName(); goto Ee7b2; f9ea0: $phpSettings = $form->getData(); goto D5931; d7f54: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto e9417; D1e09: return $response; goto A19a4; fd94d: if (!(false === is_null($siteEntity))) { goto D4750; } goto f9ea0; f68fa: $siteUpdater = $this->getSiteUpdater($site); goto f422b; B1f68: $eventData = ["\163\x69\164\145" => $domainName, "\160\150\x70\x56\145\x72\x73\x69\x6f\x6e" => $phpSettings->getPhpVersion(), "\155\x65\x6d\x6f\162\171\x5f\154\x69\x6d\x69\164" => $phpSettings->getMemoryLimit(), "\x6d\141\x78\x5f\x65\x78\x65\x63\x75\x74\151\x6f\156\x5f\x74\151\x6d\145" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\137\151\156\160\165\x74\137\164\151\155\145" => $phpSettings->getMaxInputTime(), "\x6d\141\x78\x5f\x69\x6e\x70\x75\164\x5f\166\x61\162\163" => $phpSettings->getMaxInputVars(), "\160\157\x73\164\137\x6d\141\x78\137\x73\151\172\145" => $phpSettings->getPostMaxSize(), "\x75\x70\154\x6f\x61\144\x5f\x6d\x61\x78\137\x66\151\154\145\163\151\x7a\x65" => $phpSettings->getUploadMaxFileSize()]; goto d7f54; a4539: $session = $request->getSession(); goto aab4e; d0c26: $siteUpdater->phpSettings(); goto F3331; Ee7b2: $siteEntity = $this->getSiteEntity($domainName); goto fd94d; f422b: if (!(true === $hasPhpVersionChanged)) { goto A89a9; } goto Fb264; Efb03: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\x5f\x73\x65\x74\164\x69\156\147\163", ["\144\157\155\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto D1e09; D5931: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto f68fa; F3331: $this->siteEntityManager->updateEntity($siteEntity); goto B1f68; Ef06c: A89a9: goto d0c26; f742a: D4750: goto Efb03; c58a4: $user = $this->getUser(); goto a4539; e9417: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\163", $this->translator->trans("\120\x48\120\40\123\145\164\x74\x69\156\x67\x73\40\150\x61\166\x65\40\x62\145\145\x6e\40\163\141\166\145\x64\56")); goto f742a; Fb264: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto Ef06c; A19a4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\40\145\162\162\x6f\x72\x20\150\141\x73\40\157\143\x63\165\162\x72\145\144\x2c\40\x65\162\x72\x6f\x72\40\155\x65\163\163\x61\x67\x65\72\x20\45\x65\x72\162\x6f\162\x4d\x65\163\163\x61\147\145\x25", ["\45\145\x72\x72\157\162\x4d\145\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto cc815; B5f63: if (true === $form->isValid()) { goto c0195; } goto fc1c3; ca4fd: goto bb5a0; goto ebe0d; cc815: bb5a0: goto D6cda; D6cda: } private function getSite(Request $request) : ?Site { goto d1d42; Bcaee: if (!(false === is_null($site))) { goto f8407; } goto e49fb; Dd476: $site->setCronJobs($siteEntity->getCronJobs()); goto caf1f; B52c3: Ccddf: goto Bcaee; caf1f: $site->setFtpUsers($siteEntity->getFtpUsers()); goto b754e; A6583: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto b5761; F409f: $subdomain = $resolvedDomainName->subDomain()->toString(); goto b309d; E7aec: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Cb94a; e49fb: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ffb94; c37ce: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e2754; Ebbb2: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto a21bd; a21bd: goto Ccddf; goto A9743; e2754: $site = new NodejsSite(); goto Ebbb2; A9743: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto Ccddf; case SiteEntity::TYPE_PHP: goto Aa421; Aca84: $site->setVarnishCache($siteEntity->getVarnishCache()); goto B9a0c; B9a0c: goto Ccddf; goto d546e; Aa421: $site = new PhpSite(); goto bbfac; bbfac: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Aca84; d546e: case SiteEntity::TYPE_PYTHON: goto af7db; af7db: $site = new PythonSite(); goto Eaa05; Eaa05: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Ab0fb; Ab0fb: goto Ccddf; goto d01f4; d01f4: case SiteEntity::TYPE_REVERSE_PROXY: goto A9276; A9276: $site = new ReverseProxySite(); goto E95f3; E95f3: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Ed8e7; Ed8e7: goto Ccddf; goto d75be; d75be: } goto F6056; d7670: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f6e42; Ab192: $siteType = $siteEntity->getType(); goto c37ce; E3e3b: $site->setSubdomain($subdomain); goto A84d8; f6e42: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A6583; a227b: $site->setBlockedBots($siteEntity->getBlockedBots()); goto E7aec; A84d8: $site->setRootDirectory($siteEntity->getRootDirectory()); goto cad72; a9010: $site->setSshKeys($siteEntity->getSshKeys()); goto d7670; b754e: $site->setSshUsers($siteEntity->getSshUsers()); goto a9010; Babc8: $domainName = $request->get("\x64\x6f\155\141\x69\x6e\x4e\x61\155\145"); goto A645d; aa1e3: if (!(false === is_null($siteEntity))) { goto fc511; } goto B8530; F6056: C29eb: goto B52c3; b5761: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto e59f3; d1d42: $user = $this->getUser(); goto Babc8; B8530: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto bfbd6; } goto ec683; b309d: $subdomain = false === empty($subdomain) ? $subdomain : null; goto b38ac; A645d: $siteEntity = $this->getSiteEntity($domainName); goto e850a; ec683: return null; goto C0566; c0945: fc511: goto B72cc; Ffb94: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto F409f; C0566: bfbd6: goto Ab192; C5a8f: $site->setUser($siteEntity->getUser()); goto C8f27; Cb94a: $site->setDatabases($siteDatabases); goto e9242; Ee52d: $site->setCertificates($siteEntity->getCertificates()); goto Dd476; e59f3: f8407: goto c0945; b38ac: $siteDatabases = $this->getSiteDatabases($siteEntity); goto C5a8f; E63bd: $site->setRegistrableDomain($registrableDomain); goto E3e3b; cad72: $site->setBasicAuth($siteEntity->getBasicAuth()); goto a227b; B72cc: return $site; goto C0b66; e850a: $site = null; goto aa1e3; e9242: $site->setCertificate($siteEntity->getCertificate()); goto Ee52d; C8f27: $site->setDomainName($siteEntity->getDomainName()); goto E63bd; C0b66: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto b1d03; b1d03: $siteDatabases = new ArrayCollection(); goto efb4f; e94c3: A0bc2: goto dce87; efb4f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f4c4c; f4c4c: $databaseEntities = $siteEntity->getDatabases(); goto d054f; d054f: foreach ($databaseEntities as $databaseEntity) { goto B2230; ad469: C2ab9: goto B2793; b2c63: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto cf85d; } goto a59a9; a59a9: $siteDatabases->add($databaseEntity); goto Bc818; B2230: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto b2c63; Bc818: cf85d: goto ad469; B2793: } goto e94c3; dce87: return $siteDatabases; goto A106d; A106d: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto B1a9e; f19f4: B739a: goto e7940; B1a9e: $siteUpdater = null; goto c50aa; C10d2: d3cfe: goto f19f4; c50aa: $siteType = $site->getType(); goto C0986; e7940: return $siteUpdater; goto d182f; C0986: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto B739a; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto B739a; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto B739a; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto B739a; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto B739a; } goto C10d2; d182f: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto F3f29; B2fc0: D6b8b: goto c5214; c5214: return $siteDeleter; goto Edd99; Aa050: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto D6b8b; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto D6b8b; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto D6b8b; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto D6b8b; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto D6b8b; } goto dc611; F9eec: $siteType = $site->getType(); goto Aa050; dc611: D91a2: goto B2fc0; F3f29: $siteDeleter = null; goto F9eec; Edd99: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
