<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\x74\160\x73\x3a\x2f\57\x64\63\161\x6e\144\65\x34\161\70\x67\142\63\x6a\x65\x2e\143\154\x6f\x75\x64\146\162\157\x6e\164\56\156\145\x74\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto C093b; ff175: $this->databaseServerManager = $databaseServerManager; goto E7d98; E7d98: $this->userManager = $userManager; goto D5def; C093b: $this->configManager = $configManager; goto ff175; D5def: $this->cachePool = $cachePool; goto C85b8; C85b8: $this->twig = $twig; goto F5220; F5220: } public function onKernelRequest(RequestEvent $event) : void { goto F578d; bf170: $this->initialize($event); goto f1da4; F578d: if (!(false === $event->isMainRequest())) { goto A10da; } goto C8665; C8665: return; goto A2769; A2769: A10da: goto bf170; f1da4: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto b9b1d; ce9f9: ddb99: goto Cc355; b7a5a: if (!$command instanceof Command) { goto ddb99; } goto Ce96d; Ce96d: $this->initialize($event); goto ce9f9; b9b1d: $command = $event->getCommand(); goto b7a5a; Cc355: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto c044a; E78e9: $this->setInstanceUid(); goto b628e; b628e: $this->setCloudPanelVersion(); goto A4d8b; f0b6a: $this->setEnvironment($event); goto d6873; D7b40: $this->setDatabaseServer($event); goto f0b6a; A4d8b: $this->setCloudPanelReleaseChannel(); goto d2e54; c044a: $this->setTimezone(); goto E78e9; d2e54: $this->setLetsEncryptPrivateKey(); goto D7b40; d6873: } private function setTimezone() : void { goto Bfc54; da950: c62c1: goto fdcd5; Afbeb: if (!(true === is_null($timezone))) { goto c62c1; } goto baad7; baad7: $this->configManager->set("\164\151\155\x65\172\x6f\156\145", "\x55\x54\103"); goto da950; Bfc54: $timezone = $this->configManager->get("\164\x69\155\x65\172\x6f\x6e\x65"); goto Afbeb; fdcd5: } private function setInstanceUid() : void { goto F75a8; Fc32f: $this->configManager->set("\x69\156\163\164\x61\156\x63\x65\137\x75\x69\x64", $instanceUid); goto C08e0; Eff3f: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto Fc32f; C08e0: aa052: goto E8651; bb2dd: if (!(true === is_null($instanceUid))) { goto aa052; } goto Eff3f; F75a8: $instanceUid = $this->configManager->get("\151\156\163\164\x61\x6e\143\145\x5f\165\151\144"); goto bb2dd; E8651: } private function setCloudPanelVersion() : void { goto ab438; c027f: C88ad: goto Eeed4; B0be9: $this->configManager->set("\x61\x70\x70\137\166\x65\162\163\151\x6f\156", trim($appVersion)); goto c027f; E25e9: if (!(false === is_null($appVersion))) { goto C88ad; } goto B0be9; ab438: $appVersion = $_ENV["\x41\120\120\x5f\x56\x45\122\123\x49\x4f\116"] ?? null; goto E25e9; Eeed4: } private function setCloudPanelReleaseChannel() : void { goto dcecf; e57fb: $this->configManager->set("\162\x65\154\x65\141\x73\145\137\143\x68\141\156\x6e\x65\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto be1e9; dcecf: $releaseChannel = $this->configManager->get("\162\x65\x6c\x65\141\163\x65\137\143\x68\141\x6e\x6e\x65\154"); goto Ceffb; Ceffb: if (!(true === is_null($releaseChannel))) { goto e2f2f; } goto e57fb; be1e9: e2f2f: goto Abf83; Abf83: } private function setLetsEncryptPrivateKey() { goto cfaac; c56e9: bb6b8: goto F51dc; F40e0: if (!(true === is_null($letsEncryptPrivateKey))) { goto F895c; } goto c6a73; cfaac: $numberOfUsers = $this->userManager->countAll(); goto f4643; f4643: if (!(0 < $numberOfUsers)) { goto bb6b8; } goto F70e0; Eb034: F895c: goto c56e9; ec067: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto fe8ad; F70e0: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\x70\162\151\x76\x61\x74\x65\137\x6b\x65\171"); goto F40e0; c6a73: $rsaKeyGenerator = new RsaKeyGenerator(); goto ec067; fe8ad: $this->configManager->set("\154\145\x5f\x70\162\x69\166\141\164\x65\x5f\153\145\x79", $privateKey->getPEM()); goto Eb034; F51dc: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto a9e8c; a3254: ec4ae: goto A29f2; ea9bd: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto eba4c; dbf82: $changeDatabaseUserPasswordCommand->setUserName("\x72\157\157\x74"); goto d4692; E3d0a: $passwordGenerator = new PasswordGenerator(); goto a7c1e; c00ce: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto B5e48; } goto A834c; f2a54: if (!("\144\145\x76" != $_ENV["\101\120\x50\137\105\116\x56"])) { goto Bddf2; } goto Ce597; a9e8c: $numberOfUsers = $this->userManager->countAll(); goto F8f7c; D89ce: bb5c7: goto b47f2; A29f2: $encryptedPassword = Crypto::encrypt($password); goto C7859; d4692: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto Fdf9a; e42f6: $databaseServer->setEngine($databaseConnection->getEngine()); goto fd38a; B6180: B5e48: goto f9cbc; F8f7c: $databaseServers = $this->databaseServerManager->findAll(); goto c00ce; Cbe20: $databaseServer->setIsActive(true); goto E8957; Ce597: $tmpDatabaseServer = clone $databaseServer; goto a7c0c; A4599: $databaseServer->setPassword(Crypto::encrypt("\x72\157\x6f\x74")); goto Efaea; D232c: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto dbf82; c8ec3: $databaseServer->setHost("\61\x32\x37\56\x30\x2e\x30\56\x31"); goto f53bf; fd38a: $databaseServer->setVersion($databaseConnection->getVersion()); goto Da411; E8957: $databaseServer->setIsDefault(true); goto f8504; f53bf: $databaseServer->setUserName("\162\x6f\x6f\164"); goto A4599; A834c: if ("\x64\145\166" == $_ENV["\101\x50\x50\x5f\105\116\126"]) { goto bb5c7; } goto E3d0a; a7c0c: $tmpDatabaseServer->setPassword("\162\157\x6f\x74"); goto B2bcb; C7859: $databaseServer = $this->databaseServerManager->createEntity(); goto c8ec3; Dbec5: goto ec4ae; goto D89ce; D01c6: $this->databaseServerManager->updateEntity($databaseServer); goto B6180; Fdf9a: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto ea9bd; B2bcb: $commandExecutor = new CommandExecutor(); goto D232c; a7c1e: $password = $passwordGenerator->generate(); goto Dbec5; Da411: $databaseServer->setPassword($encryptedPassword); goto f2a54; b47f2: $password = "\162\157\157\x74"; goto a3254; f8504: $databaseConnection = new DatabaseConnection($databaseServer); goto e42f6; eba4c: Bddf2: goto D01c6; Efaea: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Cbe20; f9cbc: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto b863c; ec94c: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto de11f; C6db2: goto E7e06; goto d7763; Abdd1: $instance->setRegion($region); goto A1f76; aa15b: $instanceId = $_ENV["\x44\x45\126\x5f\101\127\123\137\x49\116\x53\x54\x41\x4e\103\x45\x5f\x49\x44"] ?? ''; goto D53f2; F9f04: $instance->setInstanceType("\164\x33\56\x78\154\x61\x72\x67\x65"); goto Abdd1; f92e7: $instance = new AwsInstance(); goto A1492; de11f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto f92e7; A1f76: Ff071: goto C6db2; f1c4a: $instance->setInstanceId($instanceId); goto F9f04; A1492: if (!("\x64\x65\x76" == $_ENV["\x41\120\x50\x5f\x45\x4e\x56"])) { goto Ff071; } goto aa15b; D53f2: $region = $_ENV["\x44\x45\126\x5f\101\127\x53\137\122\105\x47\x49\x4f\x4e"] ?? ''; goto f1c4a; d7763: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto bfd6b; Ac982: B368d: goto Bfebe; bfd6b: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto E534e; a506b: if (!("\144\145\x76" == $_ENV["\101\120\120\137\x45\x4e\126"])) { goto B368d; } goto E5625; E534e: $doClient = new DoClient(); goto D95fe; E6b64: $doClient->setToken($token); goto fecb3; E5625: $dropletId = $_ENV["\104\x45\126\x5f\x44\117\137\104\x52\117\120\x4c\x45\x54\137\x49\104"] ?? ''; goto d8511; Bfebe: goto E7e06; goto D0abc; d130f: $instance->setDropletId($dropletId); goto e3ec8; D95fe: $token = $this->configManager->get("\144\x6f\137\x61\x63\143\x65\163\163\137\164\157\153\x65\156"); goto E5c7e; E5c7e: if (!(false === is_null($token))) { goto A97d5; } goto E6b64; fecb3: A97d5: goto fc285; fc285: $instance = new DoInstance($doClient); goto E3fad; E5b20: $instance->setIpv4PublicIp("\61\62\67\56\60\x2e\x30\56\61"); goto Ac982; e3ec8: $instance->setRegion($region); goto F0989; d8511: $region = $_ENV["\x44\x45\126\137\x44\x4f\137\122\x45\107\x49\117\x4e"] ?? ''; goto d130f; F0989: $instance->setFloatingIp("\x31\x32\x37\x2e\60\56\60\x2e\61"); goto E5b20; E3fad: $doClient->setInstance($instance); goto a506b; D0abc: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto fdc46; B1935: $instance->setProjectId($projectId); goto Da4f0; Bd318: if (!("\144\145\166" == $_ENV["\101\x50\120\x5f\x45\116\x56"])) { goto ec0eb; } goto ff11c; C7e67: $instance->setMachineType($machineType); goto cef7c; Da4f0: $instance->setInstanceId($instanceId); goto F0597; Eb5d1: goto E7e06; goto A66d9; fdc46: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto D813e; b37b1: ec0eb: goto Eb5d1; fb001: $instanceId = $_ENV["\x44\x45\x56\137\107\x43\105\137\x49\116\x53\x54\x41\x4e\103\x45\137\111\x44"] ?? ''; goto C8095; d525d: $machineType = $_ENV["\104\x45\x56\137\x47\x43\x45\x5f\115\101\103\110\111\116\105\137\x54\131\120\x45"] ?? ''; goto Ad3b7; Eeff6: if (!(false === is_null($serviceAccountKeys))) { goto ea05b; } goto e877e; Aec6c: ea05b: goto Abd8c; C64ce: $gceClient->setGceInstance($instance); goto Bd318; Abd8c: $instance = new GceInstance($gceClient); goto C64ce; A5620: $gceClient->setAuthConfig($serviceAccountKeys); goto Aec6c; c5504: $serviceAccountKeys = $this->configManager->get("\x67\143\145\x5f\x73\x65\x72\166\x69\143\x65\137\141\x63\143\157\x75\156\x74\x5f\x6b\x65\171\x73"); goto Eeff6; F0597: $instance->setInstanceName($instanceName); goto C7e67; C8095: $instanceName = $_ENV["\104\105\126\137\107\x43\x45\x5f\x49\x4e\123\124\101\x4e\x43\x45\x5f\116\101\115\x45"] ?? ''; goto d525d; cef7c: $instance->setZone($zone); goto b37b1; ff11c: $projectId = $_ENV["\x44\105\126\x5f\107\x43\x45\x5f\x50\x52\x4f\x4a\x45\103\124\137\x49\x44"] ?? ''; goto fb001; e877e: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto A5620; D813e: $gceClient = new GceClient(); goto c5504; a4ade: $instance->setIpv4PublicIp("\61\x32\x37\x2e\x30\56\60\x2e\61"); goto B1935; Ad3b7: $zone = $_ENV["\104\105\x56\137\x47\103\x45\137\x5a\x4f\116\x45"] ?? ''; goto a4ade; A66d9: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto Afe26; b446f: if (!("\x64\x65\x76" == $_ENV["\101\x50\120\137\x45\116\126"])) { goto Cb7d5; } goto dd56f; C2576: $hetznerClient = new HetznerClient(); goto d1be3; d5bed: $instance = new HetznerInstance($hetznerClient); goto E7818; d1be3: $apiToken = $this->configManager->get("\x68\145\164\x7a\x6e\145\x72\137\x61\160\x69\x5f\x74\x6f\x6b\145\x6e"); goto B835b; e431e: Cb7d5: goto fd3c5; E7818: $hetznerClient->setInstance($instance); goto b446f; fd3c5: goto E7e06; goto C6f70; Afe26: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto C2576; B835b: if (!(false === is_null($apiToken))) { goto C48c2; } goto a5948; c4285: $instance->setIpv4PublicIp("\61\62\x37\x2e\60\x2e\x30\56\x31"); goto ef5cc; a5948: $hetznerClient->setToken($apiToken); goto abea5; abea5: C48c2: goto d5bed; dd56f: $instanceId = $_ENV["\x44\105\126\x5f\110\x45\124\132\116\105\x52\137\111\116\x53\x54\101\x4e\103\105\137\x49\104"] ?? ''; goto c4285; ef5cc: $instance->setInstanceId($instanceId); goto e431e; C6f70: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto Cfd0d; b1a1f: D2d5b: goto a32a9; a32a9: $instance = new VultrInstance($vultrClient); goto cc34a; c3a33: $instanceId = $_ENV["\104\x45\x56\137\126\x55\x4c\x54\122\137\x49\116\123\x54\x41\x4e\x43\105\137\x49\x44"] ?? ''; goto Fa59a; Fa59a: $ipv4PublicIp = $_ENV["\x44\105\x56\137\x56\x55\x4c\x54\x52\x5f\111\120\137\x56\64\x5f\120\x55\x42\x4c\x49\x43"] ?? "\x31\x32\x37\x2e\x30\x2e\60\56\x31"; goto E65b1; cc34a: $vultrClient->setVultrInstance($instance); goto d1b64; D75fc: $apiKey = $this->configManager->get("\x76\x75\154\x74\162\x5f\x61\160\x69\x5f\153\145\171"); goto e09ef; d1b64: if (!("\144\x65\166" == $_ENV["\101\x50\x50\137\105\116\x56"])) { goto ebd83; } goto c3a33; af687: $vultrClient = new VultrClient(); goto D75fc; E65b1: $instance->setIpv4PublicIp($ipv4PublicIp); goto d8dcd; Cfd0d: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto af687; Ca1e1: goto E7e06; goto A63a4; bbc52: ebd83: goto Ca1e1; d8dcd: $instance->setInstanceId($instanceId); goto bbc52; e09ef: if (!(false === is_null($apiKey))) { goto D2d5b; } goto Af479; Af479: $vultrClient->setApiKey($apiKey); goto b1a1f; A63a4: default: $instance = new Instance(); goto E7e06; } goto F733f; b5858: $hostname = gethostname(); goto f45b3; c90ed: $command = $event->getCommand(); goto Ee3e4; f45b3: $instance->setHostname($hostname); goto f8753; d6827: if (!(false === is_null($instanceUid))) { goto db3f6; } goto C1300; b3f75: try { $ipv4PublicIp = $this->cachePool->get("\x69\x70\166\64\137\160\x75\142\154\151\143\137\x69\x70", function (ItemInterface $item) { goto dcdbf; dcdbf: $item->expiresAfter(3600); goto C9dae; E8a30: return $ipv4PublicIp; goto B34eb; b3b67: $request = new Request("\107\105\x54", self::IP_REQUEST_URL); goto Dbcf6; f9688: $httpClient = new HttpClient($config); goto b3b67; D7b24: $config = ["\x74\151\155\145\x6f\x75\x74" => 5, "\x76\145\162\151\x66\171" => false, "\150\145\x61\x64\145\x72\163" => ["\x55\x73\x65\162\55\101\147\x65\156\164" => "\103\x6c\x6f\165\144\120\141\x6e\145\154\40\166\x32"]]; goto f9688; Fecb4: $ipv4PublicIp = trim((string) $response->getBody()); goto c80c4; C9dae: $ipv4PublicIp = null; goto D7b24; E98de: if (!(200 == $responseStatusCode)) { goto f5a83; } goto Fecb4; c80c4: f5a83: goto E8a30; Dbcf6: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto Dcf36; Dcf36: $responseStatusCode = $response->getStatusCode(); goto E98de; B34eb: }); } catch (\Exception $e) { } goto E2ae8; C1300: $instance->setUid($instanceUid); goto a5341; ddb1d: B6ba2: goto acef1; F733f: b81a9: goto f0066; Fa4d5: bb42c: goto dd3b5; Efc90: if (!(true === empty($ipv4PublicIp))) { goto Dc649; } goto b140c; Bc9b4: $this->twig->addGlobal("\x69\156\x73\x74\141\156\x63\x65", $instance); goto a112e; F084e: $instanceUid = $this->configManager->get("\x69\156\163\164\x61\x6e\143\145\x5f\x75\151\x64"); goto d6827; a112e: $this->twig->addGlobal("\x69\x73\104\141\162\153\115\x6f\144\145", $isDarkMode); goto ddb1d; b863c: $cloud = $this->configManager->get("\x63\x6c\x6f\165\x64"); goto Cc095; a5341: db3f6: goto Dd0f1; E5ed5: $isDarkMode = false === is_null($request->cookies->get("\x74\150\145\155\x65")) && "\144\x61\162\153" == $request->cookies->get("\164\150\145\x6d\145") ? true : false; goto D1c99; Ee3e4: $command->setInstance($instance); goto e1486; e1486: goto B6ba2; goto Fa4d5; b140c: $ipv4PublicIp = ''; goto b3f75; b8f50: $host = $request->getHost(); goto E5ed5; eb1fe: $request->attributes->set("\151\163\104\x61\162\x6b\115\157\144\145", $isDarkMode); goto Bc9b4; D1c99: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto Efc90; dd3b5: $request = $event->getRequest(); goto b8f50; Cc095: $environment = new CloudPanelEnvironment(); goto ec94c; E2ae8: $instance->setIpv4PublicIp($ipv4PublicIp); goto d8d6e; f0066: E7e06: goto F084e; f8753: if ($event instanceof RequestEvent) { goto bb42c; } goto c90ed; Dd0f1: $instance->setEnvironment($environment); goto b5858; d8d6e: Dc649: goto C58b2; C58b2: $request->attributes->set("\x69\156\163\x74\x61\x6e\143\145", $instance); goto eb1fe; acef1: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\145\x72\156\x65\154\x52\145\161\x75\145\163\164", 25]], ConsoleEvents::COMMAND => [["\157\156\103\157\x6e\x73\x6f\154\145\103\157\x6d\155\x61\x6e\144", 25]]]; } }
