<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto F6a60; b8f80: $this->addProcessor($certificateProcessor); goto Df3a3; fd39a: $this->addProcessor($rootDirectoryProcessor); goto dd914; F6a60: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto B6bbf; Cc0d6: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto F0c0f; dd914: $this->addProcessor($serverNameProcessor); goto Facb8; Aacf1: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto Ee762; f7e90: $this->addProcessor($certificateKeyProcessor); goto b8f80; C4642: $settingsProcessor = new SettingsProcessor(); goto fd39a; ca4de: $certificateProcessor = new NginxCertificateProcessor(); goto C4642; D4158: $this->addProcessor($nginxErrorLogProcessor); goto f7e90; e77d0: $this->addProcessor($nginxAccessLogProcessor); goto D4158; Facb8: $this->addProcessor($redirectServerNameProcessor); goto Ba45f; Df3a3: $this->addProcessor($settingsProcessor); goto B59c7; B6bbf: $serverNameProcessor = new ServerNameProcessor(); goto Aacf1; f6b0f: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Cc0d6; Ee762: $redirectDomainProcessor = new RedirectDomainProcessor(); goto f6b0f; Ba45f: $this->addProcessor($redirectDomainProcessor); goto e77d0; F0c0f: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto ca4de; B59c7: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto afa09; afa09: $processors = $this->getProcessors(); goto dd110; ba38c: foreach ($placeholders as $placeholder) { goto Cb10e; Ee7d5: $this->content = $processor->process($this->content); goto c96ee; Fc488: fa0c6: goto A224d; Fe2b1: $processor = $processors[$placeholder]; goto af046; A224d: b4eb6: goto A9d4b; b3071: if (!(true === $hasProcessor)) { goto fa0c6; } goto Fe2b1; af046: $processor->setSite($this->site); goto Ee7d5; c96ee: $this->removePlaceholder($placeholder); goto Fc488; Cb10e: $hasProcessor = $this->hasProcessor($placeholder); goto b3071; A9d4b: } goto a2f3e; dd110: $placeholders = $this->getPlaceholders(); goto ba38c; a2f3e: dede5: goto C5c70; C5c70: } public function removeEmptyPlaceholders() : void { goto Ef399; a7a37: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); Bf3a0: } goto Ce02b; Ef399: $placeholders = $this->getPlaceholders(); goto a7a37; Ce02b: C9b00: goto d2262; d2262: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto f0985; E269f: foreach ($placeholders as $placeholder) { goto C2be9; cc12e: D611d: goto E32da; cc721: $this->addPlaceholder($placeholder); goto c58ad; c58ad: df592: goto cc12e; c8a69: if (!(false === empty($placeholder))) { goto df592; } goto cc721; C2be9: $placeholder = trim($placeholder); goto c8a69; E32da: } goto B34e9; E8c1a: preg_match_all("\x2f\x5b\x7b\x7b\x5d\173\x32\x7d\50\x5b\134\163\141\55\172\x41\x2d\x5a\60\55\71\137\x5d\x2b\x29\133\175\175\135\x7b\62\x7d\57", $this->content, $placeholders); goto Dd32e; D71e5: $placeholders = $placeholders[0]; goto E269f; B34e9: c4e34: goto ab550; ceff4: return $this->placeholders; goto E5ba7; ab550: ec4d2: goto bbc51; f0985: if (!(true === empty($this->placeholders))) { goto Bd011; } goto E8c1a; Dd32e: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto ec4d2; } goto D71e5; bbc51: Bd011: goto ceff4; E5ba7: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto efc0d; Bdda3: Ad978: goto E5fff; efc0d: if (!(true === isset($this->placeholders[$placeholder]))) { goto Ad978; } goto f86ed; f86ed: unset($this->placeholders[$placeholder]); goto Bdda3; E5fff: } }
