<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\145\164\x63\x2f\x6e\x67\151\156\170\x2f\x62\141\163\151\143\55\141\x75\164\x68\57"; public const NGINX_VHOST_DIRECTORY = "\57\x65\x74\x63\57\156\147\151\156\170\57\163\x69\x74\x65\x73\55\145\156\x61\142\x6c\145\144\57"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\x65\164\x63\57\156\147\x69\156\x78\57\x73\163\x6c\55\x63\x65\162\164\151\146\x69\143\x61\164\145\x73\57"; public const CRON_DIRECTORY = "\x2f\x65\164\143\x2f\143\x72\157\156\56\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto B6e46; bb54b: $vhostTemplate->removeEmptyPlaceholders(); goto fb2ed; De629: $vhostTemplate->setContent($vhostFileContent); goto F77b4; fb2ed: $vhostContent = $vhostTemplate->getContent(); goto f6c8e; c1419: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Da435; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Da435; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Da435; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Da435; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Da435; } goto c641d; c5688: $vhostFileContent = $this->site->getVhostTemplate(); goto c1419; F7ebf: $this->commandExecutor->execute($writeVhostFileCommand); goto D098c; cdd27: $vhostTemplate->build(); goto bb54b; Da154: $writeVhostFileCommand->setFile($vhostFile); goto c96e6; c96e6: $writeVhostFileCommand->setContent($vhostContent); goto F7ebf; c60c4: Da435: goto De629; c641d: f1f7c: goto c60c4; F77b4: $vhostFile = sprintf("\45\163\57\45\163\x2e\143\157\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto cdd27; B6e46: $domainName = $this->site->getDomainName(); goto c5688; f6c8e: $writeVhostFileCommand = new WriteFileCommand(); goto Da154; D098c: } public function updateNginxVhostWithRollback() : void { try { goto Ae4d0; c00c1: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto Ff055; baa32: E7ae7: goto c00c1; dbe7a: $this->commandExecutor->execute($reloadNginxServiceCommand); goto baa32; C5b81: $vhostTemplate->build(); goto b3327; b3327: $vhostTemplate->removeEmptyPlaceholders(); goto C9f16; De8f2: $vhostTemplate->setContent($vhostFileContent); goto cc94e; A3004: if (!("\144\x65\166" != $_ENV["\101\x50\x50\137\x45\x4e\126"])) { goto E7ae7; } goto B2e2c; B2e2c: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Dd7a8; Ddd85: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto A436c; Cd672: $this->commandExecutor->execute($nginxConfigTestCommand); goto A3004; Ae4d0: $domainName = $this->site->getDomainName(); goto B60c3; Ec32c: $copyVhostBackupFileCommand = new CopyFileCommand(); goto B29db; Dd7a8: $reloadNginxServiceCommand->setServiceName("\x6e\x67\151\156\x78"); goto dbe7a; cc94e: $vhostFile = sprintf("\45\163\57\45\163\56\x63\157\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto C5b81; Bebf2: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto df178; E34fe: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto Ddd85; A436c: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto Bebf2; C9f16: $vhostContent = $vhostTemplate->getContent(); goto D246b; Db27a: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto ab7cc; ab7cc: $writeVhostFileCommand = new WriteFileCommand(); goto c8eec; B60c3: $vhostFileContent = $this->site->getVhostTemplate(); goto Adcd1; B29db: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto Db27a; c8eec: $writeVhostFileCommand->setFile($vhostFile); goto a569f; a569f: $writeVhostFileCommand->setContent($vhostContent); goto E34fe; D246b: $vhostBackupFile = sprintf("\x25\163\x2f\x25\163\56\143\x6f\x6e\146\x2e\x62\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto Ec32c; df178: $this->commandExecutor->execute($writeVhostFileCommand); goto Cd672; c6565: fcbe5: goto c6ad6; c6ad6: B176e: goto De8f2; Adcd1: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto B176e; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto B176e; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto B176e; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto B176e; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto B176e; } goto c6565; Ff055: } catch (\Exception $e) { goto edfa4; f02ab: $this->commandExecutor->execute($restoreBackupFileCommand); goto D0f18; D0e5e: $this->commandExecutor->execute($reloadNginxServiceCommand); goto F6862; D2d26: if (!(true === isset($nginxConfigTestCommand))) { goto f51b7; } goto Bc2c5; Bc2c5: $errorMessage = $nginxConfigTestCommand->getOutput(); goto b9e6d; D0f18: if (!(true === isset($reloadNginxServiceCommand))) { goto d3dec; } goto D0e5e; C8098: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto f02ab; B6167: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto a21c9; F6862: d3dec: goto B6167; e0775: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto C8098; a21c9: throw new InvalidVhostException($errorMessage); goto F801a; b9e6d: f51b7: goto B8563; B8563: $restoreBackupFileCommand = new CopyFileCommand(); goto e0775; edfa4: $errorMessage = $e->getMessage(); goto D2d26; F801a: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto A5be2; af186: $createUserCommand->setPassword($sshUserPassword); goto C4fe2; Eab9a: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto a7e31; a7e31: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto A8682; Ce9b6: $symlinkDirectories = ["\142\141\x63\x6b\165\x70\163", "\x68\x74\144\x6f\x63\x73", "\x6c\157\x67\163"]; goto e4ff1; e9977: $createUserCommand->setUserName($sshUserName); goto af186; e4793: $sshUserName = $sshUserEntity->getUserName(); goto ef6d1; D5db6: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto Cb76c; A8682: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto c2c79; bc481: $homeDirectory = sprintf("\x2f\x68\157\155\145\x2f\45\163", $sshUserName); goto D2f80; f322b: $sshDirectoryChmodCommand->setFile($sshDirectory); goto a77b9; A19b2: $sshDirectory = sprintf("\x2f\150\x6f\x6d\145\57\45\163\x2f\x2e\x73\x73\x68", $sshUserName); goto da155; a0440: $siteUser = $site->getUser(); goto e4793; C4fe2: $createUserCommand->setGroup($siteUser); goto Afe96; D2f80: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\56\x2e\x2f\x72\x65\163\157\165\x72\143\145\163\x2f\145\164\143\x2f\163\x6b\145\x6c\57\x73\163\x68\x2d\165\x73\x65\162\x2f"); goto Ab7e3; ef6d1: $sshUserPassword = $sshUserEntity->getPassword(); goto bc481; Afe96: $createUserCommand->setShell("\x2f\x62\x69\x6e\x2f\142\x61\x73\x68"); goto D5db6; ba583: $createUserCommand->createHomeDirectory(true); goto f6bec; Eec8f: $sshDirectoryChmodCommand->setFileChmod(600); goto E52e8; E52e8: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\x6d\x65\x2f\x25\x73", $siteUser); goto d3253; A5be2: $site = $sshUserEntity->getSite(); goto a0440; c2c79: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto e317f; e4ff1: foreach ($symlinkDirectories as $symlinkDirectory) { goto A350c; A350c: $source = sprintf("\57\x68\x6f\x6d\x65\x2f\45\x73\x2f\x25\x73", $siteUser, $symlinkDirectory); goto a0d1d; a45bd: $symlinkCommand = new CreateSymlinkCommand(); goto Db197; Db197: $symlinkCommand->setRunAsUser($sshUserName); goto c369b; ec922: $this->commandExecutor->execute($symlinkCommand); goto a49c3; c369b: $symlinkCommand->setSource($source); goto e90df; a0d1d: $destination = sprintf("\x2f\150\157\x6d\145\x2f\45\163\x2f\x25\x73", $sshUserName, $symlinkDirectory); goto a45bd; Bac3d: if (!("\x64\x65\166" != $_ENV["\101\120\x50\137\105\116\126"])) { goto C3ce3; } goto ec922; a49c3: C3ce3: goto f6c80; e90df: $symlinkCommand->setDestination($destination); goto Bac3d; f6c80: b49a3: goto B3bec; B3bec: } goto f60ee; d3253: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Eab9a; f6bec: $this->commandExecutor->execute($createUserCommand); goto Ce9b6; f60ee: bcf2b: goto A19b2; Ab7e3: $createUserCommand = new CreateUserCommand(); goto e9977; da155: $sshDirectoryChmodCommand = new FindChmodCommand(); goto f322b; Cb76c: $createUserCommand->setHomeDirectory($homeDirectory); goto ba583; a77b9: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto Eec8f; e317f: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Ff6df; Ff6df: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto d7e7d; ce89d: $ftpUserPassword = $ftpUserEntity->getPassword(); goto ae93c; ebcd2: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Bd8cc; ed700: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Ff3ec; eb30f: $createUserCommand->setPassword($ftpUserPassword); goto d9193; d12e4: $this->commandExecutor->execute($createUserCommand); goto ebcd2; d1a2e: $siteUser = $site->getUser(); goto eff62; Ff3ec: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto a8397; a8397: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto C916f; C4489: $siteUserHomeDirectory = sprintf("\57\x68\x6f\x6d\145\57\45\163", $siteUser); goto ed700; D6c78: $createUserCommand->setUserName($ftpUserName); goto eb30f; d7e7d: $site = $ftpUserEntity->getSite(); goto d1a2e; C916f: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto d12e4; ae93c: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto ee866; Abf8d: $createUserCommand->setGroups(["\x66\x74\160\x2d\165\x73\x65\x72"]); goto A5878; d9193: $createUserCommand->setGroup($siteUser); goto Abf8d; eff62: $ftpUserName = $ftpUserEntity->getUserName(); goto ce89d; ee866: $createUserCommand = new CreateUserCommand(); goto D6c78; df61d: $createUserCommand->setHomeDirectory($homeDirectory); goto d0494; A5878: $createUserCommand->setShell("\x2f\x62\151\156\57\x66\141\154\163\x65"); goto df61d; d0494: $createUserCommand->createHomeDirectory(false); goto C4489; Bd8cc: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto d4f4f; Cdf99: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto b6749; d4f4f: $deleteUserCommand = new DeleteUserCommand(); goto Aef41; b6749: $this->commandExecutor->execute($deleteUserCommand); goto Fe1cd; Aef41: $deleteUserCommand->setUserName($userName); goto Cdf99; Fe1cd: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto a1c55; E3369: $writeCertificateFileCommand = new WriteFileCommand(); goto E1d16; D6683: Cadc1: goto dec94; a1c55: $domainName = $this->site->getDomainName(); goto E7bb4; E38eb: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto fdad6; E1d16: $writeCertificateFileCommand->setFile($certificateFile); goto C2b5c; Da5ca: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto Cadc1; } goto aa17b; D8f64: $this->commandExecutor->execute($writeCertificateFileCommand); goto da8a0; B9763: $certificate = $certificateEntity->getCertificate(); goto Da5ca; A1772: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto D8f64; e3746: $certificateFile = sprintf("\45\163\x2f\x25\163\x2e\x63\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto B9763; E7bb4: $privateKeyFile = sprintf("\45\x73\57\x25\x73\x2e\153\145\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto e3746; da8a0: $this->reloadService("\156\147\x69\x6e\170"); goto ac0ce; dec94: $writePrivateKeyFileCommand = new WriteFileCommand(); goto E38eb; aa17b: $certificate .= sprintf("\x25\163\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto D6683; fdad6: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto E3369; C2b5c: $writeCertificateFileCommand->setContent($certificate); goto A1772; ac0ce: } public function deleteLetsEncryptChallengeDirectory() : void { goto B12dd; d6b4b: $acemeChallengeDirectory = sprintf("\x25\163\x2f\56\167\145\154\x6c\55\153\156\x6f\167\156\x2f\141\143\155\145\55\x63\150\x61\x6c\x6c\145\x6e\147\x65\57", rtrim($rootDirectory, "\x2f")); goto Cc0e1; B12dd: $rootDirectory = $this->getRootDirectory(); goto d6b4b; c0261: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto A7cf4; Cc0e1: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto B7e74; B7e74: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto c0261; A7cf4: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Edd2d; Edd2d: $basicAuthFile = sprintf("\x25\x73\57\x25\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto F5de8; F5de8: $basicAuthFileContent = sprintf("\x25\163\x3a\45\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto Aac03; a297f: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto efad3; Aac03: $writeBasicAuthFileCommand = new WriteFileCommand(); goto E5b06; E5b06: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto F03c1; F03c1: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto a297f; efad3: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto b77f6; f1b08: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto C0c5a; ff290: f4778: goto D70fb; C0c5a: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto D9977; f9901: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto C12f5; F6729: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto Ede11; Ede11: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto bf635; D9977: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto cea5f; Decae: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto A9bd6; Fec02: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto f8914; cea5f: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto c46ee; f8914: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto ac35e; E9d29: $wellKnownDirectory = sprintf("\45\163\57\56\x77\145\154\x6c\x2d\153\x6e\x6f\167\156\x2f", rtrim($rootDirectory, "\x2f")); goto b9c1f; Afbf4: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto d69df; A9bd6: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto Fec02; c46ee: if (!count($challenges)) { goto e897f; } goto D6d84; C12f5: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto Decae; A1d58: $rootDirectory = $this->getRootDirectory(); goto E9d29; ac35e: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto Afbf4; D6d84: foreach ($challenges as $challenge) { goto b2edb; b2edb: $token = $challenge["\164\x6f\x6b\145\x6e"] ?? null; goto e039a; bacb0: a7d9c: goto dd2b5; f96dd: $challengeWriteFileCommand->setContent($verificationContent); goto face0; e039a: $verificationContent = $challenge["\x76\145\x72\151\x66\x69\x63\141\x74\x69\157\x6e\103\x6f\x6e\x74\145\156\164"] ?? null; goto E7819; E7819: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto eb2dc; } goto c292f; Be8cd: $challengeWriteFileCommand = new WriteFileCommand(); goto be4f8; c292f: $challengeFile = sprintf("\45\163\57\x25\x73", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto Be8cd; face0: $this->commandExecutor->execute($challengeWriteFileCommand); goto C271a; C271a: eb2dc: goto bacb0; be4f8: $challengeWriteFileCommand->setFile($challengeFile); goto f96dd; dd2b5: } goto ff290; b9c1f: $acemeChallengeDirectory = sprintf("\x25\x73\x2f\56\167\x65\x6c\154\x2d\x6b\156\157\x77\156\57\141\x63\155\x65\55\x63\x68\141\x6c\x6c\145\156\x67\145\57", rtrim($rootDirectory, "\x2f")); goto f1b08; bf635: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto f9901; b77f6: $siteUser = $this->site->getUser(); goto A1d58; D70fb: e897f: goto F6729; d69df: } public function updateUserCrontab() : void { goto fd71f; a7205: $writeCrontabFileCommand->setContent($crontabContent); goto D534d; B3917: $crontabEntries = ["\115\101\111\114\x54\117\x3d\42\x22"]; goto C1bca; B8f8b: $crontabContent = implode(PHP_EOL, $crontabEntries); goto a7ac6; a7a9e: Dc1e6: goto b35d3; ca356: $crontabFile = sprintf("\x25\163\x2f\45\163", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto B3917; C1bca: $cronJobs = $this->site->getCronJobs(); goto Cc9a6; E3275: $writeCrontabFileCommand->setFile($crontabFile); goto a7205; Cc9a6: if (!count($cronJobs)) { goto Fb5bf; } goto fc99d; D534d: $this->commandExecutor->execute($writeCrontabFileCommand); goto d38ac; a7ac6: $writeCrontabFileCommand = new WriteFileCommand(); goto E3275; fc99d: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); e564f: } goto a7a9e; fd71f: $siteUser = $this->site->getUser(); goto ca356; b35d3: Fb5bf: goto B8f8b; d38ac: } public function purgePageSpeedCache() : void { goto D561c; Aed20: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto D9936; D561c: $siteUser = $this->site->getUser(); goto ca331; c4c4c: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto a453b; D9936: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto c4c4c; ca331: $cacheDirectory = sprintf("\x2f\150\x6f\x6d\x65\x2f\x25\163\57\x74\155\160\x2f\x70\x61\x67\x65\x73\160\x65\x65\144\x5f\x63\x61\143\150\x65", $siteUser); goto Aed20; a453b: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto A5531; Df1ba: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto b20ec; cb7ed: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto c1974; b20ec: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto A631a; c1974: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto Df1ba; A5531: $authorizedKeysFile = sprintf("\x2f\150\x6f\155\x65\x2f\45\x73\x2f\x2e\x73\x73\x68\x2f\x61\x75\164\x68\157\x72\151\172\x65\x64\x5f\x6b\145\x79\x73", $userName); goto cb7ed; A631a: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto Fc93e; Fc93e: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto Ee73c; c21a5: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto B0e41; Ee73c: $changeUserHomeDirectoryCommand->setUserName($userName); goto c21a5; B0e41: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Bddf4; Bddf4: } public function changeUserPassword(string $userName, string $password) : void { goto Abd82; Abd82: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto c5b03; c5b03: $changeUserPasswordCommand->setUserName($userName); goto E9ec4; E9ec4: $changeUserPasswordCommand->setPassword($password); goto Eb709; Eb709: $this->commandExecutor->execute($changeUserPasswordCommand); goto f227c; f227c: } protected function getRootDirectory() : string { goto b1487; f6019: $rootDirectory = $this->site->getRootDirectory(); goto e5b2d; e5b2d: $rootDirectory = sprintf("\x2f\x68\x6f\155\x65\x2f\45\163\57\150\164\144\157\143\163\57\45\163", $siteUser, $rootDirectory); goto e5b49; e5b49: return $rootDirectory; goto D7a36; b1487: $siteUser = $this->site->getUser(); goto f6019; D7a36: } public function reloadNginxService() : void { $this->reloadService("\156\147\x69\x6e\170"); } public function reloadService($serviceName) { goto E8129; f009e: $reloadServiceCommand = new ServiceReloadCommand(); goto f7e23; E8129: if (!("\144\145\x76" != $_ENV["\x41\x50\x50\137\x45\116\126"])) { goto Fbf7a; } goto f009e; f7e23: $reloadServiceCommand->setServiceName($serviceName); goto Db247; Db247: $this->commandExecutor->execute($reloadServiceCommand); goto ac49f; ac49f: Fbf7a: goto E8338; E8338: } }
